Package org.drinkless.tdlib

# Class TdApi

java.lang.Object
org.drinkless.tdlib.TdApi

public class TdApi extends Object
This class contains as static nested classes all other TDLib interface type-classes and function-classes.

It has no inner classes, functions or public members.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TdApi.AccentColor`
  Contains information about supported accent color for user/chat name, background of empty chat photo, replies to messages and link previews.
  `static class`
  `TdApi.AcceptCall`
  Accepts an incoming call.
  `static class`
  `TdApi.AcceptedGiftTypes`
  Describes gift types that are accepted by a user.
  `static class`
  `TdApi.AcceptOauthRequest`
  Accepts an OAuth authorization request.
  `static class`
  `TdApi.AcceptTermsOfService`
  Accepts Telegram terms of services.
  `static class`
  `TdApi.AccountInfo`
  Contains basic information about another user who started a chat with the current user.
  `static class`
  `TdApi.AccountTtl`
  Contains information about the period of inactivity after which the current user's account will automatically be deleted.
  `static class`
  `TdApi.ActivateStoryStealthMode`
  Activates stealth mode for stories, which hides all views of stories from the current user in the last "story_stealth_mode_past_period" seconds and for the next "story_stealth_mode_future_period" seconds; for Telegram Premium users only.
  `static class`
  `TdApi.ActiveStoryState`
  This class is an abstract base class.
  `static class`
  `TdApi.ActiveStoryStateLive`
  The chat has an active live story.
  `static class`
  `TdApi.ActiveStoryStateRead`
  The chat has active stories, all of which were read.
  `static class`
  `TdApi.ActiveStoryStateUnread`
  The chat has some unread active stories.
  `static class`
  `TdApi.AddBotMediaPreview`
  Adds a new media preview to the beginning of the list of media previews of a bot.
  `static class`
  `TdApi.AddChatFolderByInviteLink`
  Adds a chat folder by an invite link.
  `static class`
  `TdApi.AddChatMember`
  Adds a new member to a chat; requires canInviteUsers member right.
  `static class`
  `TdApi.AddChatMembers`
  Adds multiple new members to a chat; requires canInviteUsers member right.
  `static class`
  `TdApi.AddChatToList`
  Adds a chat to a chat list.
  `static class`
  `TdApi.AddChecklistTasks`
  Adds tasks to a checklist in a message.
  `static class`
  `TdApi.AddContact`
  Adds a user to the contact list or edits an existing contact by their user identifier.
  `static class`
  `TdApi.AddCustomServerLanguagePack`
  Adds a custom server language pack to the list of installed language packs in current localization target.
  `static class`
  `TdApi.AddedProxies`
  Represents a list of added proxy servers.
  `static class`
  `TdApi.AddedProxy`
  Contains information about a proxy server added to the list of proxies.
  `static class`
  `TdApi.AddedReaction`
  Represents a reaction applied to a message.
  `static class`
  `TdApi.AddedReactions`
  Represents a list of reactions added to a message.
  `static class`
  `TdApi.AddFavoriteSticker`
  Adds a new sticker to the list of favorite stickers.
  `static class`
  `TdApi.AddFileToDownloads`
  Adds a file from a message to the list of file downloads.
  `static class`
  `TdApi.AddGiftCollectionGifts`
  Adds gifts to the beginning of a previously created collection.
  `static class`
  `TdApi.AddLocalMessage`
  Adds a local message to a chat.
  `static class`
  `TdApi.AddLoginPasskey`
  Adds a passkey allowed to be used for the login by the current user and returns the added passkey.
  `static class`
  `TdApi.AddLogMessage`
  Adds a message to TDLib internal log.
  `static class`
  `TdApi.AddMessageReaction`
  Adds a reaction or a tag to a message.
  `static class`
  `TdApi.AddNetworkStatistics`
  Adds the specified data to data usage statistics.
  `static class`
  `TdApi.AddOffer`
  Sends a suggested post based on a previously sent message in a channel direct messages chat.
  `static class`
  `TdApi.AddPendingLiveStoryReaction`
  Adds pending paid reaction in a live story group call.
  `static class`
  `TdApi.AddPendingPaidMessageReaction`
  Adds the paid message reaction to a message.
  `static class`
  `TdApi.AddPollOption`
  Adds an option to a poll.
  `static class`
  `TdApi.AddProfileAudio`
  Adds an audio file to the beginning of the profile audio files of the current user.
  `static class`
  `TdApi.AddProxy`
  Adds a proxy server for network requests.
  `static class`
  `TdApi.AddQuickReplyShortcutInlineQueryResultMessage`
  Adds a message to a quick reply shortcut via inline bot.
  `static class`
  `TdApi.AddQuickReplyShortcutMessage`
  Adds a message to a quick reply shortcut.
  `static class`
  `TdApi.AddQuickReplyShortcutMessageAlbum`
  Adds 2-10 messages grouped together into an album to a quick reply shortcut.
  `static class`
  `TdApi.AddRecentlyFoundChat`
  Adds a chat to the list of recently found chats.
  `static class`
  `TdApi.AddRecentSticker`
  Manually adds a new sticker to the list of recently used stickers.
  `static class`
  `TdApi.Address`
  Describes an address.
  `static class`
  `TdApi.AddSavedAnimation`
  Manually adds a new animation to the list of saved animations.
  `static class`
  `TdApi.AddSavedNotificationSound`
  Adds a new notification sound to the list of saved notification sounds.
  `static class`
  `TdApi.AddStickerToSet`
  Adds a new sticker to a set.
  `static class`
  `TdApi.AddStoryAlbumStories`
  Adds stories to the beginning of a previously created story album.
  `static class`
  `TdApi.AddTextCompositionStyle`
  Adds a custom text composition style to the list of used by the user styles.
  `static class`
  `TdApi.AdvertisementSponsor`
  Information about the sponsor of an advertisement.
  `static class`
  `TdApi.AffiliateInfo`
  Contains information about an affiliate that received commission from a Telegram Star transaction.
  `static class`
  `TdApi.AffiliateProgramInfo`
  Contains information about an active affiliate program.
  `static class`
  `TdApi.AffiliateProgramParameters`
  Describes parameters of an affiliate program.
  `static class`
  `TdApi.AffiliateProgramSortOrder`
  This class is an abstract base class.
  `static class`
  `TdApi.AffiliateProgramSortOrderCreationDate`
  The affiliate programs must be sorted by creation date.
  `static class`
  `TdApi.AffiliateProgramSortOrderProfitability`
  The affiliate programs must be sorted by the profitability.
  `static class`
  `TdApi.AffiliateProgramSortOrderRevenue`
  The affiliate programs must be sorted by the expected revenue.
  `static class`
  `TdApi.AffiliateType`
  This class is an abstract base class.
  `static class`
  `TdApi.AffiliateTypeBot`
  The affiliate is a bot owned by the current user.
  `static class`
  `TdApi.AffiliateTypeChannel`
  The affiliate is a channel chat where the current user has canPostMessages administrator right.
  `static class`
  `TdApi.AffiliateTypeCurrentUser`
  The affiliate is the current user.
  `static class`
  `TdApi.AgeVerificationParameters`
  Describes parameters for age verification of the current user.
  `static class`
  `TdApi.AllowBotToSendMessages`
  Allows the specified bot to send messages to the user.
  `static class`
  `TdApi.AllowUnpaidMessagesFromUser`
  Allows the specified user to send unpaid private messages to the current user by adding a rule to userPrivacySettingAllowUnpaidMessages.
  `static class`
  `TdApi.AlternativeVideo`
  Describes an alternative re-encoded quality of a video file.
  `static class`
  `TdApi.AnimatedChatPhoto`
  Animated variant of a chat photo in MPEG4 format.
  `static class`
  `TdApi.AnimatedEmoji`
  Describes an animated or custom representation of an emoji.
  `static class`
  `TdApi.Animation`
  Describes an animation file.
  `static class`
  `TdApi.Animations`
  Represents a list of animations.
  `static class`
  `TdApi.AnswerCallbackQuery`
  Sets the result of a callback query; for bots only.
  `static class`
  `TdApi.AnswerCustomQuery`
  Answers a custom query; for bots only.
  `static class`
  `TdApi.AnswerGuestQuery`
  Sets the result of a guest query; for bots only.
  `static class`
  `TdApi.AnswerInlineQuery`
  Sets the result of an inline query; for bots only.
  `static class`
  `TdApi.AnswerPreCheckoutQuery`
  Sets the result of a pre-checkout query; for bots only.
  `static class`
  `TdApi.AnswerShippingQuery`
  Sets the result of a shipping query; for bots only.
  `static class`
  `TdApi.AnswerWebAppQuery`
  Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.
  `static class`
  `TdApi.ApplyPremiumGiftCode`
  Applies a Telegram Premium gift code.
  `static class`
  `TdApi.ApproveSuggestedPost`
  Approves a suggested post in a channel direct messages chat.
  `static class`
  `TdApi.ArchiveChatListSettings`
  Contains settings for automatic moving of chats to and from the Archive chat lists.
  `static class`
  `TdApi.AssignStoreTransaction`
  Informs server about an in-store purchase.
  `static class`
  `TdApi.AttachmentMenuBot`
  Represents a bot, which can be added to attachment or side menu.
  `static class`
  `TdApi.AttachmentMenuBotColor`
  Describes a color to highlight a bot added to attachment menu.
  `static class`
  `TdApi.AttributeCraftPersistenceProbability`
  Describes chance of the crafted gift to have the backdrop or symbol of one of the original gifts.
  `static class`
  `TdApi.AuctionBid`
  Describes a bid in an auction.
  `static class`
  `TdApi.AuctionRound`
  Describes a round of an auction.
  `static class`
  `TdApi.AuctionState`
  This class is an abstract base class.
  `static class`
  `TdApi.AuctionStateActive`
  Contains information about an ongoing or scheduled auction.
  `static class`
  `TdApi.AuctionStateFinished`
  Contains information about a finished auction.
  `static class`
  `TdApi.Audio`
  Describes an audio file.
  `static class`
  `TdApi.Audios`
  Contains a list of audio files.
  `static class`
  `TdApi.AuthenticationCodeInfo`
  Information about the authentication code that was sent.
  `static class`
  `TdApi.AuthenticationCodeType`
  This class is an abstract base class.
  `static class`
  `TdApi.AuthenticationCodeTypeCall`
  A digit-only authentication code is delivered via a phone call to the specified phone number.
  `static class`
  `TdApi.AuthenticationCodeTypeFirebaseAndroid`
  A digit-only authentication code is delivered via Firebase Authentication to the official Android application.
  `static class`
  `TdApi.AuthenticationCodeTypeFirebaseIos`
  A digit-only authentication code is delivered via Firebase Authentication to the official iOS application.
  `static class`
  `TdApi.AuthenticationCodeTypeFlashCall`
  An authentication code is delivered by an immediately canceled call to the specified phone number.
  `static class`
  `TdApi.AuthenticationCodeTypeFragment`
  A digit-only authentication code is delivered to https://fragment.com.
  `static class`
  `TdApi.AuthenticationCodeTypeMissedCall`
  An authentication code is delivered by an immediately canceled call to the specified phone number.
  `static class`
  `TdApi.AuthenticationCodeTypeSms`
  A digit-only authentication code is delivered via an SMS message to the specified phone number; non-official applications may not receive this type of code.
  `static class`
  `TdApi.AuthenticationCodeTypeSmsPhrase`
  An authentication code is a phrase from multiple words delivered via an SMS message to the specified phone number; non-official applications may not receive this type of code.
  `static class`
  `TdApi.AuthenticationCodeTypeSmsWord`
  An authentication code is a word delivered via an SMS message to the specified phone number; non-official applications may not receive this type of code.
  `static class`
  `TdApi.AuthenticationCodeTypeTelegramMessage`
  A digit-only authentication code is delivered via a private Telegram message, which can be viewed from another active session.
  `static class`
  `TdApi.AuthorizationState`
  This class is an abstract base class.
  `static class`
  `TdApi.AuthorizationStateClosed`
  TDLib client is in its final state.
  `static class`
  `TdApi.AuthorizationStateClosing`
  TDLib is closing, all subsequent queries will be answered with the error 500.
  `static class`
  `TdApi.AuthorizationStateLoggingOut`
  The user is currently logging out.
  `static class`
  `TdApi.AuthorizationStateReady`
  The user has been successfully authorized.
  `static class`
  `TdApi.AuthorizationStateWaitCode`
  TDLib needs the user's authentication code to authorize.
  `static class`
  `TdApi.AuthorizationStateWaitEmailAddress`
  TDLib needs the user's email address to authorize.
  `static class`
  `TdApi.AuthorizationStateWaitEmailCode`
  TDLib needs the user's authentication code sent to an email address to authorize.
  `static class`
  `TdApi.AuthorizationStateWaitOtherDeviceConfirmation`
  The user needs to confirm authorization on another logged in device by scanning a QR code with the provided link.
  `static class`
  `TdApi.AuthorizationStateWaitPassword`
  The user has been authorized, but needs to enter a 2-step verification password to start using the application.
  `static class`
  `TdApi.AuthorizationStateWaitPhoneNumber`
  TDLib needs the user's phone number to authorize.
  `static class`
  `TdApi.AuthorizationStateWaitPremiumPurchase`
  The user must buy Telegram Premium as an in-store purchase to log in.
  `static class`
  `TdApi.AuthorizationStateWaitRegistration`
  The user is unregistered and needs to accept terms of service and enter their first name and last name to finish registration.
  `static class`
  `TdApi.AuthorizationStateWaitTdlibParameters`
  Initialization parameters are needed.
  `static class`
  `TdApi.AutoDownloadSettings`
  Contains auto-download settings.
  `static class`
  `TdApi.AutoDownloadSettingsPresets`
  Contains auto-download settings presets for the current user.
  `static class`
  `TdApi.AutosaveSettings`
  Describes autosave settings.
  `static class`
  `TdApi.AutosaveSettingsException`
  Contains autosave settings for a chat, which overrides default settings for the corresponding scope.
  `static class`
  `TdApi.AutosaveSettingsScope`
  This class is an abstract base class.
  `static class`
  `TdApi.AutosaveSettingsScopeChannelChats`
  Autosave settings applied to all channel chats without chat-specific settings.
  `static class`
  `TdApi.AutosaveSettingsScopeChat`
  Autosave settings applied to a chat.
  `static class`
  `TdApi.AutosaveSettingsScopeGroupChats`
  Autosave settings applied to all basic group and supergroup chats without chat-specific settings.
  `static class`
  `TdApi.AutosaveSettingsScopePrivateChats`
  Autosave settings applied to all private chats without chat-specific settings.
  `static class`
  `TdApi.AvailableGift`
  Describes a gift that is available for purchase.
  `static class`
  `TdApi.AvailableGifts`
  Contains a list of gifts that can be sent to another user or channel chat.
  `static class`
  `TdApi.AvailableReaction`
  Represents an available reaction.
  `static class`
  `TdApi.AvailableReactions`
  Represents a list of reactions that can be added to a message.
  `static class`
  `TdApi.Background`
  Describes a chat background.
  `static class`
  `TdApi.BackgroundFill`
  This class is an abstract base class.
  `static class`
  `TdApi.BackgroundFillFreeformGradient`
  Describes a freeform gradient fill of a background.
  `static class`
  `TdApi.BackgroundFillGradient`
  Describes a gradient fill of a background.
  `static class`
  `TdApi.BackgroundFillSolid`
  Describes a solid fill of a background.
  `static class`
  `TdApi.Backgrounds`
  Contains a list of backgrounds.
  `static class`
  `TdApi.BackgroundType`
  This class is an abstract base class.
  `static class`
  `TdApi.BackgroundTypeChatTheme`
  A background from a chat theme based on an emoji; can be used only as a chat background in channels.
  `static class`
  `TdApi.BackgroundTypeFill`
  A filled background.
  `static class`
  `TdApi.BackgroundTypePattern`
  A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
  `static class`
  `TdApi.BackgroundTypeWallpaper`
  A wallpaper in JPEG format.
  `static class`
  `TdApi.BanChatMember`
  Bans a member in a chat; requires canRestrictMembers administrator right.
  `static class`
  `TdApi.BanGroupCallParticipants`
  Bans users from a group call not bound to a chat; requires groupCall.isOwned.
  `static class`
  `TdApi.BankCardActionOpenUrl`
  Describes an action associated with a bank card number.
  `static class`
  `TdApi.BankCardInfo`
  Information about a bank card.
  `static class`
  `TdApi.BasicGroup`
  Represents a basic group of 0-200 users (must be upgraded to a supergroup to accommodate more than 200 users).
  `static class`
  `TdApi.BasicGroupFullInfo`
  Contains full information about a basic group.
  `static class`
  `TdApi.Birthdate`
  Represents a birthdate of a user.
  `static class`
  `TdApi.BlockList`
  This class is an abstract base class.
  `static class`
  `TdApi.BlockListMain`
  The main block list that disallows writing messages to the current user, receiving their status and photo, viewing of stories, and some other actions.
  `static class`
  `TdApi.BlockListStories`
  The block list that disallows viewing of stories of the current user.
  `static class`
  `TdApi.BlockMessageSenderFromReplies`
  Blocks an original sender of a message in the Replies chat.
  `static class`
  `TdApi.BoostChat`
  Boosts a chat and returns the list of available chat boost slots for the current user after the boost.
  `static class`
  `TdApi.BotAccessSettings`
  Describes users that have access to a bot.
  `static class`
  `TdApi.BotCommand`
  Represents a command supported by a bot.
  `static class`
  `TdApi.BotCommands`
  Contains a list of bot commands.
  `static class`
  `TdApi.BotCommandScope`
  This class is an abstract base class.
  `static class`
  `TdApi.BotCommandScopeAllChatAdministrators`
  A scope covering all group and supergroup chat administrators.
  `static class`
  `TdApi.BotCommandScopeAllGroupChats`
  A scope covering all group and supergroup chats.
  `static class`
  `TdApi.BotCommandScopeAllPrivateChats`
  A scope covering all private chats.
  `static class`
  `TdApi.BotCommandScopeChat`
  A scope covering all members of a chat.
  `static class`
  `TdApi.BotCommandScopeChatAdministrators`
  A scope covering all administrators of a chat.
  `static class`
  `TdApi.BotCommandScopeChatMember`
  A scope covering a member of a chat.
  `static class`
  `TdApi.BotCommandScopeDefault`
  A scope covering all users.
  `static class`
  `TdApi.BotInfo`
  Contains information about a bot.
  `static class`
  `TdApi.BotMediaPreview`
  Describes media previews of a bot.
  `static class`
  `TdApi.BotMediaPreviewInfo`
  Contains a list of media previews of a bot for the given language and the list of languages for which the bot has dedicated previews.
  `static class`
  `TdApi.BotMediaPreviews`
  Contains a list of media previews of a bot.
  `static class`
  `TdApi.BotMenuButton`
  Describes a button to be shown instead of bot commands menu button.
  `static class`
  `TdApi.BotVerification`
  Describes verification status provided by a bot.
  `static class`
  `TdApi.BotVerificationParameters`
  Describes parameters of verification that is provided by a bot.
  `static class`
  `TdApi.BotWriteAccessAllowReason`
  This class is an abstract base class.
  `static class`
  `TdApi.BotWriteAccessAllowReasonAcceptedRequest`
  The user accepted bot's request to send messages with allowBotToSendMessages.
  `static class`
  `TdApi.BotWriteAccessAllowReasonAddedToAttachmentMenu`
  The user added the bot to attachment or side menu using toggleBotIsAddedToAttachmentMenu.
  `static class`
  `TdApi.BotWriteAccessAllowReasonConnectedWebsite`
  The user connected a website by logging in using Telegram Login Widget on it.
  `static class`
  `TdApi.BotWriteAccessAllowReasonLaunchedWebApp`
  The user launched a Web App using getWebAppLinkUrl.
  `static class`
  `TdApi.BuiltInTheme`
  This class is an abstract base class.
  `static class`
  `TdApi.BuiltInThemeArctic`
  Arctic light theme.
  `static class`
  `TdApi.BuiltInThemeClassic`
  Classic light theme.
  `static class`
  `TdApi.BuiltInThemeDay`
  Regular light theme.
  `static class`
  `TdApi.BuiltInThemeNight`
  Regular dark theme.
  `static class`
  `TdApi.BuiltInThemeTinted`
  Tinted dark theme.
  `static class`
  `TdApi.BusinessAwayMessageSchedule`
  This class is an abstract base class.
  `static class`
  `TdApi.BusinessAwayMessageScheduleAlways`
  Send away messages always.
  `static class`
  `TdApi.BusinessAwayMessageScheduleCustom`
  Send away messages only in the specified time span.
  `static class`
  `TdApi.BusinessAwayMessageScheduleOutsideOfOpeningHours`
  Send away messages outside of the business opening hours.
  `static class`
  `TdApi.BusinessAwayMessageSettings`
  Describes settings for messages that are automatically sent by a Telegram Business account when it is away.
  `static class`
  `TdApi.BusinessBotManageBar`
  Contains information about a business bot that manages the chat.
  `static class`
  `TdApi.BusinessBotRights`
  Describes rights of a business bot.
  `static class`
  `TdApi.BusinessChatLink`
  Contains information about a business chat link.
  `static class`
  `TdApi.BusinessChatLinkInfo`
  Contains information about a business chat link.
  `static class`
  `TdApi.BusinessChatLinks`
  Contains a list of business chat links created by the user.
  `static class`
  `TdApi.BusinessConnectedBot`
  Describes a bot connected to a business account.
  `static class`
  `TdApi.BusinessConnection`
  Describes a connection of the bot with a business account.
  `static class`
  `TdApi.BusinessFeature`
  This class is an abstract base class.
  `static class`
  `TdApi.BusinessFeatureAccountLinks`
  The ability to create links to the business account with predefined message text.
  `static class`
  `TdApi.BusinessFeatureAwayMessage`
  The ability to set up an away message.
  `static class`
  `TdApi.BusinessFeatureBots`
  The ability to connect a bot to the account.
  `static class`
  `TdApi.BusinessFeatureChatFolderTags`
  The ability to display folder names for each chat in the chat list.
  `static class`
  `TdApi.BusinessFeatureEmojiStatus`
  The ability to show an emoji status along with the business name.
  `static class`
  `TdApi.BusinessFeatureGreetingMessage`
  The ability to set up a greeting message.
  `static class`
  `TdApi.BusinessFeatureLocation`
  The ability to set location.
  `static class`
  `TdApi.BusinessFeatureOpeningHours`
  The ability to set opening hours.
  `static class`
  `TdApi.BusinessFeaturePromotionAnimation`
  Describes a promotion animation for a Business feature.
  `static class`
  `TdApi.BusinessFeatureQuickReplies`
  The ability to use quick replies.
  `static class`
  `TdApi.BusinessFeatures`
  Contains information about features, available to Business user accounts.
  `static class`
  `TdApi.BusinessFeatureStartPage`
  The ability to customize start page.
  `static class`
  `TdApi.BusinessFeatureUpgradedStories`
  Allowed to use many additional features for stories.
  `static class`
  `TdApi.BusinessGreetingMessageSettings`
  Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.
  `static class`
  `TdApi.BusinessInfo`
  Contains information about a Telegram Business account.
  `static class`
  `TdApi.BusinessLocation`
  Represents a location of a business.
  `static class`
  `TdApi.BusinessMessage`
  Describes a message from a business account as received by a bot.
  `static class`
  `TdApi.BusinessMessages`
  Contains a list of messages from a business account as received by a bot.
  `static class`
  `TdApi.BusinessOpeningHours`
  Describes opening hours of a business.
  `static class`
  `TdApi.BusinessOpeningHoursInterval`
  Describes an interval of time when the business is open.
  `static class`
  `TdApi.BusinessRecipients`
  Describes private chats chosen for automatic interaction with a business.
  `static class`
  `TdApi.BusinessStartPage`
  Describes settings for a business account start page.
  `static class`
  `TdApi.ButtonStyle`
  This class is an abstract base class.
  `static class`
  `TdApi.ButtonStyleDanger`
  The button has red color.
  `static class`
  `TdApi.ButtonStyleDefault`
  The button has default style.
  `static class`
  `TdApi.ButtonStylePrimary`
  The button has dark blue color.
  `static class`
  `TdApi.ButtonStyleSuccess`
  The button has green color.
  `static class`
  `TdApi.BuyGiftUpgrade`
  Pays for upgrade of a regular gift that is owned by another user or channel chat.
  `static class`
  `TdApi.Call`
  Describes a call.
  `static class`
  `TdApi.CallbackQueryAnswer`
  Contains a bot's answer to a callback query.
  `static class`
  `TdApi.CallbackQueryPayload`
  This class is an abstract base class.
  `static class`
  `TdApi.CallbackQueryPayloadData`
  The payload for a general callback button.
  `static class`
  `TdApi.CallbackQueryPayloadDataWithPassword`
  The payload for a callback button requiring password.
  `static class`
  `TdApi.CallbackQueryPayloadGame`
  The payload for a game callback button.
  `static class`
  `TdApi.CallDiscardReason`
  This class is an abstract base class.
  `static class`
  `TdApi.CallDiscardReasonDeclined`
  The call was ended before the conversation started.
  `static class`
  `TdApi.CallDiscardReasonDisconnected`
  The call was ended during the conversation because the users were disconnected.
  `static class`
  `TdApi.CallDiscardReasonEmpty`
  The call wasn't discarded, or the reason is unknown.
  `static class`
  `TdApi.CallDiscardReasonHungUp`
  The call was ended because one of the parties hung up.
  `static class`
  `TdApi.CallDiscardReasonMissed`
  The call was ended before the conversation started.
  `static class`
  `TdApi.CallDiscardReasonUpgradeToGroupCall`
  The call was ended because it has been upgraded to a group call.
  `static class`
  `TdApi.CallId`
  Contains the call identifier.
  `static class`
  `TdApi.CallProblem`
  This class is an abstract base class.
  `static class`
  `TdApi.CallProblemDistortedSpeech`
  The speech was distorted.
  `static class`
  `TdApi.CallProblemDistortedVideo`
  The video was distorted.
  `static class`
  `TdApi.CallProblemDropped`
  The call ended unexpectedly.
  `static class`
  `TdApi.CallProblemEcho`
  The user heard their own voice.
  `static class`
  `TdApi.CallProblemInterruptions`
  The other side kept disappearing.
  `static class`
  `TdApi.CallProblemNoise`
  The user heard background noise.
  `static class`
  `TdApi.CallProblemPixelatedVideo`
  The video was pixelated.
  `static class`
  `TdApi.CallProblemSilentLocal`
  The user couldn't hear the other side.
  `static class`
  `TdApi.CallProblemSilentRemote`
  The other side couldn't hear the user.
  `static class`
  `TdApi.CallProtocol`
  Specifies the supported call protocols.
  `static class`
  `TdApi.CallServer`
  Describes a server for relaying call data.
  `static class`
  `TdApi.CallServerType`
  This class is an abstract base class.
  `static class`
  `TdApi.CallServerTypeTelegramReflector`
  A Telegram call reflector.
  `static class`
  `TdApi.CallServerTypeWebrtc`
  A WebRTC server.
  `static class`
  `TdApi.CallState`
  This class is an abstract base class.
  `static class`
  `TdApi.CallStateDiscarded`
  The call has ended successfully.
  `static class`
  `TdApi.CallStateError`
  The call has ended with an error.
  `static class`
  `TdApi.CallStateExchangingKeys`
  The call has been answered and encryption keys are being exchanged.
  `static class`
  `TdApi.CallStateHangingUp`
  The call is hanging up after discardCall has been called.
  `static class`
  `TdApi.CallStatePending`
  The call is pending, waiting to be accepted by a user.
  `static class`
  `TdApi.CallStateReady`
  The call is ready to use.
  `static class`
  `TdApi.CanBotSendMessages`
  Checks whether the specified bot can send messages to the user.
  `static class`
  `TdApi.CancelDownloadFile`
  Stops the downloading of a file.
  `static class`
  `TdApi.CancelPasswordReset`
  Cancels reset of 2-step verification password.
  `static class`
  `TdApi.CancelPreliminaryUploadFile`
  Stops the preliminary uploading of a file.
  `static class`
  `TdApi.CancelRecoveryEmailAddressVerification`
  Cancels verification of the 2-step verification recovery email address.
  `static class`
  `TdApi.CanPostStory`
  Checks whether the current user can post a story on behalf of a chat; requires canPostStories administrator right for supergroup and channel chats.
  `static class`
  `TdApi.CanPostStoryResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CanPostStoryResultActiveStoryLimitExceeded`
  The limit for the number of active stories exceeded.
  `static class`
  `TdApi.CanPostStoryResultBoostNeeded`
  The chat must be boosted first by Telegram Premium subscribers to post more stories.
  `static class`
  `TdApi.CanPostStoryResultLiveStoryIsActive`
  The user or the chat has an active live story.
  `static class`
  `TdApi.CanPostStoryResultMonthlyLimitExceeded`
  The monthly limit for the number of posted stories exceeded.
  `static class`
  `TdApi.CanPostStoryResultOk`
  A story can be sent.
  `static class`
  `TdApi.CanPostStoryResultPremiumNeeded`
  The user must subscribe to Telegram Premium to be able to post stories.
  `static class`
  `TdApi.CanPostStoryResultWeeklyLimitExceeded`
  The weekly limit for the number of posted stories exceeded.
  `static class`
  `TdApi.CanPurchaseFromStore`
  Checks whether an in-store purchase is possible.
  `static class`
  `TdApi.CanSendGift`
  Checks whether a gift with nextSendDate in the future can be sent already.
  `static class`
  `TdApi.CanSendGiftResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CanSendGiftResultFail`
  The gift can't be sent now by the current user.
  `static class`
  `TdApi.CanSendGiftResultOk`
  The gift can be sent now by the current user.
  `static class`
  `TdApi.CanSendMessageToUser`
  Checks whether the current user can message another user or try to create a chat with them.
  `static class`
  `TdApi.CanSendMessageToUserResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CanSendMessageToUserResultOk`
  The user can be messaged.
  `static class`
  `TdApi.CanSendMessageToUserResultUserHasPaidMessages`
  The user can be messaged, but the messages are paid.
  `static class`
  `TdApi.CanSendMessageToUserResultUserIsDeleted`
  The user can't be messaged, because they are deleted or unknown.
  `static class`
  `TdApi.CanSendMessageToUserResultUserRestrictsNewChats`
  The user can't be messaged, because they restrict new chats with non-contacts.
  `static class`
  `TdApi.CanTransferOwnership`
  Checks whether the current session can be used to transfer a chat ownership to another user.
  `static class`
  `TdApi.CanTransferOwnershipResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CanTransferOwnershipResultOk`
  The session can be used.
  `static class`
  `TdApi.CanTransferOwnershipResultPasswordNeeded`
  The 2-step verification needs to be enabled first.
  `static class`
  `TdApi.CanTransferOwnershipResultPasswordTooFresh`
  The 2-step verification was enabled recently, user needs to wait.
  `static class`
  `TdApi.CanTransferOwnershipResultSessionTooFresh`
  The session was created recently, user needs to wait.
  `static class`
  `TdApi.ChangeImportedContacts`
  Changes imported contacts using the list of contacts saved on the device.
  `static class`
  `TdApi.ChangeStickerSet`
  Installs/uninstalls or activates/archives a sticker set.
  `static class`
  `TdApi.Chat`
  A chat.
  `static class`
  `TdApi.ChatAction`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatActionBar`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatActionBarAddContact`
  The chat is a private or secret chat and the other user can be added to the contact list using the method addContact.
  `static class`
  `TdApi.ChatActionBarInviteMembers`
  The chat is a recently created group chat to which new members can be invited.
  `static class`
  `TdApi.ChatActionBarJoinRequest`
  The chat is a private chat with an administrator of a chat to which the user sent join request.
  `static class`
  `TdApi.ChatActionBarReportAddBlock`
  The chat is a private or secret chat, which can be reported using the method reportChat, or the other user can be blocked using the method setMessageSenderBlockList, or the other user can be added to the contact list using the method addContact.
  `static class`
  `TdApi.ChatActionBarReportSpam`
  The chat can be reported as spam using the method reportChat with an empty optionId and messageIds.
  `static class`
  `TdApi.ChatActionBarSharePhoneNumber`
  The chat is a private or secret chat with a mutual contact and the user's phone number can be shared with the other user using the method sharePhoneNumber.
  `static class`
  `TdApi.ChatActionCancel`
  The user has canceled the previous action.
  `static class`
  `TdApi.ChatActionChoosingContact`
  The user is picking a contact to send.
  `static class`
  `TdApi.ChatActionChoosingLocation`
  The user is picking a location or venue to send.
  `static class`
  `TdApi.ChatActionChoosingSticker`
  The user is picking a sticker to send.
  `static class`
  `TdApi.ChatActionRecordingVideo`
  The user is recording a video.
  `static class`
  `TdApi.ChatActionRecordingVideoNote`
  The user is recording a video note.
  `static class`
  `TdApi.ChatActionRecordingVoiceNote`
  The user is recording a voice note.
  `static class`
  `TdApi.ChatActionStartPlayingGame`
  The user has started to play a game.
  `static class`
  `TdApi.ChatActionTyping`
  The user is typing a message.
  `static class`
  `TdApi.ChatActionUploadingDocument`
  The user is uploading a document.
  `static class`
  `TdApi.ChatActionUploadingPhoto`
  The user is uploading a photo.
  `static class`
  `TdApi.ChatActionUploadingVideo`
  The user is uploading a video.
  `static class`
  `TdApi.ChatActionUploadingVideoNote`
  The user is uploading a video note.
  `static class`
  `TdApi.ChatActionUploadingVoiceNote`
  The user is uploading a voice note.
  `static class`
  `TdApi.ChatActionWatchingAnimations`
  The user is watching animations sent by the other party by clicking on an animated emoji.
  `static class`
  `TdApi.ChatActiveStories`
  Describes active stories posted by a chat.
  `static class`
  `TdApi.ChatAdministrator`
  Contains information about a chat administrator.
  `static class`
  `TdApi.ChatAdministratorRights`
  Describes rights of the administrator.
  `static class`
  `TdApi.ChatAdministrators`
  Represents a list of chat administrators.
  `static class`
  `TdApi.ChatAvailableReactions`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatAvailableReactionsAll`
  All reactions are available in the chat, excluding the paid reaction and custom reactions in channel chats.
  `static class`
  `TdApi.ChatAvailableReactionsSome`
  Only specific reactions are available in the chat.
  `static class`
  `TdApi.ChatBackground`
  Describes a background set for a specific chat.
  `static class`
  `TdApi.ChatBoost`
  Describes a boost applied to a chat.
  `static class`
  `TdApi.ChatBoostFeatures`
  Contains a list of features available on the first chat boost levels.
  `static class`
  `TdApi.ChatBoostLevelFeatures`
  Contains a list of features available on a specific chat boost level.
  `static class`
  `TdApi.ChatBoostLink`
  Contains an HTTPS link to boost a chat.
  `static class`
  `TdApi.ChatBoostLinkInfo`
  Contains information about a link to boost a chat.
  `static class`
  `TdApi.ChatBoostSlot`
  Describes a slot for chat boost.
  `static class`
  `TdApi.ChatBoostSlots`
  Contains a list of chat boost slots.
  `static class`
  `TdApi.ChatBoostSource`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatBoostSourceGiftCode`
  The chat created a Telegram Premium gift code for a user.
  `static class`
  `TdApi.ChatBoostSourceGiveaway`
  The chat created a giveaway.
  `static class`
  `TdApi.ChatBoostSourcePremium`
  A user with Telegram Premium subscription or gifted Telegram Premium boosted the chat.
  `static class`
  `TdApi.ChatBoostStatus`
  Describes current boost status of a chat.
  `static class`
  `TdApi.ChatEvent`
  Represents a chat event.
  `static class`
  `TdApi.ChatEventAccentColorChanged`
  The chat accent color or background custom emoji were changed.
  `static class`
  `TdApi.ChatEventAction`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatEventActiveUsernamesChanged`
  The chat active usernames were changed.
  `static class`
  `TdApi.ChatEventAutomaticTranslationToggled`
  The hasAutomaticTranslation setting of a channel was toggled.
  `static class`
  `TdApi.ChatEventAvailableReactionsChanged`
  The chat available reactions were changed.
  `static class`
  `TdApi.ChatEventBackgroundChanged`
  The chat background was changed.
  `static class`
  `TdApi.ChatEventCustomEmojiStickerSetChanged`
  The supergroup sticker set with allowed custom emoji was changed.
  `static class`
  `TdApi.ChatEventDescriptionChanged`
  The chat description was changed.
  `static class`
  `TdApi.ChatEventEmojiStatusChanged`
  The chat emoji status was changed.
  `static class`
  `TdApi.ChatEventForumTopicCreated`
  A new forum topic was created.
  `static class`
  `TdApi.ChatEventForumTopicDeleted`
  A forum topic was deleted.
  `static class`
  `TdApi.ChatEventForumTopicEdited`
  A forum topic was edited.
  `static class`
  `TdApi.ChatEventForumTopicPinned`
  A pinned forum topic was changed.
  `static class`
  `TdApi.ChatEventForumTopicToggleIsClosed`
  A forum topic was closed or reopened.
  `static class`
  `TdApi.ChatEventForumTopicToggleIsHidden`
  The General forum topic was hidden or unhidden.
  `static class`
  `TdApi.ChatEventHasAggressiveAntiSpamEnabledToggled`
  The hasAggressiveAntiSpamEnabled setting of a supergroup was toggled.
  `static class`
  `TdApi.ChatEventHasProtectedContentToggled`
  The hasProtectedContent setting of a channel was toggled.
  `static class`
  `TdApi.ChatEventInviteLinkDeleted`
  A revoked chat invite link was deleted.
  `static class`
  `TdApi.ChatEventInviteLinkEdited`
  A chat invite link was edited.
  `static class`
  `TdApi.ChatEventInviteLinkRevoked`
  A chat invite link was revoked.
  `static class`
  `TdApi.ChatEventInvitesToggled`
  The canInviteUsers permission of a supergroup chat was toggled.
  `static class`
  `TdApi.ChatEventIsAllHistoryAvailableToggled`
  The isAllHistoryAvailable setting of a supergroup was toggled.
  `static class`
  `TdApi.ChatEventIsForumToggled`
  The isForum setting of a channel was toggled.
  `static class`
  `TdApi.ChatEventLinkedChatChanged`
  The linked chat of a supergroup was changed.
  `static class`
  `TdApi.ChatEventLocationChanged`
  The supergroup location was changed.
  `static class`
  `TdApi.ChatEventLogFilters`
  Represents a set of filters used to obtain a chat event log.
  `static class`
  `TdApi.ChatEventMemberInvited`
  A new chat member was invited.
  `static class`
  `TdApi.ChatEventMemberJoined`
  A new member joined the chat.
  `static class`
  `TdApi.ChatEventMemberJoinedByInviteLink`
  A new member joined the chat via an invite link.
  `static class`
  `TdApi.ChatEventMemberJoinedByRequest`
  A new member was accepted to the chat by an administrator.
  `static class`
  `TdApi.ChatEventMemberLeft`
  A member left the chat.
  `static class`
  `TdApi.ChatEventMemberPromoted`
  A chat member has gained/lost administrator status, or the list of their administrator privileges has changed.
  `static class`
  `TdApi.ChatEventMemberRestricted`
  A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.
  `static class`
  `TdApi.ChatEventMemberSubscriptionExtended`
  A chat member extended their subscription to the chat.
  `static class`
  `TdApi.ChatEventMemberTagChanged`
  A chat member tag has been changed.
  `static class`
  `TdApi.ChatEventMessageAutoDeleteTimeChanged`
  The message auto-delete timer was changed.
  `static class`
  `TdApi.ChatEventMessageDeleted`
  A message was deleted.
  `static class`
  `TdApi.ChatEventMessageEdited`
  A message was edited.
  `static class`
  `TdApi.ChatEventMessagePinned`
  A message was pinned.
  `static class`
  `TdApi.ChatEventMessageUnpinned`
  A message was unpinned.
  `static class`
  `TdApi.ChatEventPermissionsChanged`
  The chat permissions were changed.
  `static class`
  `TdApi.ChatEventPhotoChanged`
  The chat photo was changed.
  `static class`
  `TdApi.ChatEventPollStopped`
  A poll in a message was stopped.
  `static class`
  `TdApi.ChatEventProfileAccentColorChanged`
  The chat's profile accent color or profile background custom emoji were changed.
  `static class`
  `TdApi.ChatEvents`
  Contains a list of chat events.
  `static class`
  `TdApi.ChatEventShowMessageSenderToggled`
  The showMessageSender setting of a channel was toggled.
  `static class`
  `TdApi.ChatEventSignMessagesToggled`
  The signMessages setting of a channel was toggled.
  `static class`
  `TdApi.ChatEventSlowModeDelayChanged`
  The slowModeDelay setting of a supergroup was changed.
  `static class`
  `TdApi.ChatEventStickerSetChanged`
  The supergroup sticker set was changed.
  `static class`
  `TdApi.ChatEventTitleChanged`
  The chat title was changed.
  `static class`
  `TdApi.ChatEventUsernameChanged`
  The chat editable username was changed.
  `static class`
  `TdApi.ChatEventVideoChatCreated`
  A video chat was created.
  `static class`
  `TdApi.ChatEventVideoChatEnded`
  A video chat was ended.
  `static class`
  `TdApi.ChatEventVideoChatMuteNewParticipantsToggled`
  The muteNewParticipants setting of a video chat was toggled.
  `static class`
  `TdApi.ChatEventVideoChatParticipantIsMutedToggled`
  A video chat participant was muted or unmuted.
  `static class`
  `TdApi.ChatEventVideoChatParticipantVolumeLevelChanged`
  A video chat participant volume level was changed.
  `static class`
  `TdApi.ChatFolder`
  Represents a folder for user chats.
  `static class`
  `TdApi.ChatFolderIcon`
  Represents an icon for a chat folder.
  `static class`
  `TdApi.ChatFolderInfo`
  Contains basic information about a chat folder.
  `static class`
  `TdApi.ChatFolderInviteLink`
  Contains a chat folder invite link.
  `static class`
  `TdApi.ChatFolderInviteLinkInfo`
  Contains information about an invite link to a chat folder.
  `static class`
  `TdApi.ChatFolderInviteLinks`
  Represents a list of chat folder invite links.
  `static class`
  `TdApi.ChatFolderName`
  Describes name of a chat folder.
  `static class`
  `TdApi.ChatInviteLink`
  Contains a chat invite link.
  `static class`
  `TdApi.ChatInviteLinkCount`
  Describes a chat administrator with a number of active and revoked chat invite links.
  `static class`
  `TdApi.ChatInviteLinkCounts`
  Contains a list of chat invite link counts.
  `static class`
  `TdApi.ChatInviteLinkInfo`
  Contains information about a chat invite link.
  `static class`
  `TdApi.ChatInviteLinkMember`
  Describes a chat member joined a chat via an invite link.
  `static class`
  `TdApi.ChatInviteLinkMembers`
  Contains a list of chat members joined a chat via an invite link.
  `static class`
  `TdApi.ChatInviteLinks`
  Contains a list of chat invite links.
  `static class`
  `TdApi.ChatInviteLinkSubscriptionInfo`
  Contains information about subscription plan that must be paid by the user to use a chat invite link.
  `static class`
  `TdApi.ChatJoinRequest`
  Describes a user who sent a join request and waits for administrator approval.
  `static class`
  `TdApi.ChatJoinRequests`
  Contains a list of requests to join a chat.
  `static class`
  `TdApi.ChatJoinRequestsInfo`
  Contains information about pending join requests for a chat.
  `static class`
  `TdApi.ChatList`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatListArchive`
  A list of chats usually located at the top of the main chat list.
  `static class`
  `TdApi.ChatListFolder`
  A list of chats added to a chat folder.
  `static class`
  `TdApi.ChatListMain`
  A main list of chats.
  `static class`
  `TdApi.ChatLists`
  Contains a list of chat lists.
  `static class`
  `TdApi.ChatLocation`
  Represents a location to which a chat is connected.
  `static class`
  `TdApi.ChatMember`
  Describes a user or a chat as a member of another chat.
  `static class`
  `TdApi.ChatMembers`
  Contains a list of chat members.
  `static class`
  `TdApi.ChatMembersFilter`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatMembersFilterAdministrators`
  Returns the owner and administrators.
  `static class`
  `TdApi.ChatMembersFilterBanned`
  Returns users banned from the chat; can be used only by administrators in a supergroup or in a channel.
  `static class`
  `TdApi.ChatMembersFilterBots`
  Returns bot members of the chat.
  `static class`
  `TdApi.ChatMembersFilterContacts`
  Returns contacts of the user.
  `static class`
  `TdApi.ChatMembersFilterMembers`
  Returns all chat members, including restricted chat members.
  `static class`
  `TdApi.ChatMembersFilterMention`
  Returns users which can be mentioned in the chat.
  `static class`
  `TdApi.ChatMembersFilterRestricted`
  Returns users under certain restrictions in the chat; can be used only by administrators in a supergroup.
  `static class`
  `TdApi.ChatMemberStatus`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatMemberStatusAdministrator`
  The user is a member of the chat and has some additional privileges.
  `static class`
  `TdApi.ChatMemberStatusBanned`
  The user or the chat was banned (and hence is not a member of the chat).
  `static class`
  `TdApi.ChatMemberStatusCreator`
  The user is the owner of the chat and has all the administrator privileges.
  `static class`
  `TdApi.ChatMemberStatusLeft`
  The user or the chat is not a chat member.
  `static class`
  `TdApi.ChatMemberStatusMember`
  The user is a member of the chat, without any additional privileges or restrictions.
  `static class`
  `TdApi.ChatMemberStatusRestricted`
  The user is under certain restrictions in the chat.
  `static class`
  `TdApi.ChatMessageSender`
  Represents a message sender, which can be used to send messages in a chat.
  `static class`
  `TdApi.ChatMessageSenders`
  Represents a list of message senders, which can be used to send messages in a chat.
  `static class`
  `TdApi.ChatNotificationSettings`
  Contains information about notification settings for a chat or a forum topic.
  `static class`
  `TdApi.ChatPermissions`
  Describes actions that a user is allowed to take in a chat.
  `static class`
  `TdApi.ChatPhoto`
  Describes a chat or user profile photo.
  `static class`
  `TdApi.ChatPhotoInfo`
  Contains basic information about the photo of a chat.
  `static class`
  `TdApi.ChatPhotos`
  Contains a list of chat or user profile photos.
  `static class`
  `TdApi.ChatPhotoSticker`
  Information about the sticker, which was used to create the chat photo.
  `static class`
  `TdApi.ChatPhotoStickerType`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatPhotoStickerTypeCustomEmoji`
  Information about the custom emoji, which was used to create the chat photo.
  `static class`
  `TdApi.ChatPhotoStickerTypeRegularOrMask`
  Information about the sticker, which was used to create the chat photo.
  `static class`
  `TdApi.ChatPosition`
  Describes a position of a chat in a chat list.
  `static class`
  `TdApi.ChatRevenueAmount`
  Contains information about revenue earned from sponsored messages in a chat.
  `static class`
  `TdApi.ChatRevenueStatistics`
  A detailed statistics about revenue earned from sponsored messages in a chat.
  `static class`
  `TdApi.ChatRevenueTransaction`
  Contains a chat revenue transactions.
  `static class`
  `TdApi.ChatRevenueTransactions`
  Contains a list of chat revenue transactions.
  `static class`
  `TdApi.ChatRevenueTransactionType`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatRevenueTransactionTypeFragmentRefund`
  Describes a refund for failed withdrawal of earnings through Fragment.
  `static class`
  `TdApi.ChatRevenueTransactionTypeFragmentWithdrawal`
  Describes a withdrawal of earnings through Fragment.
  `static class`
  `TdApi.ChatRevenueTransactionTypeSponsoredMessageEarnings`
  Describes earnings from sponsored messages in a chat in some time frame.
  `static class`
  `TdApi.ChatRevenueTransactionTypeSuggestedPostEarnings`
  Describes earnings from a published suggested post.
  `static class`
  `TdApi.ChatRevenueTransactionTypeUnsupported`
  Describes an unsupported transaction.
  `static class`
  `TdApi.Chats`
  Represents a list of chats.
  `static class`
  `TdApi.ChatSource`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatSourceMtprotoProxy`
  The chat is sponsored by the user's MTProxy server.
  `static class`
  `TdApi.ChatSourcePublicServiceAnnouncement`
  The chat contains a public service announcement.
  `static class`
  `TdApi.ChatStatistics`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatStatisticsAdministratorActionsInfo`
  Contains statistics about administrator actions done by a user.
  `static class`
  `TdApi.ChatStatisticsChannel`
  A detailed statistics about a channel chat.
  `static class`
  `TdApi.ChatStatisticsInteractionInfo`
  Contains statistics about interactions with a message sent in the chat or a story posted on behalf of the chat.
  `static class`
  `TdApi.ChatStatisticsInviterInfo`
  Contains statistics about number of new members invited by a user.
  `static class`
  `TdApi.ChatStatisticsMessageSenderInfo`
  Contains statistics about messages sent by a user.
  `static class`
  `TdApi.ChatStatisticsObjectType`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatStatisticsObjectTypeMessage`
  Describes a message sent in the chat.
  `static class`
  `TdApi.ChatStatisticsObjectTypeStory`
  Describes a story posted on behalf of the chat.
  `static class`
  `TdApi.ChatStatisticsSupergroup`
  A detailed statistics about a supergroup chat.
  `static class`
  `TdApi.ChatTheme`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatThemeEmoji`
  A chat theme based on an emoji.
  `static class`
  `TdApi.ChatThemeGift`
  A chat theme based on an upgraded gift.
  `static class`
  `TdApi.ChatType`
  This class is an abstract base class.
  `static class`
  `TdApi.ChatTypeBasicGroup`
  A basic group (a chat with 0-200 other users).
  `static class`
  `TdApi.ChatTypePrivate`
  An ordinary chat with a user.
  `static class`
  `TdApi.ChatTypeSecret`
  A secret chat with a user.
  `static class`
  `TdApi.ChatTypeSupergroup`
  A supergroup or channel (with unlimited members).
  `static class`
  `TdApi.CheckAuthenticationBotToken`
  Checks the authentication token of a bot; to log in as a bot.
  `static class`
  `TdApi.CheckAuthenticationCode`
  Checks the authentication code.
  `static class`
  `TdApi.CheckAuthenticationEmailCode`
  Checks the authentication of an email address.
  `static class`
  `TdApi.CheckAuthenticationPasskey`
  Checks a passkey to log in to the corresponding account.
  `static class`
  `TdApi.CheckAuthenticationPassword`
  Checks the 2-step verification password for correctness.
  `static class`
  `TdApi.CheckAuthenticationPasswordRecoveryCode`
  Checks whether a 2-step verification password recovery code sent to an email address is valid.
  `static class`
  `TdApi.CheckAuthenticationPremiumPurchase`
  Checks whether an in-store purchase of Telegram Premium is possible before authorization.
  `static class`
  `TdApi.CheckBotUsername`
  Checks whether a username can be set for a new bot.
  `static class`
  `TdApi.CheckChatFolderInviteLink`
  Checks the validity of an invite link for a chat folder and returns information about the corresponding chat folder.
  `static class`
  `TdApi.CheckChatInviteLink`
  Checks the validity of an invite link for a chat and returns information about the corresponding chat.
  `static class`
  `TdApi.CheckChatUsername`
  Checks whether a username can be set for a chat.
  `static class`
  `TdApi.CheckChatUsernameResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CheckChatUsernameResultOk`
  The username can be set.
  `static class`
  `TdApi.CheckChatUsernameResultPublicChatsTooMany`
  The user has too many chats with username, one of them must be made private first.
  `static class`
  `TdApi.CheckChatUsernameResultPublicGroupsUnavailable`
  The user can't be a member of a public supergroup.
  `static class`
  `TdApi.CheckChatUsernameResultUsernameInvalid`
  The username is invalid.
  `static class`
  `TdApi.CheckChatUsernameResultUsernameOccupied`
  The username is occupied.
  `static class`
  `TdApi.CheckChatUsernameResultUsernamePurchasable`
  The username can be purchased at https://fragment.com.
  `static class`
  `TdApi.CheckCreatedPublicChatsLimit`
  Checks whether the maximum number of owned public chats has been reached.
  `static class`
  `TdApi.CheckEmailAddressVerificationCode`
  Checks the email address verification code for Telegram Passport.
  `static class`
  `TdApi.Checklist`
  Describes a checklist.
  `static class`
  `TdApi.ChecklistTask`
  Describes a task in a checklist.
  `static class`
  `TdApi.CheckLoginEmailAddressCode`
  Checks the login email address authentication.
  `static class`
  `TdApi.CheckOauthRequestMatchCode`
  Checks a match-code for an OAuth authorization request.
  `static class`
  `TdApi.CheckPasswordRecoveryCode`
  Checks whether a 2-step verification password recovery code sent to an email address is valid.
  `static class`
  `TdApi.CheckPhoneNumberCode`
  Checks the authentication code and completes the request for which the code was sent if appropriate.
  `static class`
  `TdApi.CheckPremiumGiftCode`
  Returns information about a Telegram Premium gift code.
  `static class`
  `TdApi.CheckQuickReplyShortcutName`
  Checks validness of a name for a quick reply shortcut.
  `static class`
  `TdApi.CheckRecoveryEmailAddressCode`
  Checks the 2-step verification recovery email address verification code.
  `static class`
  `TdApi.CheckStickerSetName`
  Checks whether a name can be used for a new sticker set.
  `static class`
  `TdApi.CheckStickerSetNameResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CheckStickerSetNameResultNameInvalid`
  The name is invalid.
  `static class`
  `TdApi.CheckStickerSetNameResultNameOccupied`
  The name is occupied.
  `static class`
  `TdApi.CheckStickerSetNameResultOk`
  The name can be set.
  `static class`
  `TdApi.CheckWebAppFileDownload`
  Checks whether a file can be downloaded and saved locally by Web App request.
  `static class`
  `TdApi.CleanFileName`
  Removes potentially dangerous characters from the name of a file.
  `static class`
  `TdApi.ClearAllDraftMessages`
  Clears message drafts in all chats.
  `static class`
  `TdApi.ClearAutosaveSettingsExceptions`
  Clears the list of all autosave settings exceptions.
  `static class`
  `TdApi.ClearImportedContacts`
  Clears all imported contacts, contact list remains unchanged.
  `static class`
  `TdApi.ClearRecentEmojiStatuses`
  Clears the list of recently used emoji statuses for self status.
  `static class`
  `TdApi.ClearRecentlyFoundChats`
  Clears the list of recently found chats.
  `static class`
  `TdApi.ClearRecentReactions`
  Clears the list of recently used reactions.
  `static class`
  `TdApi.ClearRecentStickers`
  Clears the list of recently used stickers.
  `static class`
  `TdApi.ClearSearchedForTags`
  Clears the list of recently searched for hashtags or cashtags.
  `static class`
  `TdApi.ClickAnimatedEmojiMessage`
  Informs TDLib that a message with an animated emoji was clicked by the user.
  `static class`
  `TdApi.ClickChatSponsoredMessage`
  Informs TDLib that the user opened the sponsored chat via the button, the name, the chat photo, a mention in the sponsored message text, or the media in the sponsored message.
  `static class`
  `TdApi.ClickPremiumSubscriptionButton`
  Informs TDLib that the user clicked Premium subscription button on the Premium features screen.
  `static class`
  `TdApi.ClickVideoMessageAdvertisement`
  Informs TDLib that the user clicked a video message advertisement.
  `static class`
  `TdApi.Close`
  Closes the TDLib instance.
  `static class`
  `TdApi.CloseBirthdayUser`
  Describes a user who had or will have a birthday soon.
  `static class`
  `TdApi.CloseChat`
  Informs TDLib that the chat is closed by the user.
  `static class`
  `TdApi.ClosedVectorPath`
  Represents a closed vector path.
  `static class`
  `TdApi.CloseGiftAuction`
  Informs TDLib that a gift auction was closed by the user.
  `static class`
  `TdApi.CloseSecretChat`
  Closes a secret chat, effectively transferring its state to secretChatStateClosed.
  `static class`
  `TdApi.CloseStory`
  Informs TDLib that a story is closed by the user.
  `static class`
  `TdApi.CloseWebApp`
  Informs TDLib that a previously opened Web App was closed.
  `static class`
  `TdApi.CollectibleItemInfo`
  Contains information about a collectible item and its last purchase.
  `static class`
  `TdApi.CollectibleItemType`
  This class is an abstract base class.
  `static class`
  `TdApi.CollectibleItemTypePhoneNumber`
  A phone number.
  `static class`
  `TdApi.CollectibleItemTypeUsername`
  A username.
  `static class`
  `TdApi.CommitPendingLiveStoryReactions`
  Applies all pending paid reactions in a live story group call.
  `static class`
  `TdApi.CommitPendingPaidMessageReactions`
  Applies all pending paid reactions on a message.
  `static class`
  `TdApi.ComposeTextWithAi`
  Changes text using an AI model; must not be used in secret chats.
  `static class`
  `TdApi.ConfirmQrCodeAuthentication`
  Confirms QR code authentication on another device.
  `static class`
  `TdApi.ConfirmSession`
  Confirms an unconfirmed session of the current user from another device.
  `static class`
  `TdApi.ConnectAffiliateProgram`
  Connects an affiliate program to the given affiliate.
  `static class`
  `TdApi.ConnectedAffiliateProgram`
  Describes an affiliate program that was connected to an affiliate.
  `static class`
  `TdApi.ConnectedAffiliatePrograms`
  Represents a list of affiliate programs that were connected to an affiliate.
  `static class`
  `TdApi.ConnectedWebsite`
  Contains information about one website the current user is logged in with Telegram.
  `static class`
  `TdApi.ConnectedWebsites`
  Contains a list of websites the current user is logged in with Telegram.
  `static class`
  `TdApi.ConnectionState`
  This class is an abstract base class.
  `static class`
  `TdApi.ConnectionStateConnecting`
  Establishing a connection to the Telegram servers.
  `static class`
  `TdApi.ConnectionStateConnectingToProxy`
  Establishing a connection with a proxy server.
  `static class`
  `TdApi.ConnectionStateReady`
  There is a working connection to the Telegram servers.
  `static class`
  `TdApi.ConnectionStateUpdating`
  Downloading data expected to be received while the application was offline.
  `static class`
  `TdApi.ConnectionStateWaitingForNetwork`
  Waiting for the network to become available.
  `static class`
  `TdApi.Contact`
  Describes a contact of a user.
  `static class`
  `TdApi.Count`
  Contains a counter.
  `static class`
  `TdApi.Countries`
  Contains information about countries.
  `static class`
  `TdApi.CountryInfo`
  Contains information about a country.
  `static class`
  `TdApi.CraftGift`
  Crafts a new gift from other gifts that will be permanently lost.
  `static class`
  `TdApi.CraftGiftResult`
  This class is an abstract base class.
  `static class`
  `TdApi.CraftGiftResultFail`
  Crafting has failed.
  `static class`
  `TdApi.CraftGiftResultInvalidGift`
  Crafting isn't possible because one of the gifts isn't suitable for crafting.
  `static class`
  `TdApi.CraftGiftResultSuccess`
  Crafting was successful.
  `static class`
  `TdApi.CraftGiftResultTooEarly`
  Crafting isn't possible because one of the gifts can't be used for crafting yet.
  `static class`
  `TdApi.CreateBasicGroupChat`
  Returns an existing chat corresponding to a known basic group.
  `static class`
  `TdApi.CreateBot`
  Creates a bot which will be managed by another bot.
  `static class`
  `TdApi.CreateBusinessChatLink`
  Creates a business chat link for the current account.
  `static class`
  `TdApi.CreateCall`
  Creates a new call.
  `static class`
  `TdApi.CreateChatFolder`
  Creates new chat folder.
  `static class`
  `TdApi.CreateChatFolderInviteLink`
  Creates a new invite link for a chat folder.
  `static class`
  `TdApi.CreateChatInviteLink`
  Creates a new invite link for a chat.
  `static class`
  `TdApi.CreateChatSubscriptionInviteLink`
  Creates a new subscription invite link for a channel chat.
  `static class`
  `TdApi.CreatedBasicGroupChat`
  Contains information about a newly created basic group chat.
  `static class`
  `TdApi.CreateForumTopic`
  Creates a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator or canCreateTopics member right in the supergroup.
  `static class`
  `TdApi.CreateGiftCollection`
  Creates a collection from gifts on the current user's or a channel's profile page; requires canPostMessages administrator right in the channel chat.
  `static class`
  `TdApi.CreateGroupCall`
  Creates a new group call that isn't bound to a chat.
  `static class`
  `TdApi.CreateInvoiceLink`
  Creates a link for the given invoice; for bots only.
  `static class`
  `TdApi.CreateNewBasicGroupChat`
  Creates a new basic group and sends a corresponding messageBasicGroupChatCreate.
  `static class`
  `TdApi.CreateNewSecretChat`
  Creates a new secret chat.
  `static class`
  `TdApi.CreateNewStickerSet`
  Creates a new sticker set.
  `static class`
  `TdApi.CreateNewSupergroupChat`
  Creates a new supergroup or channel and sends a corresponding messageSupergroupChatCreate.
  `static class`
  `TdApi.CreatePrivateChat`
  Returns an existing chat corresponding to a given user.
  `static class`
  `TdApi.CreateSecretChat`
  Returns an existing chat corresponding to a known secret chat.
  `static class`
  `TdApi.CreateStoryAlbum`
  Creates an album of stories; requires canEditStories administrator right for supergroup and channel chats.
  `static class`
  `TdApi.CreateSupergroupChat`
  Returns an existing chat corresponding to a known supergroup or channel.
  `static class`
  `TdApi.CreateTemporaryPassword`
  Creates a new temporary password for processing payments.
  `static class`
  `TdApi.CreateTextCompositionStyle`
  Creates a custom text composition style.
  `static class`
  `TdApi.CreateVideoChat`
  Creates a video chat (a group call bound to a chat); for basic groups, supergroups and channels only; requires canManageVideoChats administrator right.
  `static class`
  `TdApi.CurrentWeather`
  Describes the current weather.
  `static class`
  `TdApi.CustomRequestResult`
  Contains the result of a custom request.
  `static class`
  `TdApi.Data`
  Contains some binary data.
  `static class`
  `TdApi.DatabaseStatistics`
  Contains database statistics.
  `static class`
  `TdApi.Date`
  Represents a date according to the Gregorian calendar.
  `static class`
  `TdApi.DatedFile`
  File with the date it was uploaded.
  `static class`
  `TdApi.DateRange`
  Represents a date range.
  `static class`
  `TdApi.DateTimeFormattingType`
  This class is an abstract base class.
  `static class`
  `TdApi.DateTimeFormattingTypeAbsolute`
  The date and time must be shown as absolute timestamps.
  `static class`
  `TdApi.DateTimeFormattingTypeRelative`
  The time must be shown relative to the current time ([in ] X seconds, minutes, hours, days, months, years [ago]).
  `static class`
  `TdApi.DateTimePartPrecision`
  This class is an abstract base class.
  `static class`
  `TdApi.DateTimePartPrecisionLong`
  Show the date or time in a long way (March 17, 2022 or 22:45:00.)
  `static class`
  `TdApi.DateTimePartPrecisionNone`
  Don't show the date or time.
  `static class`
  `TdApi.DateTimePartPrecisionShort`
  Show the date or time in a short way (17.03.22 or 22:45).
  `static class`
  `TdApi.DeclineGroupCallInvitation`
  Declines an invitation to an active group call via messageGroupCall.
  `static class`
  `TdApi.DeclineOauthRequest`
  Declines an OAuth authorization request.
  `static class`
  `TdApi.DeclineSuggestedPost`
  Declines a suggested post in a channel direct messages chat.
  `static class`
  `TdApi.DecryptGroupCallData`
  Decrypts group call data received by tgcalls.
  `static class`
  `TdApi.DeepLinkInfo`
  Contains information about a tg: deep link.
  `static class`
  `TdApi.DeleteAccount`
  Deletes the account of the current user, deleting all information associated with the user from the server.
  `static class`
  `TdApi.DeleteAllCallMessages`
  Deletes all call messages.
  `static class`
  `TdApi.DeleteAllRecentMessageReactionsFromSender`
  Deletes all recent reactions added by the specified sender in a chat.
  `static class`
  `TdApi.DeleteAllRevokedChatInviteLinks`
  Deletes all revoked chat invite links created by a given chat administrator.
  `static class`
  `TdApi.DeleteBotMediaPreviews`
  Deletes media previews from the list of media previews of a bot.
  `static class`
  `TdApi.DeleteBusinessChatLink`
  Deletes a business chat link of the current account.
  `static class`
  `TdApi.DeleteBusinessConnectedBot`
  Deletes the business bot that is connected to the current user account.
  `static class`
  `TdApi.DeleteBusinessMessages`
  Deletes messages on behalf of a business account; for bots only.
  `static class`
  `TdApi.DeleteBusinessStory`
  Deletes a story posted by the bot on behalf of a business account; for bots only.
  `static class`
  `TdApi.DeleteChat`
  Deletes a chat along with all messages in the corresponding chat for all chat members.
  `static class`
  `TdApi.DeleteChatBackground`
  Deletes background in a specific chat.
  `static class`
  `TdApi.DeleteChatFolder`
  Deletes existing chat folder.
  `static class`
  `TdApi.DeleteChatFolderInviteLink`
  Deletes an invite link for a chat folder.
  `static class`
  `TdApi.DeleteChatHistory`
  Deletes all messages in the chat.
  `static class`
  `TdApi.DeleteChatMessagesByDate`
  Deletes all messages between the specified dates in a chat.
  `static class`
  `TdApi.DeleteChatMessagesBySender`
  Deletes all messages sent by the specified message sender in a chat.
  `static class`
  `TdApi.DeleteChatReplyMarkup`
  Deletes the default reply markup from a chat.
  `static class`
  `TdApi.DeleteCommands`
  Deletes commands supported by the bot for the given user scope and language; for bots only.
  `static class`
  `TdApi.DeleteDefaultBackground`
  Deletes default background for chats.
  `static class`
  `TdApi.DeleteDirectMessagesChatTopicHistory`
  Deletes all messages in the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.DeleteDirectMessagesChatTopicMessagesByDate`
  Deletes all messages between the specified dates in the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.DeleteFile`
  Deletes a file from the TDLib file cache.
  `static class`
  `TdApi.DeleteForumTopic`
  Deletes all messages from a topic in a forum supergroup chat or a chat with a bot with topics; requires canDeleteMessages administrator right in the supergroup unless the user is creator of the topic, the topic has no messages from other users and has at most 11 messages.
  `static class`
  `TdApi.DeleteGiftCollection`
  Deletes a gift collection.
  `static class`
  `TdApi.DeleteGroupCallMessages`
  Deletes messages in a group call; for live story calls only.
  `static class`
  `TdApi.DeleteGroupCallMessagesBySender`
  Deletes all messages sent by the specified message sender in a group call; for live story calls only.
  `static class`
  `TdApi.DeleteLanguagePack`
  Deletes all information about a language pack in the current localization target.
  `static class`
  `TdApi.DeleteMessageReactionsFromSender`
  Deletes all reactions added by the specified sender on a message.
  `static class`
  `TdApi.DeleteMessages`
  Deletes messages.
  `static class`
  `TdApi.DeletePassportElement`
  Deletes a Telegram Passport element.
  `static class`
  `TdApi.DeletePollOption`
  Deletes an option from a poll.
  `static class`
  `TdApi.DeleteProfilePhoto`
  Deletes a profile photo.
  `static class`
  `TdApi.DeleteQuickReplyShortcut`
  Deletes a quick reply shortcut.
  `static class`
  `TdApi.DeleteQuickReplyShortcutMessages`
  Deletes specified quick reply messages.
  `static class`
  `TdApi.DeleteRevokedChatInviteLink`
  Deletes revoked chat invite links.
  `static class`
  `TdApi.DeleteSavedCredentials`
  Deletes saved credentials for all payment provider bots.
  `static class`
  `TdApi.DeleteSavedMessagesTopicHistory`
  Deletes all messages in a Saved Messages topic.
  `static class`
  `TdApi.DeleteSavedMessagesTopicMessagesByDate`
  Deletes all messages between the specified dates in a Saved Messages topic.
  `static class`
  `TdApi.DeleteSavedOrderInfo`
  Deletes saved order information.
  `static class`
  `TdApi.DeleteStickerSet`
  Completely deletes a sticker set.
  `static class`
  `TdApi.DeleteStory`
  Deletes a previously posted story.
  `static class`
  `TdApi.DeleteStoryAlbum`
  Deletes a story album.
  `static class`
  `TdApi.DeleteTextCompositionStyle`
  Deletes a custom text composition style that was created by the current user.
  `static class`
  `TdApi.Destroy`
  Closes the TDLib instance, destroying all local data without a proper logout.
  `static class`
  `TdApi.DeviceToken`
  This class is an abstract base class.
  `static class`
  `TdApi.DeviceTokenApplePush`
  A token for Apple Push Notification service.
  `static class`
  `TdApi.DeviceTokenApplePushVoIP`
  A token for Apple Push Notification service VoIP notifications.
  `static class`
  `TdApi.DeviceTokenBlackBerryPush`
  A token for BlackBerry Push Service.
  `static class`
  `TdApi.DeviceTokenFirebaseCloudMessaging`
  A token for Firebase Cloud Messaging.
  `static class`
  `TdApi.DeviceTokenHuaweiPush`
  A token for HUAWEI Push Service.
  `static class`
  `TdApi.DeviceTokenMicrosoftPush`
  A token for Microsoft Push Notification Service.
  `static class`
  `TdApi.DeviceTokenMicrosoftPushVoIP`
  A token for Microsoft Push Notification Service VoIP channel.
  `static class`
  `TdApi.DeviceTokenSimplePush`
  A token for Simple Push API for Firefox OS.
  `static class`
  `TdApi.DeviceTokenTizenPush`
  A token for Tizen Push Service.
  `static class`
  `TdApi.DeviceTokenUbuntuPush`
  A token for Ubuntu Push Client service.
  `static class`
  `TdApi.DeviceTokenWebPush`
  A token for web Push API.
  `static class`
  `TdApi.DeviceTokenWindowsPush`
  A token for Windows Push Notification Services.
  `static class`
  `TdApi.DiceStickers`
  This class is an abstract base class.
  `static class`
  `TdApi.DiceStickersRegular`
  A regular animated sticker.
  `static class`
  `TdApi.DiceStickersSlotMachine`
  Animated stickers to be combined into a slot machine.
  `static class`
  `TdApi.DiffEntity`
  Represents a change of a text.
  `static class`
  `TdApi.DiffEntityType`
  This class is an abstract base class.
  `static class`
  `TdApi.DiffEntityTypeDelete`
  Removal of some text.
  `static class`
  `TdApi.DiffEntityTypeInsert`
  Addition of some text.
  `static class`
  `TdApi.DiffEntityTypeReplace`
  Change of some text.
  `static class`
  `TdApi.DiffText`
  A text with some changes highlighted.
  `static class`
  `TdApi.DirectMessagesChatTopic`
  Contains information about a topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.DisableAllSupergroupUsernames`
  Disables all active non-editable usernames of a supergroup or channel, requires owner privileges in the supergroup or channel.
  `static class`
  `TdApi.DisableProxy`
  Disables the currently enabled proxy.
  `static class`
  `TdApi.DiscardCall`
  Discards a call.
  `static class`
  `TdApi.DisconnectAffiliateProgram`
  Disconnects an affiliate program from the given affiliate and immediately deactivates its referral link.
  `static class`
  `TdApi.DisconnectAllWebsites`
  Disconnects all websites from the current user's Telegram account.
  `static class`
  `TdApi.DisconnectWebsite`
  Disconnects website from the current user's Telegram account.
  `static class`
  `TdApi.Document`
  Describes a document of any type.
  `static class`
  `TdApi.DownloadedFileCounts`
  Contains number of being downloaded and recently downloaded files found.
  `static class`
  `TdApi.DownloadFile`
  Downloads a file from the cloud.
  `static class`
  `TdApi.DraftMessage`
  Contains information about a message draft.
  `static class`
  `TdApi.DropGiftOriginalDetails`
  Drops original details for an upgraded gift.
  `static class`
  `TdApi.EditBotMediaPreview`
  Replaces media preview in the list of media previews of a bot.
  `static class`
  `TdApi.EditBusinessChatLink`
  Edits a business chat link of the current account.
  `static class`
  `TdApi.EditBusinessMessageCaption`
  Edits the caption of a message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditBusinessMessageChecklist`
  Edits the content of a checklist in a message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditBusinessMessageLiveLocation`
  Edits the content of a live location in a message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditBusinessMessageMedia`
  Edits the media content of a message with a text, an animation, an audio, a document, a photo or a video in a message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditBusinessMessageReplyMarkup`
  Edits the reply markup of a message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditBusinessMessageText`
  Edits the text of a text or game message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditBusinessStory`
  Changes a story posted by the bot on behalf of a business account; for bots only.
  `static class`
  `TdApi.EditChatFolder`
  Edits existing chat folder.
  `static class`
  `TdApi.EditChatFolderInviteLink`
  Edits an invite link for a chat folder.
  `static class`
  `TdApi.EditChatInviteLink`
  Edits a non-primary invite link for a chat.
  `static class`
  `TdApi.EditChatSubscriptionInviteLink`
  Edits a subscription invite link for a channel chat.
  `static class`
  `TdApi.EditCustomLanguagePackInfo`
  Edits information about a custom local language pack in the current localization target.
  `static class`
  `TdApi.EditForumTopic`
  Edits title and icon of a topic in a forum supergroup chat or a chat with a bot with topics; for supergroup chats requires canManageTopics administrator right unless the user is creator of the topic.
  `static class`
  `TdApi.EditInlineMessageCaption`
  Edits the caption of an inline message sent via a bot; for bots only.
  `static class`
  `TdApi.EditInlineMessageLiveLocation`
  Edits the content of a live location in an inline message sent via a bot; for bots only.
  `static class`
  `TdApi.EditInlineMessageMedia`
  Edits the media content of a message with a text, an animation, an audio, a document, a photo or a video in an inline message sent via a bot; for bots only.
  `static class`
  `TdApi.EditInlineMessageReplyMarkup`
  Edits the reply markup of an inline message sent via a bot; for bots only.
  `static class`
  `TdApi.EditInlineMessageText`
  Edits the text of an inline text or game message sent via a bot; for bots only.
  `static class`
  `TdApi.EditMessageCaption`
  Edits the message content caption.
  `static class`
  `TdApi.EditMessageChecklist`
  Edits the message content of a checklist.
  `static class`
  `TdApi.EditMessageLiveLocation`
  Edits the message content of a live location.
  `static class`
  `TdApi.EditMessageMedia`
  Edits the media content of a message, including message caption.
  `static class`
  `TdApi.EditMessageReplyMarkup`
  Edits the message reply markup; for bots only.
  `static class`
  `TdApi.EditMessageSchedulingState`
  Edits the time when a scheduled message will be sent.
  `static class`
  `TdApi.EditMessageText`
  Edits the text of a message (or a text of a game message).
  `static class`
  `TdApi.EditProxy`
  Edits an existing proxy server for network requests.
  `static class`
  `TdApi.EditQuickReplyMessage`
  Asynchronously edits the text, media or caption of a quick reply message.
  `static class`
  `TdApi.EditStarSubscription`
  Cancels or re-enables Telegram Star subscription.
  `static class`
  `TdApi.EditStory`
  Changes content and caption of a story.
  `static class`
  `TdApi.EditStoryCover`
  Changes cover of a video story.
  `static class`
  `TdApi.EditTextCompositionStyle`
  Edits a custom text composition style that was created by the current user.
  `static class`
  `TdApi.EditUserStarSubscription`
  Cancels or re-enables Telegram Star subscription for a user; for bots only.
  `static class`
  `TdApi.EmailAddressAuthentication`
  This class is an abstract base class.
  `static class`
  `TdApi.EmailAddressAuthenticationAppleId`
  An authentication token received through Apple ID.
  `static class`
  `TdApi.EmailAddressAuthenticationCode`
  An authentication code delivered to a user's email address.
  `static class`
  `TdApi.EmailAddressAuthenticationCodeInfo`
  Information about the email address authentication code that was sent.
  `static class`
  `TdApi.EmailAddressAuthenticationGoogleId`
  An authentication token received through Google ID.
  `static class`
  `TdApi.EmailAddressResetState`
  This class is an abstract base class.
  `static class`
  `TdApi.EmailAddressResetStateAvailable`
  Email address can be reset after the given period.
  `static class`
  `TdApi.EmailAddressResetStatePending`
  Email address reset has already been requested.
  `static class`
  `TdApi.EmojiCategories`
  Represents a list of emoji categories.
  `static class`
  `TdApi.EmojiCategory`
  Describes an emoji category.
  `static class`
  `TdApi.EmojiCategorySource`
  This class is an abstract base class.
  `static class`
  `TdApi.EmojiCategorySourcePremium`
  The category contains premium stickers that must be found by getPremiumStickers.
  `static class`
  `TdApi.EmojiCategorySourceSearch`
  The category contains a list of similar emoji to search for in getStickers and searchStickers for stickers, or getInlineQueryResults with the bot getOption("animation_search_bot_username") for animations.
  `static class`
  `TdApi.EmojiCategoryType`
  This class is an abstract base class.
  `static class`
  `TdApi.EmojiCategoryTypeChatPhoto`
  The category must be used for chat photo emoji selection.
  `static class`
  `TdApi.EmojiCategoryTypeDefault`
  The category must be used by default (e.g., for custom emoji or animation search).
  `static class`
  `TdApi.EmojiCategoryTypeEmojiStatus`
  The category must be used for emoji status selection.
  `static class`
  `TdApi.EmojiCategoryTypeRegularStickers`
  The category must be used by default for regular sticker selection.
  `static class`
  `TdApi.EmojiChatTheme`
  Describes a chat theme based on an emoji.
  `static class`
  `TdApi.EmojiKeyword`
  Represents an emoji with its keyword.
  `static class`
  `TdApi.EmojiKeywords`
  Represents a list of emojis with their keywords.
  `static class`
  `TdApi.EmojiReaction`
  Contains information about an emoji reaction.
  `static class`
  `TdApi.Emojis`
  Represents a list of emojis.
  `static class`
  `TdApi.EmojiStatus`
  Describes an emoji to be shown instead of the Telegram Premium badge.
  `static class`
  `TdApi.EmojiStatusCustomEmojis`
  Contains a list of custom emoji identifiers for emoji statuses.
  `static class`
  `TdApi.EmojiStatuses`
  Contains a list of emoji statuses.
  `static class`
  `TdApi.EmojiStatusType`
  This class is an abstract base class.
  `static class`
  `TdApi.EmojiStatusTypeCustomEmoji`
  A custom emoji set as emoji status.
  `static class`
  `TdApi.EmojiStatusTypeUpgradedGift`
  An upgraded gift set as emoji status.
  `static class`
  `TdApi.EnableProxy`
  Enables a proxy.
  `static class`
  `TdApi.EncryptedCredentials`
  Contains encrypted Telegram Passport data credentials.
  `static class`
  `TdApi.EncryptedPassportElement`
  Contains information about an encrypted Telegram Passport element; for bots only.
  `static class`
  `TdApi.EncryptGroupCallData`
  Encrypts group call data before sending them over network using tgcalls.
  `static class`
  `TdApi.EndGroupCall`
  Ends a group call.
  `static class`
  `TdApi.EndGroupCallRecording`
  Ends recording of an active group call; for video chats only.
  `static class`
  `TdApi.EndGroupCallScreenSharing`
  Ends screen sharing in a joined group call; not supported in live stories.
  `static class`
  `TdApi.Error`
  An object of this type can be returned on every function call, in case of an error.
  `static class`
  `TdApi.FactCheck`
  Describes a fact-check added to the message by an independent checker.
  `static class`
  `TdApi.FailedToAddMember`
  Contains information about a user who has failed to be added to a chat.
  `static class`
  `TdApi.FailedToAddMembers`
  Represents a list of users that has failed to be added to a chat.
  `static class`
  `TdApi.File`
  Represents a file.
  `static class`
  `TdApi.FileDownload`
  Describes a file added to file download list.
  `static class`
  `TdApi.FileDownloadedPrefixSize`
  Contains size of downloaded prefix of a file.
  `static class`
  `TdApi.FileType`
  This class is an abstract base class.
  `static class`
  `TdApi.FileTypeAnimation`
  The file is an animation.
  `static class`
  `TdApi.FileTypeAudio`
  The file is an audio file.
  `static class`
  `TdApi.FileTypeDocument`
  The file is a document.
  `static class`
  `TdApi.FileTypeLivePhotoVideo`
  The file is a video for a live photo.
  `static class`
  `TdApi.FileTypeNone`
  The data is not a file.
  `static class`
  `TdApi.FileTypeNotificationSound`
  The file is a notification sound.
  `static class`
  `TdApi.FileTypePhoto`
  The file is a photo.
  `static class`
  `TdApi.FileTypePhotoStory`
  The file is a photo published as a story.
  `static class`
  `TdApi.FileTypeProfilePhoto`
  The file is a profile photo.
  `static class`
  `TdApi.FileTypeSecret`
  The file was sent to a secret chat (the file type is not known to the server).
  `static class`
  `TdApi.FileTypeSecretThumbnail`
  The file is a thumbnail of a file from a secret chat.
  `static class`
  `TdApi.FileTypeSecure`
  The file is a file from Secure storage used for storing Telegram Passport files.
  `static class`
  `TdApi.FileTypeSelfDestructingLivePhotoVideo`
  The file is a self-destructing video for a live photo in a private chat.
  `static class`
  `TdApi.FileTypeSelfDestructingPhoto`
  The file is a self-destructing photo in a private chat.
  `static class`
  `TdApi.FileTypeSelfDestructingVideo`
  The file is a self-destructing video in a private chat.
  `static class`
  `TdApi.FileTypeSelfDestructingVideoNote`
  The file is a self-destructing video note in a private chat.
  `static class`
  `TdApi.FileTypeSelfDestructingVoiceNote`
  The file is a self-destructing voice note in a private chat.
  `static class`
  `TdApi.FileTypeSticker`
  The file is a sticker.
  `static class`
  `TdApi.FileTypeThumbnail`
  The file is a thumbnail of another file.
  `static class`
  `TdApi.FileTypeUnknown`
  The file type is not yet known.
  `static class`
  `TdApi.FileTypeVideo`
  The file is a video.
  `static class`
  `TdApi.FileTypeVideoNote`
  The file is a video note.
  `static class`
  `TdApi.FileTypeVideoStory`
  The file is a video published as a story.
  `static class`
  `TdApi.FileTypeVoiceNote`
  The file is a voice note.
  `static class`
  `TdApi.FileTypeWallpaper`
  The file is a wallpaper or a background pattern.
  `static class`
  `TdApi.FinishFileGeneration`
  Finishes the file generation.
  `static class`
  `TdApi.FirebaseAuthenticationSettings`
  This class is an abstract base class.
  `static class`
  `TdApi.FirebaseAuthenticationSettingsAndroid`
  Settings for Firebase Authentication in the official Android application.
  `static class`
  `TdApi.FirebaseAuthenticationSettingsIos`
  Settings for Firebase Authentication in the official iOS application.
  `static class`
  `TdApi.FirebaseDeviceVerificationParameters`
  This class is an abstract base class.
  `static class`
  `TdApi.FirebaseDeviceVerificationParametersPlayIntegrity`
  Device verification must be performed with the classic Play Integrity verification (https://developer.android.com/google/play/integrity/classic).
  `static class`
  `TdApi.FirebaseDeviceVerificationParametersSafetyNet`
  Device verification must be performed with the SafetyNet Attestation API.
  `static class`
  `TdApi.FixedText`
  A text fixed using fixTextWithAi.
  `static class`
  `TdApi.FixTextWithAi`
  Fixes text using an AI model; must not be used in secret chats.
  `static class`
  `TdApi.FormattedText`
  A text with some entities.
  `static class`
  `TdApi.ForumTopic`
  Describes a forum topic.
  `static class`
  `TdApi.ForumTopicIcon`
  Describes a forum topic icon.
  `static class`
  `TdApi.ForumTopicInfo`
  Contains basic information about a forum topic.
  `static class`
  `TdApi.ForumTopics`
  Describes a list of forum topics.
  `static class`
  `TdApi.ForwardMessages`
  Forwards previously sent messages.
  `static class`
  `TdApi.ForwardSource`
  Contains information about the last message from which a new message was forwarded last time.
  `static class`
  `TdApi.FoundAffiliateProgram`
  Describes a found affiliate program.
  `static class`
  `TdApi.FoundAffiliatePrograms`
  Represents a list of found affiliate programs.
  `static class`
  `TdApi.FoundChatBoosts`
  Contains a list of boosts applied to a chat.
  `static class`
  `TdApi.FoundChatMessages`
  Contains a list of messages found by a search in a given chat.
  `static class`
  `TdApi.FoundFileDownloads`
  Contains a list of downloaded files, found by a search.
  `static class`
  `TdApi.FoundMessages`
  Contains a list of messages found by a search.
  `static class`
  `TdApi.FoundPosition`
  Contains 0-based match position.
  `static class`
  `TdApi.FoundPositions`
  Contains 0-based positions of matched objects.
  `static class`
  `TdApi.FoundPublicPosts`
  Contains a list of messages found by a public post search.
  `static class`
  `TdApi.FoundStories`
  Contains a list of stories found by a search.
  `static class`
  `TdApi.FoundUsers`
  Represents a list of found users.
  `static class`
  `TdApi.FoundWebApp`
  Contains information about a Web App found by its short name.
  `static class`
  `TdApi.Function<R extends TdApi.Object>`
  This class is a base class for all TDLib interface function-classes.
  `static class`
  `TdApi.Game`
  Describes a game.
  `static class`
  `TdApi.GameHighScore`
  Contains one row of the game high score table.
  `static class`
  `TdApi.GameHighScores`
  Contains a list of game high scores.
  `static class`
  `TdApi.GetAccountTtl`
  Returns the period of inactivity after which the account of the current user will automatically be deleted.
  `static class`
  `TdApi.GetActiveSessions`
  Returns all active sessions of the current user.
  `static class`
  `TdApi.GetAllPassportElements`
  Returns all available Telegram Passport elements.
  `static class`
  `TdApi.GetAllStickerEmojis`
  Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).
  `static class`
  `TdApi.GetAnimatedEmoji`
  Returns an animated emoji corresponding to a given emoji.
  `static class`
  `TdApi.GetApplicationConfig`
  Returns application config, provided by the server.
  `static class`
  `TdApi.GetApplicationDownloadLink`
  Returns the link for downloading official Telegram application to be used when the current user invites friends to Telegram.
  `static class`
  `TdApi.GetArchiveChatListSettings`
  Returns settings for automatic moving of chats to and from the Archive chat lists.
  `static class`
  `TdApi.GetArchivedStickerSets`
  Returns a list of archived sticker sets.
  `static class`
  `TdApi.GetAttachedStickerSets`
  Returns a list of sticker sets attached to a file, including regular, mask, and emoji sticker sets.
  `static class`
  `TdApi.GetAttachmentMenuBot`
  Returns information about a bot that can be added to attachment or side menu.
  `static class`
  `TdApi.GetAuthenticationPasskeyParameters`
  Returns parameters for authentication using a passkey as JSON-serialized string.
  `static class`
  `TdApi.GetAuthorizationState`
  Returns the current authorization state.
  `static class`
  `TdApi.GetAutoDownloadSettingsPresets`
  Returns auto-download settings presets for the current user.
  `static class`
  `TdApi.GetAutosaveSettings`
  Returns autosave settings for the current user.
  `static class`
  `TdApi.GetAvailableChatBoostSlots`
  Returns the list of available chat boost slots for the current user.
  `static class`
  `TdApi.GetAvailableGifts`
  Returns gifts that can be sent to other users and channel chats.
  `static class`
  `TdApi.GetBackgroundUrl`
  Constructs a persistent HTTP URL for a background.
  `static class`
  `TdApi.GetBankCardInfo`
  Returns information about a bank card.
  `static class`
  `TdApi.GetBasicGroup`
  Returns information about a basic group by its identifier.
  `static class`
  `TdApi.GetBasicGroupFullInfo`
  Returns full information about a basic group by its identifier.
  `static class`
  `TdApi.GetBlockedMessageSenders`
  Returns users and chats that were blocked by the current user.
  `static class`
  `TdApi.GetBotInfoDescription`
  Returns the text shown in the chat with a bot if the chat is empty in the given language.
  `static class`
  `TdApi.GetBotInfoShortDescription`
  Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language.
  `static class`
  `TdApi.GetBotMediaPreviewInfo`
  Returns the list of media previews for the given language and the list of languages for which the bot has dedicated previews.
  `static class`
  `TdApi.GetBotMediaPreviews`
  Returns the list of media previews of a bot.
  `static class`
  `TdApi.GetBotName`
  Returns the name of a bot in the given language.
  `static class`
  `TdApi.GetBotSimilarBotCount`
  Returns approximate number of bots similar to the given bot.
  `static class`
  `TdApi.GetBotSimilarBots`
  Returns a list of bots similar to the given bot.
  `static class`
  `TdApi.GetBusinessAccountStarAmount`
  Returns the Telegram Star amount owned by a business account; for bots only.
  `static class`
  `TdApi.GetBusinessChatLinkInfo`
  Returns information about a business chat link.
  `static class`
  `TdApi.GetBusinessChatLinks`
  Returns business chat links created for the current account.
  `static class`
  `TdApi.GetBusinessConnectedBot`
  Returns the business bot that is connected to the current user account.
  `static class`
  `TdApi.GetBusinessConnection`
  Returns information about a business connection by its identifier; for bots only.
  `static class`
  `TdApi.GetBusinessFeatures`
  Returns information about features, available to Business users.
  `static class`
  `TdApi.GetCallbackQueryAnswer`
  Sends a callback query to a bot and returns an answer.
  `static class`
  `TdApi.GetCallbackQueryMessage`
  Returns information about a message with the callback button that originated a callback query; for bots only.
  `static class`
  `TdApi.GetChat`
  Returns information about a chat by its identifier.
  `static class`
  `TdApi.GetChatActiveStories`
  Returns the list of active stories posted by the given chat.
  `static class`
  `TdApi.GetChatAdministrators`
  Returns a list of administrators of the chat with their custom titles.
  `static class`
  `TdApi.GetChatArchivedStories`
  Returns the list of all stories posted by the given chat; requires canEditStories administrator right in the chat.
  `static class`
  `TdApi.GetChatAvailableMessageSenders`
  Returns the list of message sender identifiers, which can be used to send messages in a chat.
  `static class`
  `TdApi.GetChatAvailablePaidMessageReactionSenders`
  Returns the list of message sender identifiers, which can be used to send a paid reaction in a chat.
  `static class`
  `TdApi.GetChatBoostFeatures`
  Returns the list of features available for different chat boost levels.
  `static class`
  `TdApi.GetChatBoostLevelFeatures`
  Returns the list of features available on the specific chat boost level.
  `static class`
  `TdApi.GetChatBoostLink`
  Returns an HTTPS link to boost the specified supergroup or channel chat.
  `static class`
  `TdApi.GetChatBoostLinkInfo`
  Returns information about a link to boost a chat.
  `static class`
  `TdApi.GetChatBoosts`
  Returns the list of boosts applied to a chat; requires administrator rights in the chat.
  `static class`
  `TdApi.GetChatBoostStatus`
  Returns the current boost status for a supergroup or a channel chat.
  `static class`
  `TdApi.GetChatEventLog`
  Returns a list of service actions taken by chat members and administrators in the last 48 hours.
  `static class`
  `TdApi.GetChatFolder`
  Returns information about a chat folder by its identifier.
  `static class`
  `TdApi.GetChatFolderChatCount`
  Returns approximate number of chats in a being created chat folder.
  `static class`
  `TdApi.GetChatFolderChatsToLeave`
  Returns identifiers of pinned or always included chats from a chat folder, which are suggested to be left when the chat folder is deleted.
  `static class`
  `TdApi.GetChatFolderDefaultIconName`
  Returns default icon name for a folder.
  `static class`
  `TdApi.GetChatFolderInviteLinks`
  Returns invite links created by the current user for a shareable chat folder.
  `static class`
  `TdApi.GetChatFolderNewChats`
  Returns new chats added to a shareable chat folder by its owner.
  `static class`
  `TdApi.GetChatHistory`
  Returns messages in a chat.
  `static class`
  `TdApi.GetChatInviteLink`
  Returns information about an invite link.
  `static class`
  `TdApi.GetChatInviteLinkCounts`
  Returns the list of chat administrators with number of their invite links.
  `static class`
  `TdApi.GetChatInviteLinkMembers`
  Returns chat members joined a chat via an invite link.
  `static class`
  `TdApi.GetChatInviteLinks`
  Returns invite links for a chat created by specified administrator.
  `static class`
  `TdApi.GetChatJoinRequests`
  Returns pending join requests in a chat.
  `static class`
  `TdApi.GetChatListsToAddChat`
  Returns chat lists to which the chat can be added.
  `static class`
  `TdApi.GetChatMember`
  Returns information about a single member of a chat.
  `static class`
  `TdApi.GetChatMessageByDate`
  Returns the last message sent in a chat no later than the specified date.
  `static class`
  `TdApi.GetChatMessageCalendar`
  Returns information about the next messages of the specified type in the chat split by days.
  `static class`
  `TdApi.GetChatMessageCount`
  Returns approximate number of messages of the specified type in the chat or its topic.
  `static class`
  `TdApi.GetChatMessagePosition`
  Returns approximate 1-based position of a message among messages, which can be found by the specified filter in the chat and topic.
  `static class`
  `TdApi.GetChatNotificationSettingsExceptions`
  Returns the list of chats with non-default notification settings for new messages.
  `static class`
  `TdApi.GetChatOwnerAfterLeaving`
  Returns the user who will become the owner of the chat after 7 days if the current user does not return to the supergroup or channel during that period or immediately for basic groups; requires owner privileges in the chat.
  `static class`
  `TdApi.GetChatPinnedMessage`
  Returns information about a newest pinned message in the chat.
  `static class`
  `TdApi.GetChatPostedToChatPageStories`
  Returns the list of stories that posted by the given chat to its chat page.
  `static class`
  `TdApi.GetChatRevenueStatistics`
  Returns detailed revenue statistics about a chat.
  `static class`
  `TdApi.GetChatRevenueTransactions`
  Returns the list of revenue transactions for a chat.
  `static class`
  `TdApi.GetChatRevenueWithdrawalUrl`
  Returns a URL for chat revenue withdrawal; requires owner privileges in the channel chat or the bot.
  `static class`
  `TdApi.GetChats`
  Returns an ordered list of chats from the beginning of a chat list.
  `static class`
  `TdApi.GetChatScheduledMessages`
  Returns all scheduled messages in a chat.
  `static class`
  `TdApi.GetChatsForChatFolderInviteLink`
  Returns identifiers of chats from a chat folder, suitable for adding to a chat folder invite link.
  `static class`
  `TdApi.GetChatSimilarChatCount`
  Returns approximate number of chats similar to the given chat.
  `static class`
  `TdApi.GetChatSimilarChats`
  Returns a list of chats similar to the given chat.
  `static class`
  `TdApi.GetChatSparseMessagePositions`
  Returns sparse positions of messages of the specified type in the chat to be used for shared media scroll implementation.
  `static class`
  `TdApi.GetChatSponsoredMessages`
  Returns sponsored messages to be shown in a chat; for channel chats and chats with bots only.
  `static class`
  `TdApi.GetChatStatistics`
  Returns detailed statistics about a chat.
  `static class`
  `TdApi.GetChatsToPostStories`
  Returns supergroup and channel chats in which the current user has the right to post stories.
  `static class`
  `TdApi.GetChatStoryAlbums`
  Returns the list of story albums owned by the given chat.
  `static class`
  `TdApi.GetChatStoryInteractions`
  Returns interactions with a story posted in a chat.
  `static class`
  `TdApi.GetCloseFriends`
  Returns all close friends of the current user.
  `static class`
  `TdApi.GetCollectibleItemInfo`
  Returns information about a given collectible item that was purchased at https://fragment.com.
  `static class`
  `TdApi.GetCommands`
  Returns the list of commands supported by the bot for the given user scope and language; for bots only.
  `static class`
  `TdApi.GetConnectedAffiliateProgram`
  Returns an affiliate program that was connected to the given affiliate by identifier of the bot that created the program.
  `static class`
  `TdApi.GetConnectedAffiliatePrograms`
  Returns affiliate programs that were connected to the given affiliate.
  `static class`
  `TdApi.GetConnectedWebsites`
  Returns all website where the current user used Telegram to log in.
  `static class`
  `TdApi.GetContacts`
  Returns all contacts of the user.
  `static class`
  `TdApi.GetCountries`
  Returns information about existing countries.
  `static class`
  `TdApi.GetCountryCode`
  Uses the current IP address to find the current country.
  `static class`
  `TdApi.GetCountryFlagEmoji`
  Returns an emoji for the given country.
  `static class`
  `TdApi.GetCreatedPublicChats`
  Returns a list of public chats of the specified type, owned by the user.
  `static class`
  `TdApi.GetCurrentState`
  Returns all updates needed to restore current TDLib state, i.e.
  `static class`
  `TdApi.GetCurrentWeather`
  Returns the current weather in the given location.
  `static class`
  `TdApi.GetCustomEmojiReactionAnimations`
  Returns TGS stickers with generic animations for custom emoji reactions.
  `static class`
  `TdApi.GetCustomEmojiStickers`
  Returns the list of custom emoji stickers by their identifiers.
  `static class`
  `TdApi.GetDatabaseStatistics`
  Returns database statistics.
  `static class`
  `TdApi.GetDeepLinkInfo`
  Returns information about a tg:// deep link.
  `static class`
  `TdApi.GetDefaultBackgroundCustomEmojiStickers`
  Returns default list of custom emoji stickers for reply background.
  `static class`
  `TdApi.GetDefaultChatEmojiStatuses`
  Returns default emoji statuses for chats.
  `static class`
  `TdApi.GetDefaultChatPhotoCustomEmojiStickers`
  Returns default list of custom emoji stickers for placing on a chat photo.
  `static class`
  `TdApi.GetDefaultEmojiStatuses`
  Returns default emoji statuses for self status.
  `static class`
  `TdApi.GetDefaultMessageAutoDeleteTime`
  Returns default message auto-delete time setting for new chats.
  `static class`
  `TdApi.GetDefaultProfilePhotoCustomEmojiStickers`
  Returns default list of custom emoji stickers for placing on a profile photo.
  `static class`
  `TdApi.GetDirectMessagesChatTopic`
  Returns information about the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.GetDirectMessagesChatTopicHistory`
  Returns messages in the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.GetDirectMessagesChatTopicMessageByDate`
  Returns the last message sent in the topic in a channel direct messages chat administered by the current user no later than the specified date.
  `static class`
  `TdApi.GetDirectMessagesChatTopicRevenue`
  Returns the total number of Telegram Stars received by the channel chat for direct messages from the given topic.
  `static class`
  `TdApi.GetDisallowedChatEmojiStatuses`
  Returns the list of emoji statuses, which can't be used as chat emoji status, even if they are from a sticker set with isAllowedAsChatEmojiStatus == true.
  `static class`
  `TdApi.GetEmojiCategories`
  Returns available emoji categories.
  `static class`
  `TdApi.GetEmojiReaction`
  Returns information about an emoji reaction.
  `static class`
  `TdApi.GetEmojiSuggestionsUrl`
  Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements.
  `static class`
  `TdApi.GetExternalLink`
  Returns an HTTP URL which can be used to automatically authorize the current user on a website after clicking an HTTP link.
  `static class`
  `TdApi.GetExternalLinkInfo`
  Returns information about an action to be done when the current user clicks an external link.
  `static class`
  `TdApi.GetFavoriteStickers`
  Returns favorite stickers.
  `static class`
  `TdApi.GetFile`
  Returns information about a file.
  `static class`
  `TdApi.GetFileDownloadedPrefixSize`
  Returns file downloaded prefix size from a given offset, in bytes.
  `static class`
  `TdApi.GetFileExtension`
  Returns the extension of a file, guessed by its MIME type.
  `static class`
  `TdApi.GetFileMimeType`
  Returns the MIME type of a file, guessed by its extension.
  `static class`
  `TdApi.GetForumTopic`
  Returns information about a topic in a forum supergroup chat or a chat with a bot with topics.
  `static class`
  `TdApi.GetForumTopicDefaultIcons`
  Returns the list of custom emoji, which can be used as forum topic icon by all users.
  `static class`
  `TdApi.GetForumTopicHistory`
  Returns messages in a topic in a forum supergroup chat or a chat with a bot with topics.
  `static class`
  `TdApi.GetForumTopicLink`
  Returns an HTTPS link to a topic in a forum supergroup chat.
  `static class`
  `TdApi.GetForumTopics`
  Returns found forum topics in a forum supergroup chat or a chat with a bot with topics.
  `static class`
  `TdApi.GetGameHighScores`
  Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only.
  `static class`
  `TdApi.GetGiftAuctionAcquiredGifts`
  Returns the gifts that were acquired by the current user on a gift auction.
  `static class`
  `TdApi.GetGiftAuctionState`
  Returns auction state for a gift.
  `static class`
  `TdApi.GetGiftChatThemes`
  Returns available to the current user gift chat themes.
  `static class`
  `TdApi.GetGiftCollections`
  Returns collections of gifts owned by the given user or chat.
  `static class`
  `TdApi.GetGiftsForCrafting`
  Returns upgraded gifts of the current user who can be used to craft another gifts.
  `static class`
  `TdApi.GetGiftUpgradePreview`
  Returns examples of possible upgraded gifts for a regular gift.
  `static class`
  `TdApi.GetGiveawayInfo`
  Returns information about a giveaway.
  `static class`
  `TdApi.GetGreetingStickers`
  Returns greeting stickers from regular sticker sets that can be used for the start page of other users.
  `static class`
  `TdApi.GetGrossingWebAppBots`
  Returns the most grossing Web App bots.
  `static class`
  `TdApi.GetGroupCall`
  Returns information about a group call.
  `static class`
  `TdApi.GetGroupCallParticipants`
  Returns information about participants of a non-joined group call that is not bound to a chat.
  `static class`
  `TdApi.GetGroupCallStreams`
  Returns information about available streams in a video chat or a live story.
  `static class`
  `TdApi.GetGroupCallStreamSegment`
  Returns a file with a segment of a video chat or live story in a modified OGG format for audio or MPEG-4 format for video.
  `static class`
  `TdApi.GetGroupsInCommon`
  Returns a list of common group chats with a given user.
  `static class`
  `TdApi.GetImportedContactCount`
  Returns the total number of imported contacts.
  `static class`
  `TdApi.GetInactiveSupergroupChats`
  Returns a list of recently inactive supergroups and channels.
  `static class`
  `TdApi.GetInlineGameHighScores`
  Returns game high scores and some part of the high score table in the range of the specified user; for bots only.
  `static class`
  `TdApi.GetInlineQueryResults`
  Sends an inline query to a bot and returns its results.
  `static class`
  `TdApi.GetInstalledBackgrounds`
  Returns backgrounds installed by the user.
  `static class`
  `TdApi.GetInstalledStickerSets`
  Returns a list of installed sticker sets.
  `static class`
  `TdApi.GetInternalLink`
  Returns an HTTPS or a tg: link with the given type.
  `static class`
  `TdApi.GetInternalLinkType`
  Returns information about the type of internal link.
  `static class`
  `TdApi.GetJsonString`
  Converts a JsonValue object to corresponding JSON-serialized string.
  `static class`
  `TdApi.GetJsonValue`
  Converts a JSON-serialized string to corresponding JsonValue object.
  `static class`
  `TdApi.GetKeywordEmojis`
  Returns emojis matching the keyword.
  `static class`
  `TdApi.GetLanguagePackInfo`
  Returns information about a language pack.
  `static class`
  `TdApi.GetLanguagePackString`
  Returns a string stored in the local database from the specified localization target and language pack by its key.
  `static class`
  `TdApi.GetLanguagePackStrings`
  Returns strings from a language pack in the current localization target by their keys.
  `static class`
  `TdApi.GetLinkPreview`
  Returns a link preview by the text of a message.
  `static class`
  `TdApi.GetLiveStoryAvailableMessageSenders`
  Returns the list of message sender identifiers, on whose behalf messages can be sent to a live story.
  `static class`
  `TdApi.GetLiveStoryRtmpUrl`
  Returns RTMP URL for streaming to a live story; requires canPostStories administrator right for channel chats.
  `static class`
  `TdApi.GetLiveStoryStreamer`
  Returns information about the user or the chat that streams to a live story; for live stories that aren't an RTMP stream only.
  `static class`
  `TdApi.GetLiveStoryTopDonors`
  Returns the list of top live story donors.
  `static class`
  `TdApi.GetLocalizationTargetInfo`
  Returns information about the current localization target.
  `static class`
  `TdApi.GetLoginPasskeys`
  Returns the list of passkeys allowed to be used for the login by the current user.
  `static class`
  `TdApi.GetLoginUrl`
  Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.
  `static class`
  `TdApi.GetLoginUrlInfo`
  Returns information about a button of type inlineKeyboardButtonTypeLoginUrl.
  `static class`
  `TdApi.GetLogStream`
  Returns information about currently used log stream for internal logging of TDLib.
  `static class`
  `TdApi.GetLogTags`
  Returns the list of available TDLib internal log tags, for example, ["actor", "binlog", "connections", "notifications", "proxy"].
  `static class`
  `TdApi.GetLogTagVerbosityLevel`
  Returns current verbosity level for a specified TDLib internal log tag.
  `static class`
  `TdApi.GetLogVerbosityLevel`
  Returns current verbosity level of the internal logging of TDLib.
  `static class`
  `TdApi.GetMainWebApp`
  Returns information needed to open the main Web App of a bot.
  `static class`
  `TdApi.GetManagedBotAccessSettings`
  Returns access settings of a managed bot; for bots only.
  `static class`
  `TdApi.GetManagedBotToken`
  Returns token of a managed bot; for bots only.
  `static class`
  `TdApi.GetMapThumbnailFile`
  Returns information about a file with a map thumbnail in PNG format.
  `static class`
  `TdApi.GetMarkdownText`
  Replaces text entities with Markdown formatting in a human-friendly format.
  `static class`
  `TdApi.GetMe`
  Returns the current user.
  `static class`
  `TdApi.GetMenuButton`
  Returns menu button set by the bot for the given user; for bots only.
  `static class`
  `TdApi.GetMessage`
  Returns information about a message.
  `static class`
  `TdApi.GetMessageAddedReactions`
  Returns reactions added for a message, along with their sender.
  `static class`
  `TdApi.GetMessageAuthor`
  Returns information about actual author of a message sent on behalf of a channel.
  `static class`
  `TdApi.GetMessageAvailableReactions`
  Returns reactions, which can be added to a message.
  `static class`
  `TdApi.GetMessageEffect`
  Returns information about a message effect.
  `static class`
  `TdApi.GetMessageEmbeddingCode`
  Returns an HTML code for embedding the message.
  `static class`
  `TdApi.GetMessageFileType`
  Returns information about a file with messages exported from another application.
  `static class`
  `TdApi.GetMessageImportConfirmationText`
  Returns a confirmation text to be shown to the user before starting message import.
  `static class`
  `TdApi.GetMessageLink`
  Returns an HTTPS link to a message in a chat.
  `static class`
  `TdApi.GetMessageLinkInfo`
  Returns information about a public or private message link.
  `static class`
  `TdApi.GetMessageLocally`
  Returns information about a message, if it is available without sending network request.
  `static class`
  `TdApi.GetMessageProperties`
  Returns properties of a message.
  `static class`
  `TdApi.GetMessagePublicForwards`
  Returns forwarded copies of a channel message to different public channels and public reposts as a story.
  `static class`
  `TdApi.GetMessageReadDate`
  Returns read date of a recent outgoing message in a private chat.
  `static class`
  `TdApi.GetMessages`
  Returns information about messages.
  `static class`
  `TdApi.GetMessageStatistics`
  Returns detailed statistics about a message.
  `static class`
  `TdApi.GetMessageThread`
  Returns information about a message thread.
  `static class`
  `TdApi.GetMessageThreadHistory`
  Returns messages in a message thread of a message.
  `static class`
  `TdApi.GetMessageViewers`
  Returns viewers of a recent outgoing message in a basic group or a supergroup chat.
  `static class`
  `TdApi.GetNetworkStatistics`
  Returns network data usage statistics.
  `static class`
  `TdApi.GetNewChatPrivacySettings`
  Returns privacy settings for new chat creation.
  `static class`
  `TdApi.GetOauthLinkInfo`
  Returns information about an OAuth deep link.
  `static class`
  `TdApi.GetOption`
  Returns the value of an option by its name.
  `static class`
  `TdApi.GetOwnedBots`
  Returns the list of bots owned by the current user.
  `static class`
  `TdApi.GetOwnedStickerSets`
  Returns sticker sets owned by the current user.
  `static class`
  `TdApi.GetPaidMessageRevenue`
  Returns the total number of Telegram Stars received by the current user for paid messages from the given user.
  `static class`
  `TdApi.GetPasskeyParameters`
  Returns parameters for creating of a new passkey as JSON-serialized string.
  `static class`
  `TdApi.GetPassportAuthorizationForm`
  Returns a Telegram Passport authorization form for sharing data with a service.
  `static class`
  `TdApi.GetPassportAuthorizationFormAvailableElements`
  Returns already available Telegram Passport elements suitable for completing a Telegram Passport authorization form.
  `static class`
  `TdApi.GetPassportElement`
  Returns one of the available Telegram Passport elements.
  `static class`
  `TdApi.GetPasswordState`
  Returns the current state of 2-step verification.
  `static class`
  `TdApi.GetPaymentForm`
  Returns an invoice payment form.
  `static class`
  `TdApi.GetPaymentReceipt`
  Returns information about a successful payment.
  `static class`
  `TdApi.GetPersonalChatHistory`
  Returns messages in the personal chat of a given user; for bots only.
  `static class`
  `TdApi.GetPhoneNumberInfo`
  Returns information about a phone number by its prefix.
  `static class`
  `TdApi.GetPhoneNumberInfoSync`
  Returns information about a phone number by its prefix synchronously.
  `static class`
  `TdApi.GetPollOptionProperties`
  Returns properties of a poll option.
  `static class`
  `TdApi.GetPollVoters`
  Returns message senders voted for the specified option in a poll; use poll.canGetVoters to check whether the method can be used.
  `static class`
  `TdApi.GetPollVoteStatistics`
  Returns statistics of poll votes in a poll.
  `static class`
  `TdApi.GetPreferredCountryLanguage`
  Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.
  `static class`
  `TdApi.GetPremiumFeatures`
  Returns information about features, available to Premium users.
  `static class`
  `TdApi.GetPremiumGiftPaymentOptions`
  Returns available options for gifting Telegram Premium to a user.
  `static class`
  `TdApi.GetPremiumGiveawayPaymentOptions`
  Returns available options for creating of Telegram Premium giveaway or manual distribution of Telegram Premium among chat members.
  `static class`
  `TdApi.GetPremiumInfoSticker`
  Returns the sticker to be used as representation of the Telegram Premium subscription.
  `static class`
  `TdApi.GetPremiumLimit`
  Returns information about a limit, increased for Premium users.
  `static class`
  `TdApi.GetPremiumState`
  Returns state of Telegram Premium subscription and promotion videos for Premium features.
  `static class`
  `TdApi.GetPremiumStickerExamples`
  Returns examples of premium stickers for demonstration purposes.
  `static class`
  `TdApi.GetPremiumStickers`
  Returns premium stickers from regular sticker sets.
  `static class`
  `TdApi.GetPreparedInlineMessage`
  Saves an inline message to be sent by the given user.
  `static class`
  `TdApi.GetPreparedKeyboardButton`
  Returns a keyboard button prepared by the bot for the user.
  `static class`
  `TdApi.GetProxies`
  Returns the list of proxies that are currently set up.
  `static class`
  `TdApi.GetPublicPostSearchLimits`
  Checks public post search limits without actually performing the search.
  `static class`
  `TdApi.GetPushReceiverId`
  Returns a globally unique push notification subscription identifier for identification of an account, which has received a push notification.
  `static class`
  `TdApi.GetReadDatePrivacySettings`
  Returns privacy settings for message read date.
  `static class`
  `TdApi.GetReceivedGift`
  Returns information about a received gift.
  `static class`
  `TdApi.GetReceivedGifts`
  Returns gifts received by the given user or chat.
  `static class`
  `TdApi.GetRecentEmojiStatuses`
  Returns recent emoji statuses for self status.
  `static class`
  `TdApi.GetRecentInlineBots`
  Returns up to 20 recently used inline bots in the order of their last usage.
  `static class`
  `TdApi.GetRecentlyOpenedChats`
  Returns recently opened chats.
  `static class`
  `TdApi.GetRecentlyVisitedTMeUrls`
  Returns t.me URLs recently visited by a newly registered user.
  `static class`
  `TdApi.GetRecentStickers`
  Returns a list of recently used stickers.
  `static class`
  `TdApi.GetRecommendedChatFolders`
  Returns recommended chat folders for the current user.
  `static class`
  `TdApi.GetRecommendedChats`
  Returns a list of channel chats recommended to the current user.
  `static class`
  `TdApi.GetRecoveryEmailAddress`
  Returns a 2-step verification recovery email address that was previously set up.
  `static class`
  `TdApi.GetRemoteFile`
  Returns information about a file by its remote identifier.
  `static class`
  `TdApi.GetRepliedMessage`
  Returns information about a non-bundled message that is replied by a given message.
  `static class`
  `TdApi.GetSavedAnimations`
  Returns saved animations.
  `static class`
  `TdApi.GetSavedMessagesTags`
  Returns tags used in Saved Messages or a Saved Messages topic.
  `static class`
  `TdApi.GetSavedMessagesTopicHistory`
  Returns messages in a Saved Messages topic.
  `static class`
  `TdApi.GetSavedMessagesTopicMessageByDate`
  Returns the last message sent in a Saved Messages topic no later than the specified date.
  `static class`
  `TdApi.GetSavedNotificationSound`
  Returns saved notification sound by its identifier.
  `static class`
  `TdApi.GetSavedNotificationSounds`
  Returns the list of saved notification sounds.
  `static class`
  `TdApi.GetSavedOrderInfo`
  Returns saved order information.
  `static class`
  `TdApi.GetScopeNotificationSettings`
  Returns the notification settings for chats of a given type.
  `static class`
  `TdApi.GetSearchedForTags`
  Returns recently searched for hashtags or cashtags by their prefix.
  `static class`
  `TdApi.GetSearchSponsoredChats`
  Returns sponsored chats to be shown in the search results.
  `static class`
  `TdApi.GetSecretChat`
  Returns information about a secret chat by its identifier.
  `static class`
  `TdApi.GetStakeDiceState`
  Returns the current state of stake dice.
  `static class`
  `TdApi.GetStarAdAccountUrl`
  Returns a URL for a Telegram Ad platform account that can be used to set up advertisements for the chat paid in the owned Telegram Stars.
  `static class`
  `TdApi.GetStarGiftPaymentOptions`
  Returns available options for Telegram Stars gifting.
  `static class`
  `TdApi.GetStarGiveawayPaymentOptions`
  Returns available options for Telegram Star giveaway creation.
  `static class`
  `TdApi.GetStarPaymentOptions`
  Returns available options for Telegram Stars purchase.
  `static class`
  `TdApi.GetStarRevenueStatistics`
  Returns detailed Telegram Star revenue statistics.
  `static class`
  `TdApi.GetStarSubscriptions`
  Returns the list of Telegram Star subscriptions for the current user.
  `static class`
  `TdApi.GetStarTransactions`
  Returns the list of Telegram Star transactions for the specified owner.
  `static class`
  `TdApi.GetStarWithdrawalUrl`
  Returns a URL for Telegram Star withdrawal.
  `static class`
  `TdApi.GetStatisticalGraph`
  Loads an asynchronous or a zoomed in statistical graph.
  `static class`
  `TdApi.GetStickerEmojis`
  Returns emoji corresponding to a sticker.
  `static class`
  `TdApi.GetStickerOutline`
  Returns outline of a sticker.
  `static class`
  `TdApi.GetStickerOutlineSvgPath`
  Returns outline of a sticker as an SVG path.
  `static class`
  `TdApi.GetStickers`
  Returns stickers from the installed sticker sets that correspond to any of the given emoji or can be found by sticker-specific keywords.
  `static class`
  `TdApi.GetStickerSet`
  Returns information about a sticker set by its identifier.
  `static class`
  `TdApi.GetStickerSetName`
  Returns name of a sticker set by its identifier.
  `static class`
  `TdApi.GetStorageStatistics`
  Returns storage usage statistics.
  `static class`
  `TdApi.GetStorageStatisticsFast`
  Quickly returns approximate storage usage statistics.
  `static class`
  `TdApi.GetStory`
  Returns a story.
  `static class`
  `TdApi.GetStoryAlbumStories`
  Returns the list of stories added to the given story album.
  `static class`
  `TdApi.GetStoryAvailableReactions`
  Returns reactions, which can be chosen for a story.
  `static class`
  `TdApi.GetStoryInteractions`
  Returns interactions with a story.
  `static class`
  `TdApi.GetStoryNotificationSettingsExceptions`
  Returns the list of chats with non-default notification settings for stories.
  `static class`
  `TdApi.GetStoryPublicForwards`
  Returns forwards of a story as a message to public chats and reposts by public channels.
  `static class`
  `TdApi.GetStoryStatistics`
  Returns detailed statistics about a story.
  `static class`
  `TdApi.GetSuggestedFileName`
  Returns suggested name for saving a file in a given directory.
  `static class`
  `TdApi.GetSuggestedStickerSetName`
  Returns a suggested name for a new sticker set with a given title.
  `static class`
  `TdApi.GetSuitableDiscussionChats`
  Returns a list of basic group and supergroup chats, which can be used as a discussion group for a channel.
  `static class`
  `TdApi.GetSuitablePersonalChats`
  Returns a list of channel chats, which can be used as a personal chat.
  `static class`
  `TdApi.GetSupergroup`
  Returns information about a supergroup or a channel by its identifier.
  `static class`
  `TdApi.GetSupergroupFullInfo`
  Returns full information about a supergroup or a channel by its identifier, cached for up to 1 minute.
  `static class`
  `TdApi.GetSupergroupMembers`
  Returns information about members or banned users in a supergroup or channel.
  `static class`
  `TdApi.GetSupportName`
  Returns localized name of the Telegram support user; for Telegram support only.
  `static class`
  `TdApi.GetSupportUser`
  Returns a user who can be contacted to get support.
  `static class`
  `TdApi.GetTemporaryPasswordState`
  Returns information about the current temporary password.
  `static class`
  `TdApi.GetTextCompositionStyleExample`
  Returns an example of usage of a custom text composition style.
  `static class`
  `TdApi.GetTextEntities`
  Returns all entities (mentions, hashtags, cashtags, bot commands, bank card numbers, URLs, and email addresses) found in the text.
  `static class`
  `TdApi.GetThemedChatEmojiStatuses`
  Returns up to 8 emoji statuses, which must be shown in the emoji status list for chats.
  `static class`
  `TdApi.GetThemedEmojiStatuses`
  Returns up to 8 emoji statuses, which must be shown right after the default Premium Badge in the emoji status list for self status.
  `static class`
  `TdApi.GetThemeParametersJsonString`
  Converts a themeParameters object to corresponding JSON-serialized string.
  `static class`
  `TdApi.GetTimeZones`
  Returns the list of supported time zones.
  `static class`
  `TdApi.GetTonRevenueStatistics`
  Returns detailed Toncoin revenue statistics of the current user.
  `static class`
  `TdApi.GetTonTransactions`
  Returns the list of Toncoin transactions of the current user.
  `static class`
  `TdApi.GetTonWithdrawalUrl`
  Returns a URL for Toncoin withdrawal from the current user's account.
  `static class`
  `TdApi.GetTopChats`
  Returns a list of frequently used chats.
  `static class`
  `TdApi.GetTrendingStickerSets`
  Returns a list of trending sticker sets.
  `static class`
  `TdApi.GetUpgradedGift`
  Returns information about an upgraded gift by its name.
  `static class`
  `TdApi.GetUpgradedGiftEmojiStatuses`
  Returns available upgraded gift emoji statuses for self status.
  `static class`
  `TdApi.GetUpgradedGiftsPromotionalAnimation`
  Returns promotional animation for upgraded gifts.
  `static class`
  `TdApi.GetUpgradedGiftValueInfo`
  Returns information about value of an upgraded gift by its name.
  `static class`
  `TdApi.GetUpgradedGiftVariants`
  Returns all possible variants of upgraded gifts for a regular gift.
  `static class`
  `TdApi.GetUpgradedGiftWithdrawalUrl`
  Returns a URL for upgraded gift withdrawal in the TON blockchain as an NFT; requires owner privileges for gifts owned by a chat.
  `static class`
  `TdApi.GetUser`
  Returns information about a user by their identifier.
  `static class`
  `TdApi.GetUserChatBoosts`
  Returns the list of boosts applied to a chat by a given user; requires administrator rights in the chat; for bots only.
  `static class`
  `TdApi.GetUserFullInfo`
  Returns full information about a user by their identifier.
  `static class`
  `TdApi.GetUserLink`
  Returns an HTTPS link, which can be used to get information about the current user.
  `static class`
  `TdApi.GetUserPrivacySettingRules`
  Returns the current privacy settings.
  `static class`
  `TdApi.GetUserProfileAudios`
  Returns the list of profile audio files of a user.
  `static class`
  `TdApi.GetUserProfilePhotos`
  Returns the profile photos of a user.
  `static class`
  `TdApi.GetUserSupportInfo`
  Returns support information for the given user; for Telegram support only.
  `static class`
  `TdApi.GetVideoChatAvailableParticipants`
  Returns the list of participant identifiers, on whose behalf a video chat in the chat can be joined.
  `static class`
  `TdApi.GetVideoChatInviteLink`
  Returns invite link to a video chat in a public chat.
  `static class`
  `TdApi.GetVideoChatRtmpUrl`
  Returns RTMP URL for streaming to the video chat of a chat; requires canManageVideoChats administrator right.
  `static class`
  `TdApi.GetVideoMessageAdvertisements`
  Returns advertisements to be shown while a video from a message is watched.
  `static class`
  `TdApi.GetWebAppLinkUrl`
  Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.
  `static class`
  `TdApi.GetWebAppPlaceholder`
  Returns a default placeholder for Web Apps of a bot.
  `static class`
  `TdApi.GetWebAppUrl`
  Returns an HTTPS URL of a Web App to open from the side menu, a keyboardButtonTypeWebApp button, or an inlineQueryResultsButtonTypeWebApp button.
  `static class`
  `TdApi.GetWebPageInstantView`
  Returns an instant view version of a web page if available.
  `static class`
  `TdApi.Gift`
  Describes a gift that can be sent to another user or channel chat.
  `static class`
  `TdApi.GiftAuction`
  Describes an auction on which a gift can be purchased.
  `static class`
  `TdApi.GiftAuctionAcquiredGift`
  Represents a gift that was acquired by the current user on an auction.
  `static class`
  `TdApi.GiftAuctionAcquiredGifts`
  Represents a list of gifts that were acquired by the current user on an auction.
  `static class`
  `TdApi.GiftAuctionState`
  Represent auction state of a gift.
  `static class`
  `TdApi.GiftBackground`
  Describes background of a gift.
  `static class`
  `TdApi.GiftChatTheme`
  Describes a chat theme based on an upgraded gift.
  `static class`
  `TdApi.GiftChatThemes`
  Contains a list of chat themes based on upgraded gifts.
  `static class`
  `TdApi.GiftCollection`
  Describes collection of gifts.
  `static class`
  `TdApi.GiftCollections`
  Contains a list of gift collections.
  `static class`
  `TdApi.GiftForResale`
  Describes a gift available for resale.
  `static class`
  `TdApi.GiftForResaleOrder`
  This class is an abstract base class.
  `static class`
  `TdApi.GiftForResaleOrderNumber`
  The gifts will be sorted by their number from the smallest to the largest.
  `static class`
  `TdApi.GiftForResaleOrderPrice`
  The gifts will be sorted by their price from the lowest to the highest.
  `static class`
  `TdApi.GiftForResaleOrderPriceChangeDate`
  The gifts will be sorted by the last date when their price was changed from the newest to the oldest.
  `static class`
  `TdApi.GiftPremiumWithStars`
  Allows to buy a Telegram Premium subscription for another user with payment in Telegram Stars; for bots only.
  `static class`
  `TdApi.GiftPurchaseLimits`
  Describes the maximum number of times that a specific gift can be purchased.
  `static class`
  `TdApi.GiftPurchaseOfferState`
  This class is an abstract base class.
  `static class`
  `TdApi.GiftPurchaseOfferStateAccepted`
  The offer was accepted.
  `static class`
  `TdApi.GiftPurchaseOfferStatePending`
  The offer must be accepted or rejected.
  `static class`
  `TdApi.GiftPurchaseOfferStateRejected`
  The offer was rejected.
  `static class`
  `TdApi.GiftResaleParameters`
  Describes parameters of a unique gift available for resale.
  `static class`
  `TdApi.GiftResalePrice`
  This class is an abstract base class.
  `static class`
  `TdApi.GiftResalePriceStar`
  Describes price of a resold gift in Telegram Stars.
  `static class`
  `TdApi.GiftResalePriceTon`
  Describes price of a resold gift in Toncoins.
  `static class`
  `TdApi.GiftResaleResult`
  This class is an abstract base class.
  `static class`
  `TdApi.GiftResaleResultOk`
  Operation was successfully completed.
  `static class`
  `TdApi.GiftResaleResultPriceIncreased`
  Operation has failed, because price has increased.
  `static class`
  `TdApi.GiftSettings`
  Contains settings for gift receiving for a user.
  `static class`
  `TdApi.GiftsForCrafting`
  Represents a list of gifts received by a user or a chat.
  `static class`
  `TdApi.GiftsForResale`
  Describes gifts available for resale.
  `static class`
  `TdApi.GiftUpgradePreview`
  Contains examples of possible upgraded gifts for the given regular gift.
  `static class`
  `TdApi.GiftUpgradePrice`
  Describes a price required to pay to upgrade a gift.
  `static class`
  `TdApi.GiftUpgradeVariants`
  Contains all possible variants of upgraded gifts for the given regular gift.
  `static class`
  `TdApi.GiveawayInfo`
  This class is an abstract base class.
  `static class`
  `TdApi.GiveawayInfoCompleted`
  Describes a completed giveaway.
  `static class`
  `TdApi.GiveawayInfoOngoing`
  Describes an ongoing giveaway.
  `static class`
  `TdApi.GiveawayParameters`
  Describes parameters of a giveaway.
  `static class`
  `TdApi.GiveawayParticipantStatus`
  This class is an abstract base class.
  `static class`
  `TdApi.GiveawayParticipantStatusAdministrator`
  The user can't participate in the giveaway, because they are an administrator in one of the chats that created the giveaway.
  `static class`
  `TdApi.GiveawayParticipantStatusAlreadyWasMember`
  The user can't participate in the giveaway, because they have already been member of the chat.
  `static class`
  `TdApi.GiveawayParticipantStatusDisallowedCountry`
  The user can't participate in the giveaway, because they phone number is from a disallowed country.
  `static class`
  `TdApi.GiveawayParticipantStatusEligible`
  The user is eligible for the giveaway.
  `static class`
  `TdApi.GiveawayParticipantStatusParticipating`
  The user participates in the giveaway.
  `static class`
  `TdApi.GiveawayPrize`
  This class is an abstract base class.
  `static class`
  `TdApi.GiveawayPrizePremium`
  The giveaway sends Telegram Premium subscriptions to the winners.
  `static class`
  `TdApi.GiveawayPrizeStars`
  The giveaway sends Telegram Stars to the winners.
  `static class`
  `TdApi.GroupCall`
  Describes a group call.
  `static class`
  `TdApi.GroupCallDataChannel`
  This class is an abstract base class.
  `static class`
  `TdApi.GroupCallDataChannelMain`
  The main data channel for audio and video data.
  `static class`
  `TdApi.GroupCallDataChannelScreenSharing`
  The data channel for screen sharing.
  `static class`
  `TdApi.GroupCallId`
  Contains the group call identifier.
  `static class`
  `TdApi.GroupCallInfo`
  Contains information about a just created or just joined group call.
  `static class`
  `TdApi.GroupCallJoinParameters`
  Describes parameters used to join a group call.
  `static class`
  `TdApi.GroupCallMessage`
  Represents a message sent in a group call.
  `static class`
  `TdApi.GroupCallMessageLevel`
  Represents a level of features for a message sent in a live story group call.
  `static class`
  `TdApi.GroupCallParticipant`
  Represents a group call participant.
  `static class`
  `TdApi.GroupCallParticipants`
  Contains identifiers of group call participants.
  `static class`
  `TdApi.GroupCallParticipantVideoInfo`
  Contains information about a group call participant's video channel.
  `static class`
  `TdApi.GroupCallRecentSpeaker`
  Describes a recently speaking participant in a group call.
  `static class`
  `TdApi.GroupCallStream`
  Describes an available stream in a video chat or a live story.
  `static class`
  `TdApi.GroupCallStreams`
  Represents a list of group call streams.
  `static class`
  `TdApi.GroupCallVideoQuality`
  This class is an abstract base class.
  `static class`
  `TdApi.GroupCallVideoQualityFull`
  The best available video quality.
  `static class`
  `TdApi.GroupCallVideoQualityMedium`
  The medium video quality.
  `static class`
  `TdApi.GroupCallVideoQualityThumbnail`
  The worst available video quality.
  `static class`
  `TdApi.GroupCallVideoSourceGroup`
  Describes a group of video synchronization source identifiers.
  `static class`
  `TdApi.Hashtags`
  Contains a list of hashtags.
  `static class`
  `TdApi.HideContactCloseBirthdays`
  Hides the list of contacts that have close birthdays for 24 hours.
  `static class`
  `TdApi.HideSuggestedAction`
  Hides a suggested action.
  `static class`
  `TdApi.HttpUrl`
  Contains an HTTP URL.
  `static class`
  `TdApi.IdentityDocument`
  An identity document.
  `static class`
  `TdApi.ImportContacts`
  Adds new contacts or edits existing contacts by their phone numbers; contacts' user identifiers are ignored.
  `static class`
  `TdApi.ImportedContact`
  Describes a contact to import.
  `static class`
  `TdApi.ImportedContacts`
  Represents the result of an importContacts request.
  `static class`
  `TdApi.ImportMessages`
  Imports messages exported from another application.
  `static class`
  `TdApi.IncreaseGiftAuctionBid`
  Increases a bid for an auction gift without changing gift text and receiver.
  `static class`
  `TdApi.InlineKeyboardButton`
  Represents a single button in an inline keyboard.
  `static class`
  `TdApi.InlineKeyboardButtonType`
  This class is an abstract base class.
  `static class`
  `TdApi.InlineKeyboardButtonTypeBuy`
  A button to buy something.
  `static class`
  `TdApi.InlineKeyboardButtonTypeCallback`
  A button that sends a callback query to a bot.
  `static class`
  `TdApi.InlineKeyboardButtonTypeCallbackGame`
  A button with a game that sends a callback query to a bot.
  `static class`
  `TdApi.InlineKeyboardButtonTypeCallbackWithPassword`
  A button that asks for the 2-step verification password of the current user and then sends a callback query to a bot.
  `static class`
  `TdApi.InlineKeyboardButtonTypeCopyText`
  A button that copies specified text to clipboard.
  `static class`
  `TdApi.InlineKeyboardButtonTypeLoginUrl`
  A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.
  `static class`
  `TdApi.InlineKeyboardButtonTypeSwitchInline`
  A button that forces an inline query to the bot to be inserted in the input field.
  `static class`
  `TdApi.InlineKeyboardButtonTypeUrl`
  A button that opens a specified URL.
  `static class`
  `TdApi.InlineKeyboardButtonTypeUser`
  A button with a user reference to be handled in the same way as textEntityTypeMentionName entities.
  `static class`
  `TdApi.InlineKeyboardButtonTypeWebApp`
  A button that opens a Web App by calling openWebApp.
  `static class`
  `TdApi.InlineMessageId`
  Contains identifier of a sent guest message.
  `static class`
  `TdApi.InlineQueryResult`
  This class is an abstract base class.
  `static class`
  `TdApi.InlineQueryResultAnimation`
  Represents an animation file.
  `static class`
  `TdApi.InlineQueryResultArticle`
  Represents a link to an article or web page.
  `static class`
  `TdApi.InlineQueryResultAudio`
  Represents an audio file.
  `static class`
  `TdApi.InlineQueryResultContact`
  Represents a user contact.
  `static class`
  `TdApi.InlineQueryResultDocument`
  Represents a document.
  `static class`
  `TdApi.InlineQueryResultGame`
  Represents information about a game.
  `static class`
  `TdApi.InlineQueryResultLocation`
  Represents a point on the map.
  `static class`
  `TdApi.InlineQueryResultPhoto`
  Represents a photo.
  `static class`
  `TdApi.InlineQueryResults`
  Represents the results of the inline query.
  `static class`
  `TdApi.InlineQueryResultsButton`
  Represents a button to be shown above inline query results.
  `static class`
  `TdApi.InlineQueryResultsButtonType`
  This class is an abstract base class.
  `static class`
  `TdApi.InlineQueryResultsButtonTypeStartBot`
  Describes the button that opens a private chat with the bot and sends a start message to the bot with the given parameter.
  `static class`
  `TdApi.InlineQueryResultsButtonTypeWebApp`
  Describes the button that opens a Web App by calling getWebAppUrl.
  `static class`
  `TdApi.InlineQueryResultSticker`
  Represents a sticker.
  `static class`
  `TdApi.InlineQueryResultVenue`
  Represents information about a venue.
  `static class`
  `TdApi.InlineQueryResultVideo`
  Represents a video.
  `static class`
  `TdApi.InlineQueryResultVoiceNote`
  Represents a voice note.
  `static class`
  `TdApi.InputBackground`
  This class is an abstract base class.
  `static class`
  `TdApi.InputBackgroundLocal`
  A background from a local file.
  `static class`
  `TdApi.InputBackgroundPrevious`
  A background previously set in the chat; for chat backgrounds only.
  `static class`
  `TdApi.InputBackgroundRemote`
  A background from the server.
  `static class`
  `TdApi.InputBusinessChatLink`
  Describes a business chat link to create or edit.
  `static class`
  `TdApi.InputBusinessStartPage`
  Describes settings for a business account start page to set.
  `static class`
  `TdApi.InputCall`
  This class is an abstract base class.
  `static class`
  `TdApi.InputCallDiscarded`
  A just ended call.
  `static class`
  `TdApi.InputCallFromMessage`
  A call from a message of the type messageCall with non-zero messageCall.uniqueId.
  `static class`
  `TdApi.InputChatPhoto`
  This class is an abstract base class.
  `static class`
  `TdApi.InputChatPhotoAnimation`
  An animation in MPEG4 format; must be square, at most 10 seconds long, have width between 160 and 1280 and be at most 2MB in size.
  `static class`
  `TdApi.InputChatPhotoPrevious`
  A previously used profile photo of the current user.
  `static class`
  `TdApi.InputChatPhotoStatic`
  A static photo in JPEG format.
  `static class`
  `TdApi.InputChatPhotoSticker`
  A sticker on a custom background.
  `static class`
  `TdApi.InputChatTheme`
  This class is an abstract base class.
  `static class`
  `TdApi.InputChatThemeEmoji`
  A theme based on an emoji.
  `static class`
  `TdApi.InputChatThemeGift`
  A theme based on an upgraded gift.
  `static class`
  `TdApi.InputChecklist`
  Describes a checklist to be sent.
  `static class`
  `TdApi.InputChecklistTask`
  Describes a task in a checklist to be sent.
  `static class`
  `TdApi.InputCredentials`
  This class is an abstract base class.
  `static class`
  `TdApi.InputCredentialsApplePay`
  Applies if a user enters new credentials using Apple Pay.
  `static class`
  `TdApi.InputCredentialsGooglePay`
  Applies if a user enters new credentials using Google Pay.
  `static class`
  `TdApi.InputCredentialsNew`
  Applies if a user enters new credentials on a payment provider website.
  `static class`
  `TdApi.InputCredentialsSaved`
  Applies if a user chooses some previously saved payment credentials.
  `static class`
  `TdApi.InputFile`
  This class is an abstract base class.
  `static class`
  `TdApi.InputFileGenerated`
  A file generated by the application.
  `static class`
  `TdApi.InputFileId`
  A file defined by its unique identifier.
  `static class`
  `TdApi.InputFileLocal`
  A file defined by a local path.
  `static class`
  `TdApi.InputFileRemote`
  A file defined by its remote identifier.
  `static class`
  `TdApi.InputGroupCall`
  This class is an abstract base class.
  `static class`
  `TdApi.InputGroupCallLink`
  The group call is accessible through a link.
  `static class`
  `TdApi.InputGroupCallMessage`
  The group call is accessible through a message of the type messageGroupCall.
  `static class`
  `TdApi.InputIdentityDocument`
  An identity document to be saved to Telegram Passport.
  `static class`
  `TdApi.InputInlineQueryResult`
  This class is an abstract base class.
  `static class`
  `TdApi.InputInlineQueryResultAnimation`
  Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.
  `static class`
  `TdApi.InputInlineQueryResultArticle`
  Represents a link to an article or web page.
  `static class`
  `TdApi.InputInlineQueryResultAudio`
  Represents a link to an MP3 audio file.
  `static class`
  `TdApi.InputInlineQueryResultContact`
  Represents a user contact.
  `static class`
  `TdApi.InputInlineQueryResultDocument`
  Represents a link to a file.
  `static class`
  `TdApi.InputInlineQueryResultGame`
  Represents a game.
  `static class`
  `TdApi.InputInlineQueryResultLocation`
  Represents a point on the map.
  `static class`
  `TdApi.InputInlineQueryResultPhoto`
  Represents link to a JPEG image.
  `static class`
  `TdApi.InputInlineQueryResultSticker`
  Represents a link to a WEBP, TGS, or WEBM sticker.
  `static class`
  `TdApi.InputInlineQueryResultVenue`
  Represents information about a venue.
  `static class`
  `TdApi.InputInlineQueryResultVideo`
  Represents a link to a page containing an embedded video player or a video file.
  `static class`
  `TdApi.InputInlineQueryResultVoiceNote`
  Represents a link to an opus-encoded audio file within an OGG container, single channel audio.
  `static class`
  `TdApi.InputInvoice`
  This class is an abstract base class.
  `static class`
  `TdApi.InputInvoiceMessage`
  An invoice from a message of the type messageInvoice or paid media purchase from messagePaidMedia.
  `static class`
  `TdApi.InputInvoiceName`
  An invoice from a link of the type internalLinkTypeInvoice.
  `static class`
  `TdApi.InputInvoiceTelegram`
  An invoice for a payment toward Telegram; must not be used in the in-store apps.
  `static class`
  `TdApi.InputMessageAnimation`
  An animation message (GIF-style).
  `static class`
  `TdApi.InputMessageAudio`
  An audio message.
  `static class`
  `TdApi.InputMessageChecklist`
  A message with a checklist.
  `static class`
  `TdApi.InputMessageContact`
  A message containing a user contact.
  `static class`
  `TdApi.InputMessageContent`
  This class is an abstract base class.
  `static class`
  `TdApi.InputMessageDice`
  A dice message.
  `static class`
  `TdApi.InputMessageDocument`
  A document message (general file).
  `static class`
  `TdApi.InputMessageForwarded`
  A forwarded message.
  `static class`
  `TdApi.InputMessageGame`
  A message with a game; not supported for channels or secret chats.
  `static class`
  `TdApi.InputMessageInvoice`
  A message with an invoice; can be used only by bots.
  `static class`
  `TdApi.InputMessageLocation`
  A message with a location.
  `static class`
  `TdApi.InputMessagePaidMedia`
  A message with paid media; can be used only in channel chats with supergroupFullInfo.hasPaidMediaAllowed.
  `static class`
  `TdApi.InputMessagePhoto`
  A photo message.
  `static class`
  `TdApi.InputMessagePoll`
  A message with a poll.
  `static class`
  `TdApi.InputMessageReplyTo`
  This class is an abstract base class.
  `static class`
  `TdApi.InputMessageReplyToExternalMessage`
  Describes a message to be replied that is from a different chat or a forum topic; not supported in secret chats.
  `static class`
  `TdApi.InputMessageReplyToMessage`
  Describes a message to be replied in the same chat and forum topic.
  `static class`
  `TdApi.InputMessageReplyToStory`
  Describes a story to be replied.
  `static class`
  `TdApi.InputMessageStakeDice`
  A stake dice message.
  `static class`
  `TdApi.InputMessageSticker`
  A sticker message.
  `static class`
  `TdApi.InputMessageStory`
  A message with a forwarded story.
  `static class`
  `TdApi.InputMessageText`
  A text message.
  `static class`
  `TdApi.InputMessageVenue`
  A message with information about a venue.
  `static class`
  `TdApi.InputMessageVideo`
  A video message.
  `static class`
  `TdApi.InputMessageVideoNote`
  A video note message.
  `static class`
  `TdApi.InputMessageVoiceNote`
  A voice note message.
  `static class`
  `TdApi.InputPaidMedia`
  Describes a paid media to be sent.
  `static class`
  `TdApi.InputPaidMediaType`
  This class is an abstract base class.
  `static class`
  `TdApi.InputPaidMediaTypePhoto`
  The media is a photo.
  `static class`
  `TdApi.InputPaidMediaTypeVideo`
  The media is a video.
  `static class`
  `TdApi.InputPassportElement`
  This class is an abstract base class.
  `static class`
  `TdApi.InputPassportElementAddress`
  A Telegram Passport element to be saved containing the user's address.
  `static class`
  `TdApi.InputPassportElementBankStatement`
  A Telegram Passport element to be saved containing the user's bank statement.
  `static class`
  `TdApi.InputPassportElementDriverLicense`
  A Telegram Passport element to be saved containing the user's driver license.
  `static class`
  `TdApi.InputPassportElementEmailAddress`
  A Telegram Passport element to be saved containing the user's email address.
  `static class`
  `TdApi.InputPassportElementError`
  Contains the description of an error in a Telegram Passport element; for bots only.
  `static class`
  `TdApi.InputPassportElementErrorSource`
  This class is an abstract base class.
  `static class`
  `TdApi.InputPassportElementErrorSourceDataField`
  A data field contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceFile`
  The file contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceFiles`
  The list of attached files contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceFrontSide`
  The front side of the document contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceReverseSide`
  The reverse side of the document contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceSelfie`
  The selfie contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceTranslationFile`
  One of the files containing the translation of the document contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceTranslationFiles`
  The translation of the document contains an error.
  `static class`
  `TdApi.InputPassportElementErrorSourceUnspecified`
  The element contains an error in an unspecified place.
  `static class`
  `TdApi.InputPassportElementIdentityCard`
  A Telegram Passport element to be saved containing the user's identity card.
  `static class`
  `TdApi.InputPassportElementInternalPassport`
  A Telegram Passport element to be saved containing the user's internal passport.
  `static class`
  `TdApi.InputPassportElementPassport`
  A Telegram Passport element to be saved containing the user's passport.
  `static class`
  `TdApi.InputPassportElementPassportRegistration`
  A Telegram Passport element to be saved containing the user's passport registration.
  `static class`
  `TdApi.InputPassportElementPersonalDetails`
  A Telegram Passport element to be saved containing the user's personal details.
  `static class`
  `TdApi.InputPassportElementPhoneNumber`
  A Telegram Passport element to be saved containing the user's phone number.
  `static class`
  `TdApi.InputPassportElementRentalAgreement`
  A Telegram Passport element to be saved containing the user's rental agreement.
  `static class`
  `TdApi.InputPassportElementTemporaryRegistration`
  A Telegram Passport element to be saved containing the user's temporary registration.
  `static class`
  `TdApi.InputPassportElementUtilityBill`
  A Telegram Passport element to be saved containing the user's utility bill.
  `static class`
  `TdApi.InputPersonalDocument`
  A personal document to be saved to Telegram Passport.
  `static class`
  `TdApi.InputPollOption`
  Describes one answer option of a poll to be created.
  `static class`
  `TdApi.InputPollType`
  This class is an abstract base class.
  `static class`
  `TdApi.InputPollTypeQuiz`
  A poll in quiz mode, which has predefined correct answers.
  `static class`
  `TdApi.InputPollTypeRegular`
  A regular poll.
  `static class`
  `TdApi.InputSticker`
  A sticker to be added to a sticker set.
  `static class`
  `TdApi.InputStoryArea`
  Describes a clickable rectangle area on a story media to be added.
  `static class`
  `TdApi.InputStoryAreas`
  Contains a list of story areas to be added.
  `static class`
  `TdApi.InputStoryAreaType`
  This class is an abstract base class.
  `static class`
  `TdApi.InputStoryAreaTypeFoundVenue`
  An area pointing to a venue found by the bot getOption("venue_search_bot_username").
  `static class`
  `TdApi.InputStoryAreaTypeLink`
  An area pointing to a HTTP or tg:// link.
  `static class`
  `TdApi.InputStoryAreaTypeLocation`
  An area pointing to a location.
  `static class`
  `TdApi.InputStoryAreaTypeMessage`
  An area pointing to a message.
  `static class`
  `TdApi.InputStoryAreaTypePreviousVenue`
  An area pointing to a venue already added to the story.
  `static class`
  `TdApi.InputStoryAreaTypeSuggestedReaction`
  An area pointing to a suggested reaction.
  `static class`
  `TdApi.InputStoryAreaTypeUpgradedGift`
  An area with an upgraded gift.
  `static class`
  `TdApi.InputStoryAreaTypeWeather`
  An area with information about weather.
  `static class`
  `TdApi.InputStoryContent`
  This class is an abstract base class.
  `static class`
  `TdApi.InputStoryContentPhoto`
  A photo story.
  `static class`
  `TdApi.InputStoryContentVideo`
  A video story.
  `static class`
  `TdApi.InputSuggestedPostInfo`
  Contains information about a post to suggest.
  `static class`
  `TdApi.InputTextQuote`
  Describes manually chosen quote from another message.
  `static class`
  `TdApi.InputThumbnail`
  A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.
  `static class`
  `TdApi.InternalLinkType`
  This class is an abstract base class.
  `static class`
  `TdApi.InternalLinkTypeAttachmentMenuBot`
  The link is a link to an attachment menu bot to be opened in the specified or a chosen chat.
  `static class`
  `TdApi.InternalLinkTypeAuthenticationCode`
  The link contains an authentication code.
  `static class`
  `TdApi.InternalLinkTypeBackground`
  The link is a link to a background.
  `static class`
  `TdApi.InternalLinkTypeBotAddToChannel`
  The link is a link to a Telegram bot, which is expected to be added to a channel chat as an administrator.
  `static class`
  `TdApi.InternalLinkTypeBotStart`
  The link is a link to a chat with a Telegram bot.
  `static class`
  `TdApi.InternalLinkTypeBotStartInGroup`
  The link is a link to a Telegram bot, which is expected to be added to a group chat.
  `static class`
  `TdApi.InternalLinkTypeBusinessChat`
  The link is a link to a business chat.
  `static class`
  `TdApi.InternalLinkTypeCallsPage`
  The link is a link to the Call tab or page.
  `static class`
  `TdApi.InternalLinkTypeChatAffiliateProgram`
  The link is an affiliate program link.
  `static class`
  `TdApi.InternalLinkTypeChatBoost`
  The link is a link to boost a Telegram chat.
  `static class`
  `TdApi.InternalLinkTypeChatFolderInvite`
  The link is an invite link to a chat folder.
  `static class`
  `TdApi.InternalLinkTypeChatInvite`
  The link is a chat invite link.
  `static class`
  `TdApi.InternalLinkTypeChatSelection`
  The link is a link that allows to select some chats.
  `static class`
  `TdApi.InternalLinkTypeContactsPage`
  The link is a link to the Contacts tab or page.
  `static class`
  `TdApi.InternalLinkTypeDirectMessagesChat`
  The link is a link to a channel direct messages chat by username of the channel.
  `static class`
  `TdApi.InternalLinkTypeGame`
  The link is a link to a game.
  `static class`
  `TdApi.InternalLinkTypeGiftAuction`
  The link is a link to a gift auction.
  `static class`
  `TdApi.InternalLinkTypeGiftCollection`
  The link is a link to a gift collection.
  `static class`
  `TdApi.InternalLinkTypeGroupCall`
  The link is a link to a group call that isn't bound to a chat.
  `static class`
  `TdApi.InternalLinkTypeInstantView`
  The link must be opened in an Instant View.
  `static class`
  `TdApi.InternalLinkTypeInvoice`
  The link is a link to an invoice.
  `static class`
  `TdApi.InternalLinkTypeLanguagePack`
  The link is a link to a language pack.
  `static class`
  `TdApi.InternalLinkTypeLiveStory`
  The link is a link to a live story.
  `static class`
  `TdApi.InternalLinkTypeMainWebApp`
  The link is a link to the main Web App of a bot.
  `static class`
  `TdApi.InternalLinkTypeMessage`
  The link is a link to a Telegram message or a forum topic.
  `static class`
  `TdApi.InternalLinkTypeMessageDraft`
  The link contains a message draft text.
  `static class`
  `TdApi.InternalLinkTypeMyProfilePage`
  The link is a link to the My Profile application page.
  `static class`
  `TdApi.InternalLinkTypeNewChannelChat`
  The link is a link to the screen for creating a new channel chat.
  `static class`
  `TdApi.InternalLinkTypeNewGroupChat`
  The link is a link to the screen for creating a new group chat.
  `static class`
  `TdApi.InternalLinkTypeNewPrivateChat`
  The link is a link to the screen for creating a new private chat with a contact.
  `static class`
  `TdApi.InternalLinkTypeNewStory`
  The link is a link to open the story posting interface.
  `static class`
  `TdApi.InternalLinkTypeOauth`
  The link is an OAuth link.
  `static class`
  `TdApi.InternalLinkTypePassportDataRequest`
  The link contains a request of Telegram passport data.
  `static class`
  `TdApi.InternalLinkTypePhoneNumberConfirmation`
  The link can be used to confirm ownership of a phone number to prevent account deletion.
  `static class`
  `TdApi.InternalLinkTypePremiumFeaturesPage`
  The link is a link to the Premium features screen of the application from which the user can subscribe to Telegram Premium.
  `static class`
  `TdApi.InternalLinkTypePremiumGiftCode`
  The link is a link with a Telegram Premium gift code.
  `static class`
  `TdApi.InternalLinkTypePremiumGiftPurchase`
  The link is a link to the screen for gifting Telegram Premium subscriptions to friends via inputInvoiceTelegram with telegramPaymentPurposePremiumGift payments or in-store purchases.
  `static class`
  `TdApi.InternalLinkTypeProxy`
  The link is a link to a proxy.
  `static class`
  `TdApi.InternalLinkTypePublicChat`
  The link is a link to a chat by its username.
  `static class`
  `TdApi.InternalLinkTypeQrCodeAuthentication`
  The link can be used to login the current user on another device, but it must be scanned from QR-code using in-app camera.
  `static class`
  `TdApi.InternalLinkTypeRequestManagedBot`
  The link is a link to a dialog for creating of a managed bot.
  `static class`
  `TdApi.InternalLinkTypeRestorePurchases`
  The link forces restore of App Store purchases when opened.
  `static class`
  `TdApi.InternalLinkTypeSavedMessages`
  The link is a link to the Saved Messages chat.
  `static class`
  `TdApi.InternalLinkTypeSearch`
  The link is a link to the global chat and messages search field.
  `static class`
  `TdApi.InternalLinkTypeSettings`
  The link is a link to application settings.
  `static class`
  `TdApi.InternalLinkTypeStarPurchase`
  The link is a link to the Telegram Star purchase section of the application.
  `static class`
  `TdApi.InternalLinkTypeStickerSet`
  The link is a link to a sticker set.
  `static class`
  `TdApi.InternalLinkTypeStory`
  The link is a link to a story.
  `static class`
  `TdApi.InternalLinkTypeStoryAlbum`
  The link is a link to an album of stories.
  `static class`
  `TdApi.InternalLinkTypeTextCompositionStyle`
  The link is a link to a text composition style.
  `static class`
  `TdApi.InternalLinkTypeTheme`
  The link is a link to a cloud theme.
  `static class`
  `TdApi.InternalLinkTypeUnknownDeepLink`
  The link is an unknown tg: link.
  `static class`
  `TdApi.InternalLinkTypeUpgradedGift`
  The link is a link to an upgraded gift.
  `static class`
  `TdApi.InternalLinkTypeUserPhoneNumber`
  The link is a link to a user by its phone number.
  `static class`
  `TdApi.InternalLinkTypeUserToken`
  The link is a link to a user by a temporary token.
  `static class`
  `TdApi.InternalLinkTypeVideoChat`
  The link is a link to a video chat.
  `static class`
  `TdApi.InternalLinkTypeWebApp`
  The link is a link to a Web App.
  `static class`
  `TdApi.InviteGroupCallParticipant`
  Invites a user to an active group call; for group calls not bound to a chat only.
  `static class`
  `TdApi.InviteGroupCallParticipantResult`
  This class is an abstract base class.
  `static class`
  `TdApi.InviteGroupCallParticipantResultSuccess`
  The user was invited and a service message of the type messageGroupCall was sent which can be used in declineGroupCallInvitation to cancel the invitation.
  `static class`
  `TdApi.InviteGroupCallParticipantResultUserAlreadyParticipant`
  The user can't be invited because they are already a participant of the call.
  `static class`
  `TdApi.InviteGroupCallParticipantResultUserPrivacyRestricted`
  The user can't be invited due to their privacy settings.
  `static class`
  `TdApi.InviteGroupCallParticipantResultUserWasBanned`
  The user can't be invited because they were banned by the owner of the call and can be invited back only by the owner of the group call.
  `static class`
  `TdApi.InviteLinkChatType`
  This class is an abstract base class.
  `static class`
  `TdApi.InviteLinkChatTypeBasicGroup`
  The link is an invite link for a basic group.
  `static class`
  `TdApi.InviteLinkChatTypeChannel`
  The link is an invite link for a channel.
  `static class`
  `TdApi.InviteLinkChatTypeSupergroup`
  The link is an invite link for a supergroup.
  `static class`
  `TdApi.InviteVideoChatParticipants`
  Invites users to an active video chat.
  `static class`
  `TdApi.Invoice`
  Product invoice.
  `static class`
  `TdApi.IsLoginEmailAddressRequired`
  Checks whether the current user is required to set login email address.
  `static class`
  `TdApi.IsProfileAudio`
  Checks whether a file is in the profile audio files of the current user.
  `static class`
  `TdApi.JoinChat`
  Adds the current user as a new member to a chat.
  `static class`
  `TdApi.JoinChatByInviteLink`
  Uses an invite link to add the current user to the chat if possible.
  `static class`
  `TdApi.JoinGroupCall`
  Joins a regular group call that is not bound to a chat.
  `static class`
  `TdApi.JoinLiveStory`
  Joins a group call of an active live story.
  `static class`
  `TdApi.JoinVideoChat`
  Joins an active video chat.
  `static class`
  `TdApi.JsonObjectMember`
  Represents one member of a JSON object.
  `static class`
  `TdApi.JsonValue`
  This class is an abstract base class.
  `static class`
  `TdApi.JsonValueArray`
  Represents a JSON array.
  `static class`
  `TdApi.JsonValueBoolean`
  Represents a boolean JSON value.
  `static class`
  `TdApi.JsonValueNull`
  Represents a null JSON value.
  `static class`
  `TdApi.JsonValueNumber`
  Represents a numeric JSON value.
  `static class`
  `TdApi.JsonValueObject`
  Represents a JSON object.
  `static class`
  `TdApi.JsonValueString`
  Represents a string JSON value.
  `static class`
  `TdApi.KeyboardButton`
  Represents a single button in a bot keyboard.
  `static class`
  `TdApi.KeyboardButtonSource`
  This class is an abstract base class.
  `static class`
  `TdApi.KeyboardButtonSourceMessage`
  The button is from a bot's message.
  `static class`
  `TdApi.KeyboardButtonSourceWebApp`
  The button is a prepared keyboard button from a Mini App received via getPreparedKeyboardButton.
  `static class`
  `TdApi.KeyboardButtonType`
  This class is an abstract base class.
  `static class`
  `TdApi.KeyboardButtonTypeRequestChat`
  A button that requests a chat to be shared by the current user; available only in private chats.
  `static class`
  `TdApi.KeyboardButtonTypeRequestLocation`
  A button that sends the user's location when pressed; available only in private chats.
  `static class`
  `TdApi.KeyboardButtonTypeRequestManagedBot`
  A button that requests creation of a managed bot by the current user; available only in private chats.
  `static class`
  `TdApi.KeyboardButtonTypeRequestPhoneNumber`
  A button that sends the user's phone number when pressed; available only in private chats.
  `static class`
  `TdApi.KeyboardButtonTypeRequestPoll`
  A button that allows the user to create and send a poll when pressed; available only in private chats.
  `static class`
  `TdApi.KeyboardButtonTypeRequestUsers`
  A button that requests users to be shared by the current user; available only in private chats.
  `static class`
  `TdApi.KeyboardButtonTypeText`
  A simple button, with text that must be sent when the button is pressed.
  `static class`
  `TdApi.KeyboardButtonTypeWebApp`
  A button that opens a Web App by calling getWebAppUrl.
  `static class`
  `TdApi.LabeledPricePart`
  Portion of the price of a product (e.g., "delivery cost", "tax amount").
  `static class`
  `TdApi.LanguagePackInfo`
  Contains information about a language pack.
  `static class`
  `TdApi.LanguagePackString`
  Represents one language pack string.
  `static class`
  `TdApi.LanguagePackStrings`
  Contains a list of language pack strings.
  `static class`
  `TdApi.LanguagePackStringValue`
  This class is an abstract base class.
  `static class`
  `TdApi.LanguagePackStringValueDeleted`
  A deleted language pack string, the value must be taken from the built-in English language pack.
  `static class`
  `TdApi.LanguagePackStringValueOrdinary`
  An ordinary language pack string.
  `static class`
  `TdApi.LanguagePackStringValuePluralized`
  A language pack string which has different forms based on the number of some object it mentions.
  `static class`
  `TdApi.LaunchPrepaidGiveaway`
  Launches a prepaid giveaway.
  `static class`
  `TdApi.LeaveChat`
  Removes the current user from chat members.
  `static class`
  `TdApi.LeaveGroupCall`
  Leaves a group call.
  `static class`
  `TdApi.LinkPreview`
  Describes a link preview.
  `static class`
  `TdApi.LinkPreviewAlbumMedia`
  This class is an abstract base class.
  `static class`
  `TdApi.LinkPreviewAlbumMediaPhoto`
  The media is a photo.
  `static class`
  `TdApi.LinkPreviewAlbumMediaVideo`
  The media is a video.
  `static class`
  `TdApi.LinkPreviewOptions`
  Options to be used for generation of a link preview.
  `static class`
  `TdApi.LinkPreviewType`
  This class is an abstract base class.
  `static class`
  `TdApi.LinkPreviewTypeAlbum`
  The link is a link to a media album consisting of photos and videos.
  `static class`
  `TdApi.LinkPreviewTypeAnimation`
  The link is a link to an animation.
  `static class`
  `TdApi.LinkPreviewTypeApp`
  The link is a link to an app at App Store or Google Play.
  `static class`
  `TdApi.LinkPreviewTypeArticle`
  The link is a link to a web site.
  `static class`
  `TdApi.LinkPreviewTypeAudio`
  The link is a link to an audio.
  `static class`
  `TdApi.LinkPreviewTypeBackground`
  The link is a link to a background.
  `static class`
  `TdApi.LinkPreviewTypeChannelBoost`
  The link is a link to boost a channel chat.
  `static class`
  `TdApi.LinkPreviewTypeChat`
  The link is a link to a chat.
  `static class`
  `TdApi.LinkPreviewTypeDirectMessagesChat`
  The link is a link to a direct messages chat of a channel.
  `static class`
  `TdApi.LinkPreviewTypeDocument`
  The link is a link to a general file.
  `static class`
  `TdApi.LinkPreviewTypeEmbeddedAnimationPlayer`
  The link is a link to an animation player.
  `static class`
  `TdApi.LinkPreviewTypeEmbeddedAudioPlayer`
  The link is a link to an audio player.
  `static class`
  `TdApi.LinkPreviewTypeEmbeddedVideoPlayer`
  The link is a link to a video player.
  `static class`
  `TdApi.LinkPreviewTypeExternalAudio`
  The link is a link to an audio file.
  `static class`
  `TdApi.LinkPreviewTypeExternalVideo`
  The link is a link to a video file.
  `static class`
  `TdApi.LinkPreviewTypeGiftAuction`
  The link is a link to a gift auction.
  `static class`
  `TdApi.LinkPreviewTypeGiftCollection`
  The link is a link to a gift collection.
  `static class`
  `TdApi.LinkPreviewTypeGroupCall`
  The link is a link to a group call that isn't bound to a chat.
  `static class`
  `TdApi.LinkPreviewTypeInvoice`
  The link is a link to an invoice.
  `static class`
  `TdApi.LinkPreviewTypeLiveStory`
  The link is a link to a live story group call.
  `static class`
  `TdApi.LinkPreviewTypeMessage`
  The link is a link to a text or a poll Telegram message.
  `static class`
  `TdApi.LinkPreviewTypePhoto`
  The link is a link to a photo.
  `static class`
  `TdApi.LinkPreviewTypePremiumGiftCode`
  The link is a link to a Telegram Premium gift code.
  `static class`
  `TdApi.LinkPreviewTypeRequestManagedBot`
  The link is a link to a dialog for creating of a managed bot.
  `static class`
  `TdApi.LinkPreviewTypeShareableChatFolder`
  The link is a link to a shareable chat folder.
  `static class`
  `TdApi.LinkPreviewTypeSticker`
  The link is a link to a sticker.
  `static class`
  `TdApi.LinkPreviewTypeStickerSet`
  The link is a link to a sticker set.
  `static class`
  `TdApi.LinkPreviewTypeStory`
  The link is a link to a story.
  `static class`
  `TdApi.LinkPreviewTypeStoryAlbum`
  The link is a link to an album of stories.
  `static class`
  `TdApi.LinkPreviewTypeSupergroupBoost`
  The link is a link to boost a supergroup chat.
  `static class`
  `TdApi.LinkPreviewTypeTextCompositionStyle`
  The link is a link to a text composition style.
  `static class`
  `TdApi.LinkPreviewTypeTheme`
  The link is a link to a cloud theme.
  `static class`
  `TdApi.LinkPreviewTypeUnsupported`
  The link preview type is unsupported yet.
  `static class`
  `TdApi.LinkPreviewTypeUpgradedGift`
  The link is a link to an upgraded gift.
  `static class`
  `TdApi.LinkPreviewTypeUser`
  The link is a link to a user.
  `static class`
  `TdApi.LinkPreviewTypeVideo`
  The link is a link to a video.
  `static class`
  `TdApi.LinkPreviewTypeVideoChat`
  The link is a link to a video chat.
  `static class`
  `TdApi.LinkPreviewTypeVideoNote`
  The link is a link to a video note message.
  `static class`
  `TdApi.LinkPreviewTypeVoiceNote`
  The link is a link to a voice note message.
  `static class`
  `TdApi.LinkPreviewTypeWebApp`
  The link is a link to a Web App.
  `static class`
  `TdApi.ListenToAudio`
  Informs TDLib that an audio was listened by the user.
  `static class`
  `TdApi.LiveStoryDonors`
  Contains a list of users and chats that spend most money on paid messages and reactions in a live story.
  `static class`
  `TdApi.LoadActiveStories`
  Loads more active stories from a story list.
  `static class`
  `TdApi.LoadChats`
  Loads more chats from a chat list.
  `static class`
  `TdApi.LoadDirectMessagesChatTopics`
  Loads more topics in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.LoadGroupCallParticipants`
  Loads more participants of a group call; not supported in live stories.
  `static class`
  `TdApi.LoadQuickReplyShortcutMessages`
  Loads quick reply messages that can be sent by a given quick reply shortcut.
  `static class`
  `TdApi.LoadQuickReplyShortcuts`
  Loads quick reply shortcuts created by the current user.
  `static class`
  `TdApi.LoadSavedMessagesTopics`
  Loads more Saved Messages topics.
  `static class`
  `TdApi.LocalFile`
  Represents a local file.
  `static class`
  `TdApi.LocalizationTargetInfo`
  Contains information about the current localization target.
  `static class`
  `TdApi.Location`
  Describes a location on planet Earth.
  `static class`
  `TdApi.LocationAddress`
  Describes an address of a location.
  `static class`
  `TdApi.LoginUrlInfo`
  This class is an abstract base class.
  `static class`
  `TdApi.LoginUrlInfoOpen`
  An HTTP URL needs to be open.
  `static class`
  `TdApi.LoginUrlInfoRequestConfirmation`
  An authorization confirmation dialog needs to be shown to the user.
  `static class`
  `TdApi.LogOut`
  Closes the TDLib instance after a proper logout.
  `static class`
  `TdApi.LogStream`
  This class is an abstract base class.
  `static class`
  `TdApi.LogStreamDefault`
  The log is written to stderr or an OS specific log.
  `static class`
  `TdApi.LogStreamEmpty`
  The log is written nowhere.
  `static class`
  `TdApi.LogStreamFile`
  The log is written to a file.
  `static class`
  `TdApi.LogTags`
  Contains a list of available TDLib internal log tags.
  `static class`
  `TdApi.LogVerbosityLevel`
  Contains a TDLib internal log verbosity level.
  `static class`
  `TdApi.MainWebApp`
  Contains information about the main Web App of a bot.
  `static class`
  `TdApi.MarkChecklistTasksAsDone`
  Adds tasks of a checklist in a message as done or not done.
  `static class`
  `TdApi.MaskPoint`
  This class is an abstract base class.
  `static class`
  `TdApi.MaskPointChin`
  The mask is placed relatively to the chin.
  `static class`
  `TdApi.MaskPointEyes`
  The mask is placed relatively to the eyes.
  `static class`
  `TdApi.MaskPointForehead`
  The mask is placed relatively to the forehead.
  `static class`
  `TdApi.MaskPointMouth`
  The mask is placed relatively to the mouth.
  `static class`
  `TdApi.MaskPosition`
  Position on a photo where a mask is placed.
  `static class`
  `TdApi.Message`
  Describes a message.
  `static class`
  `TdApi.MessageAnimatedEmoji`
  A message with an animated emoji.
  `static class`
  `TdApi.MessageAnimation`
  An animation message (GIF-style).
  `static class`
  `TdApi.MessageAudio`
  An audio message.
  `static class`
  `TdApi.MessageAutoDeleteTime`
  Contains default auto-delete timer setting for new chats.
  `static class`
  `TdApi.MessageBasicGroupChatCreate`
  A newly created basic group.
  `static class`
  `TdApi.MessageBotWriteAccessAllowed`
  The user allowed the bot to send messages.
  `static class`
  `TdApi.MessageCalendar`
  Contains information about found messages, split by days according to the option "utc_time_offset".
  `static class`
  `TdApi.MessageCalendarDay`
  Contains information about found messages sent on a specific day.
  `static class`
  `TdApi.MessageCall`
  A message with information about an ended call.
  `static class`
  `TdApi.MessageChatAddMembers`
  New chat members were added.
  `static class`
  `TdApi.MessageChatBoost`
  The chat was boosted by the sender of the message.
  `static class`
  `TdApi.MessageChatChangePhoto`
  An updated chat photo.
  `static class`
  `TdApi.MessageChatChangeTitle`
  An updated chat title.
  `static class`
  `TdApi.MessageChatDeleteMember`
  A chat member was deleted.
  `static class`
  `TdApi.MessageChatDeletePhoto`
  A deleted chat photo.
  `static class`
  `TdApi.MessageChatHasProtectedContentDisableRequested`
  Chat hasProtectedContent setting was requested to be disabled.
  `static class`
  `TdApi.MessageChatHasProtectedContentToggled`
  Chat hasProtectedContent setting was changed or request to change it was rejected.
  `static class`
  `TdApi.MessageChatJoinByLink`
  A new member joined the chat via an invite link.
  `static class`
  `TdApi.MessageChatJoinByRequest`
  A new member was accepted to the chat by an administrator.
  `static class`
  `TdApi.MessageChatOwnerChanged`
  The owner of the chat has changed.
  `static class`
  `TdApi.MessageChatOwnerLeft`
  The owner of the chat has left.
  `static class`
  `TdApi.MessageChatSetBackground`
  A new background was set in the chat.
  `static class`
  `TdApi.MessageChatSetMessageAutoDeleteTime`
  The auto-delete or self-destruct timer for messages in the chat has been changed.
  `static class`
  `TdApi.MessageChatSetTheme`
  A theme in the chat has been changed.
  `static class`
  `TdApi.MessageChatShared`
  The current user shared a chat, which was requested by the bot.
  `static class`
  `TdApi.MessageChatUpgradeFrom`
  A supergroup has been created from a basic group.
  `static class`
  `TdApi.MessageChatUpgradeTo`
  A basic group was upgraded to a supergroup and was deactivated as the result.
  `static class`
  `TdApi.MessageChecklist`
  A message with a checklist.
  `static class`
  `TdApi.MessageChecklistTasksAdded`
  Some tasks were added to a checklist.
  `static class`
  `TdApi.MessageChecklistTasksDone`
  Some tasks from a checklist were marked as done or not done.
  `static class`
  `TdApi.MessageContact`
  A message with a user contact.
  `static class`
  `TdApi.MessageContactRegistered`
  A contact has registered with Telegram.
  `static class`
  `TdApi.MessageContent`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageCopyOptions`
  Options to be used when a message content is copied without reference to the original sender.
  `static class`
  `TdApi.MessageCustomServiceAction`
  A non-standard action has happened in the chat.
  `static class`
  `TdApi.MessageDice`
  A dice message.
  `static class`
  `TdApi.MessageDirectMessagePriceChanged`
  A price for direct messages was changed in the channel chat.
  `static class`
  `TdApi.MessageDocument`
  A document message (general file).
  `static class`
  `TdApi.MessageEffect`
  Contains information about an effect added to a message.
  `static class`
  `TdApi.MessageEffectType`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageEffectTypeEmojiReaction`
  An effect from an emoji reaction.
  `static class`
  `TdApi.MessageEffectTypePremiumSticker`
  An effect from a premium sticker.
  `static class`
  `TdApi.MessageExpiredPhoto`
  A self-destructed photo message.
  `static class`
  `TdApi.MessageExpiredVideo`
  A self-destructed video message.
  `static class`
  `TdApi.MessageExpiredVideoNote`
  A self-destructed video note message.
  `static class`
  `TdApi.MessageExpiredVoiceNote`
  A self-destructed voice note message.
  `static class`
  `TdApi.MessageFileType`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageFileTypeGroup`
  The messages were exported from a group chat.
  `static class`
  `TdApi.MessageFileTypePrivate`
  The messages were exported from a private chat.
  `static class`
  `TdApi.MessageFileTypeUnknown`
  The messages were exported from a chat of unknown type.
  `static class`
  `TdApi.MessageForumTopicCreated`
  A forum topic has been created.
  `static class`
  `TdApi.MessageForumTopicEdited`
  A forum topic has been edited.
  `static class`
  `TdApi.MessageForumTopicIsClosedToggled`
  A forum topic has been closed or opened.
  `static class`
  `TdApi.MessageForumTopicIsHiddenToggled`
  A General forum topic has been hidden or unhidden.
  `static class`
  `TdApi.MessageForwardInfo`
  Contains information about a forwarded message.
  `static class`
  `TdApi.MessageGame`
  A message with a game.
  `static class`
  `TdApi.MessageGameScore`
  A new high score was achieved in a game.
  `static class`
  `TdApi.MessageGift`
  A regular gift was received or sent by the current user, or the current user was notified about a channel gift.
  `static class`
  `TdApi.MessageGiftedPremium`
  Telegram Premium was gifted to a user.
  `static class`
  `TdApi.MessageGiftedStars`
  Telegram Stars were gifted to a user.
  `static class`
  `TdApi.MessageGiftedTon`
  Toncoins were gifted to a user.
  `static class`
  `TdApi.MessageGiveaway`
  A giveaway.
  `static class`
  `TdApi.MessageGiveawayCompleted`
  A giveaway without public winners has been completed for the chat.
  `static class`
  `TdApi.MessageGiveawayCreated`
  A giveaway was created for the chat.
  `static class`
  `TdApi.MessageGiveawayPrizeStars`
  A Telegram Stars were received by the current user from a giveaway.
  `static class`
  `TdApi.MessageGiveawayWinners`
  A giveaway with public winners has been completed for the chat.
  `static class`
  `TdApi.MessageGroupCall`
  A message with information about a group call not bound to a chat.
  `static class`
  `TdApi.MessageImportInfo`
  Contains information about a message created with importMessages.
  `static class`
  `TdApi.MessageInteractionInfo`
  Contains information about interactions with a message.
  `static class`
  `TdApi.MessageInviteVideoChatParticipants`
  A message with information about an invitation to a video chat.
  `static class`
  `TdApi.MessageInvoice`
  A message with an invoice from a bot.
  `static class`
  `TdApi.MessageLink`
  Contains an HTTPS link to a message in a supergroup or channel, or a forum topic.
  `static class`
  `TdApi.MessageLinkInfo`
  Contains information about a link to a message or a forum topic in a chat.
  `static class`
  `TdApi.MessageLocation`
  A message with a location.
  `static class`
  `TdApi.MessageManagedBotCreated`
  A bot managed by another bot was created by the user.
  `static class`
  `TdApi.MessageOrigin`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageOriginChannel`
  The message was originally a post in a channel.
  `static class`
  `TdApi.MessageOriginChat`
  The message was originally sent on behalf of a chat.
  `static class`
  `TdApi.MessageOriginHiddenUser`
  The message was originally sent by a user, which is hidden by their privacy settings.
  `static class`
  `TdApi.MessageOriginUser`
  The message was originally sent by a known user.
  `static class`
  `TdApi.MessagePaidMedia`
  A message with paid media.
  `static class`
  `TdApi.MessagePaidMessagePriceChanged`
  A price for paid messages was changed in the supergroup chat.
  `static class`
  `TdApi.MessagePaidMessagesRefunded`
  Paid messages were refunded.
  `static class`
  `TdApi.MessagePassportDataReceived`
  Telegram Passport data has been received; for bots only.
  `static class`
  `TdApi.MessagePassportDataSent`
  Telegram Passport data has been sent to a bot.
  `static class`
  `TdApi.MessagePaymentRefunded`
  A payment has been refunded.
  `static class`
  `TdApi.MessagePaymentSuccessful`
  A payment has been sent to a bot or a business account.
  `static class`
  `TdApi.MessagePaymentSuccessfulBot`
  A payment has been received by the bot or the business account.
  `static class`
  `TdApi.MessagePhoto`
  A photo message.
  `static class`
  `TdApi.MessagePinMessage`
  A message has been pinned.
  `static class`
  `TdApi.MessagePoll`
  A message with a poll.
  `static class`
  `TdApi.MessagePollOptionAdded`
  A message with information about an added poll option.
  `static class`
  `TdApi.MessagePollOptionDeleted`
  A message with information about a deleted poll option.
  `static class`
  `TdApi.MessagePosition`
  Contains information about a message in a specific position.
  `static class`
  `TdApi.MessagePositions`
  Contains a list of message positions.
  `static class`
  `TdApi.MessagePremiumGiftCode`
  A Telegram Premium gift code was created for the user.
  `static class`
  `TdApi.MessageProperties`
  Contains properties of a message and describes actions that can be done with the message right now.
  `static class`
  `TdApi.MessageProximityAlertTriggered`
  A user in the chat came within proximity alert range.
  `static class`
  `TdApi.MessageReaction`
  Contains information about a reaction to a message.
  `static class`
  `TdApi.MessageReactions`
  Contains a list of reactions added to a message.
  `static class`
  `TdApi.MessageReadDate`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageReadDateMyPrivacyRestricted`
  The read date is unknown due to privacy settings of the current user, but will be known if the user subscribes to Telegram Premium.
  `static class`
  `TdApi.MessageReadDateRead`
  Contains read date of the message.
  `static class`
  `TdApi.MessageReadDateTooOld`
  The message is too old to get read date.
  `static class`
  `TdApi.MessageReadDateUnread`
  The message is unread yet.
  `static class`
  `TdApi.MessageReadDateUserPrivacyRestricted`
  The read date is unknown due to privacy settings of the other user.
  `static class`
  `TdApi.MessageRefundedUpgradedGift`
  A gift which purchase, upgrade or transfer were refunded.
  `static class`
  `TdApi.MessageReplyInfo`
  Contains information about replies to a message.
  `static class`
  `TdApi.MessageReplyTo`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageReplyToMessage`
  Describes a message replied by a given message.
  `static class`
  `TdApi.MessageReplyToStory`
  Describes a story replied by a given message.
  `static class`
  `TdApi.Messages`
  Contains a list of messages.
  `static class`
  `TdApi.MessageSchedulingState`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageSchedulingStateSendAtDate`
  The message will be sent at the specified date.
  `static class`
  `TdApi.MessageSchedulingStateSendWhenOnline`
  The message will be sent when the other user is online.
  `static class`
  `TdApi.MessageSchedulingStateSendWhenVideoProcessed`
  The message will be sent when the video in the message is converted and optimized; can be used only by the server.
  `static class`
  `TdApi.MessageScreenshotTaken`
  A screenshot of a message in the chat has been taken.
  `static class`
  `TdApi.MessageSelfDestructType`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageSelfDestructTypeImmediately`
  The message can be opened only once and will be self-destructed once closed.
  `static class`
  `TdApi.MessageSelfDestructTypeTimer`
  The message will be self-destructed in the specified time after its content was opened.
  `static class`
  `TdApi.MessageSender`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageSenderChat`
  The message was sent on behalf of a chat.
  `static class`
  `TdApi.MessageSenders`
  Represents a list of message senders.
  `static class`
  `TdApi.MessageSenderUser`
  The message was sent by a known user.
  `static class`
  `TdApi.MessageSendingState`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageSendingStateFailed`
  The message failed to be sent.
  `static class`
  `TdApi.MessageSendingStatePending`
  The message is being sent now, but has not yet been delivered to the server.
  `static class`
  `TdApi.MessageSendOptions`
  Options to be used when a message is sent.
  `static class`
  `TdApi.MessageSource`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageSourceChatEventLog`
  The message is from a chat event log.
  `static class`
  `TdApi.MessageSourceChatHistory`
  The message is from a chat history.
  `static class`
  `TdApi.MessageSourceChatList`
  The message is from a chat list or a forum topic list.
  `static class`
  `TdApi.MessageSourceDirectMessagesChatTopicHistory`
  The message is from history of a topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.MessageSourceForumTopicHistory`
  The message is from history of a forum topic.
  `static class`
  `TdApi.MessageSourceHistoryPreview`
  The message is from chat, message thread or forum topic history preview.
  `static class`
  `TdApi.MessageSourceMessageThreadHistory`
  The message is from history of a message thread.
  `static class`
  `TdApi.MessageSourceNotification`
  The message is from a notification.
  `static class`
  `TdApi.MessageSourceOther`
  The message is from some other source.
  `static class`
  `TdApi.MessageSourceScreenshot`
  The message was screenshotted; the source must be used only if the message content was visible during the screenshot.
  `static class`
  `TdApi.MessageSourceSearch`
  The message is from search results, including file downloads, local file list, outgoing document messages, calendar.
  `static class`
  `TdApi.MessageStakeDice`
  A stake dice message.
  `static class`
  `TdApi.MessageStatistics`
  A detailed statistics about a message.
  `static class`
  `TdApi.MessageSticker`
  A sticker message.
  `static class`
  `TdApi.MessageStory`
  A message with a forwarded story.
  `static class`
  `TdApi.MessageSuggestBirthdate`
  A birthdate was suggested to be set.
  `static class`
  `TdApi.MessageSuggestedPostApprovalFailed`
  Approval of suggested post has failed, because the user which proposed the post had no enough funds.
  `static class`
  `TdApi.MessageSuggestedPostApproved`
  A suggested post was approved.
  `static class`
  `TdApi.MessageSuggestedPostDeclined`
  A suggested post was declined.
  `static class`
  `TdApi.MessageSuggestedPostPaid`
  A suggested post was published for getOption("suggested_post_lifetime_min") seconds and payment for the post was received.
  `static class`
  `TdApi.MessageSuggestedPostRefunded`
  A suggested post was refunded.
  `static class`
  `TdApi.MessageSuggestProfilePhoto`
  A profile photo was suggested to a user in a private chat.
  `static class`
  `TdApi.MessageSupergroupChatCreate`
  A newly created supergroup or channel.
  `static class`
  `TdApi.MessageText`
  A text message.
  `static class`
  `TdApi.MessageThreadInfo`
  Contains information about a message thread.
  `static class`
  `TdApi.MessageTopic`
  This class is an abstract base class.
  `static class`
  `TdApi.MessageTopicDirectMessages`
  A topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.MessageTopicForum`
  A topic in a forum supergroup chat or a chat with a bot.
  `static class`
  `TdApi.MessageTopicSavedMessages`
  A topic in Saved Messages chat.
  `static class`
  `TdApi.MessageTopicThread`
  A topic in a non-forum supergroup chat.
  `static class`
  `TdApi.MessageUnsupported`
  A message content that is not supported in the current TDLib version.
  `static class`
  `TdApi.MessageUpgradedGift`
  An upgraded gift was received or sent by the current user, or the current user was notified about a channel gift.
  `static class`
  `TdApi.MessageUpgradedGiftPurchaseOffer`
  An offer to purchase an upgraded gift was sent or received.
  `static class`
  `TdApi.MessageUpgradedGiftPurchaseOfferRejected`
  An offer to purchase a gift was rejected or expired.
  `static class`
  `TdApi.MessageUsersShared`
  The current user shared users, which were requested by the bot.
  `static class`
  `TdApi.MessageVenue`
  A message with information about a venue.
  `static class`
  `TdApi.MessageVideo`
  A video message.
  `static class`
  `TdApi.MessageVideoChatEnded`
  A message with information about an ended video chat.
  `static class`
  `TdApi.MessageVideoChatScheduled`
  A new video chat was scheduled.
  `static class`
  `TdApi.MessageVideoChatStarted`
  A newly created video chat.
  `static class`
  `TdApi.MessageVideoNote`
  A video note message.
  `static class`
  `TdApi.MessageViewer`
  Represents a viewer of a message.
  `static class`
  `TdApi.MessageViewers`
  Represents a list of message viewers.
  `static class`
  `TdApi.MessageVoiceNote`
  A voice note message.
  `static class`
  `TdApi.MessageWebAppDataReceived`
  Data from a Web App has been received; for bots only.
  `static class`
  `TdApi.MessageWebAppDataSent`
  Data from a Web App has been sent to a bot.
  `static class`
  `TdApi.Minithumbnail`
  Thumbnail image of a very poor quality and low resolution.
  `static class`
  `TdApi.NetworkStatistics`
  A full list of available network statistic entries.
  `static class`
  `TdApi.NetworkStatisticsEntry`
  This class is an abstract base class.
  `static class`
  `TdApi.NetworkStatisticsEntryCall`
  Contains information about the total amount of data that was used for calls.
  `static class`
  `TdApi.NetworkStatisticsEntryFile`
  Contains information about the total amount of data that was used to send and receive files.
  `static class`
  `TdApi.NetworkType`
  This class is an abstract base class.
  `static class`
  `TdApi.NetworkTypeMobile`
  A mobile network.
  `static class`
  `TdApi.NetworkTypeMobileRoaming`
  A mobile roaming network.
  `static class`
  `TdApi.NetworkTypeNone`
  The network is not available.
  `static class`
  `TdApi.NetworkTypeOther`
  A different network type (e.g., Ethernet network).
  `static class`
  `TdApi.NetworkTypeWiFi`
  A Wi-Fi network.
  `static class`
  `TdApi.NewChatPrivacySettings`
  Contains privacy settings for chats with non-contacts.
  `static class`
  `TdApi.Notification`
  Contains information about a notification.
  `static class`
  `TdApi.NotificationGroup`
  Describes a group of notifications.
  `static class`
  `TdApi.NotificationGroupType`
  This class is an abstract base class.
  `static class`
  `TdApi.NotificationGroupTypeCalls`
  A group containing notifications of type notificationTypeNewCall.
  `static class`
  `TdApi.NotificationGroupTypeMentions`
  A group containing notifications of type notificationTypeNewMessage and notificationTypeNewPushMessage with unread mentions of the current user, replies to their messages, or a pinned message.
  `static class`
  `TdApi.NotificationGroupTypeMessages`
  A group containing notifications of type notificationTypeNewMessage and notificationTypeNewPushMessage with ordinary unread messages.
  `static class`
  `TdApi.NotificationGroupTypeSecretChat`
  A group containing a notification of type notificationTypeNewSecretChat.
  `static class`
  `TdApi.NotificationSettingsScope`
  This class is an abstract base class.
  `static class`
  `TdApi.NotificationSettingsScopeChannelChats`
  Notification settings applied to all channel chats when the corresponding chat setting has a default value.
  `static class`
  `TdApi.NotificationSettingsScopeGroupChats`
  Notification settings applied to all basic group and supergroup chats when the corresponding chat setting has a default value.
  `static class`
  `TdApi.NotificationSettingsScopePrivateChats`
  Notification settings applied to all private and secret chats when the corresponding chat setting has a default value.
  `static class`
  `TdApi.NotificationSound`
  Describes a notification sound in MP3 format.
  `static class`
  `TdApi.NotificationSounds`
  Contains a list of notification sounds.
  `static class`
  `TdApi.NotificationType`
  This class is an abstract base class.
  `static class`
  `TdApi.NotificationTypeNewCall`
  New call was received.
  `static class`
  `TdApi.NotificationTypeNewMessage`
  New message was received.
  `static class`
  `TdApi.NotificationTypeNewPushMessage`
  New message was received through a push notification.
  `static class`
  `TdApi.NotificationTypeNewSecretChat`
  New secret chat was created.
  `static class`
  `TdApi.OauthLinkInfo`
  Information about the OAuth authorization.
  `static class`
  `TdApi.Object`
  This class is a base class for all TDLib interface classes.
  `static class`
  `TdApi.Ok`
  An object of this type is returned on a successful function call for certain functions.
  `static class`
  `TdApi.OpenBotSimilarBot`
  Informs TDLib that a bot was opened from the list of similar bots.
  `static class`
  `TdApi.OpenChat`
  Informs TDLib that the chat is opened by the user.
  `static class`
  `TdApi.OpenChatSimilarChat`
  Informs TDLib that a chat was opened from the list of similar chats.
  `static class`
  `TdApi.OpenGiftAuction`
  Informs TDLib that a gift auction was opened by the user.
  `static class`
  `TdApi.OpenMessageContent`
  Informs TDLib that the message content has been opened (e.g., the user has opened a photo, video, document, location or venue, or has listened to an audio file or voice note message).
  `static class`
  `TdApi.OpenSponsoredChat`
  Informs TDLib that the user opened a sponsored chat.
  `static class`
  `TdApi.OpenStory`
  Informs TDLib that a story is opened and is being viewed by the user.
  `static class`
  `TdApi.OpenWebApp`
  Informs TDLib that a Web App is being opened from the attachment menu, a botMenuButton button, an internalLinkTypeAttachmentMenuBot link, or an inlineKeyboardButtonTypeWebApp button.
  `static class`
  `TdApi.OptimizeStorage`
  Optimizes storage usage, i.e.
  `static class`
  `TdApi.OptionValue`
  This class is an abstract base class.
  `static class`
  `TdApi.OptionValueBoolean`
  Represents a boolean option.
  `static class`
  `TdApi.OptionValueEmpty`
  Represents an unknown option or an option which has a default value.
  `static class`
  `TdApi.OptionValueInteger`
  Represents an integer option.
  `static class`
  `TdApi.OptionValueString`
  Represents a string option.
  `static class`
  `TdApi.OrderInfo`
  Order information.
  `static class`
  `TdApi.Outline`
  Represents outline of an image.
  `static class`
  `TdApi.PageBlock`
  This class is an abstract base class.
  `static class`
  `TdApi.PageBlockAnchor`
  An invisible anchor on a page, which can be used in a URL to open the page from the specified anchor.
  `static class`
  `TdApi.PageBlockAnimation`
  An animation.
  `static class`
  `TdApi.PageBlockAudio`
  An audio file.
  `static class`
  `TdApi.PageBlockAuthorDate`
  The author and publishing date of a page.
  `static class`
  `TdApi.PageBlockBlockQuote`
  A block quote.
  `static class`
  `TdApi.PageBlockCaption`
  Contains a caption of another block.
  `static class`
  `TdApi.PageBlockChatLink`
  A link to a chat.
  `static class`
  `TdApi.PageBlockCollage`
  A collage.
  `static class`
  `TdApi.PageBlockCover`
  A page cover.
  `static class`
  `TdApi.PageBlockDetails`
  A collapsible block.
  `static class`
  `TdApi.PageBlockDivider`
  An empty block separating a page.
  `static class`
  `TdApi.PageBlockEmbedded`
  An embedded web page.
  `static class`
  `TdApi.PageBlockEmbeddedPost`
  An embedded post.
  `static class`
  `TdApi.PageBlockFooter`
  The footer of a page.
  `static class`
  `TdApi.PageBlockHeader`
  A header.
  `static class`
  `TdApi.PageBlockHorizontalAlignment`
  This class is an abstract base class.
  `static class`
  `TdApi.PageBlockHorizontalAlignmentCenter`
  The content must be center-aligned.
  `static class`
  `TdApi.PageBlockHorizontalAlignmentLeft`
  The content must be left-aligned.
  `static class`
  `TdApi.PageBlockHorizontalAlignmentRight`
  The content must be right-aligned.
  `static class`
  `TdApi.PageBlockKicker`
  A kicker.
  `static class`
  `TdApi.PageBlockList`
  A list of data blocks.
  `static class`
  `TdApi.PageBlockListItem`
  Describes an item of a list page block.
  `static class`
  `TdApi.PageBlockMap`
  A map.
  `static class`
  `TdApi.PageBlockParagraph`
  A text paragraph.
  `static class`
  `TdApi.PageBlockPhoto`
  A photo.
  `static class`
  `TdApi.PageBlockPreformatted`
  A preformatted text paragraph.
  `static class`
  `TdApi.PageBlockPullQuote`
  A pull quote.
  `static class`
  `TdApi.PageBlockRelatedArticle`
  Contains information about a related article.
  `static class`
  `TdApi.PageBlockRelatedArticles`
  Related articles.
  `static class`
  `TdApi.PageBlockSlideshow`
  A slideshow.
  `static class`
  `TdApi.PageBlockSubheader`
  A subheader.
  `static class`
  `TdApi.PageBlockSubtitle`
  The subtitle of a page.
  `static class`
  `TdApi.PageBlockTable`
  A table.
  `static class`
  `TdApi.PageBlockTableCell`
  Represents a cell of a table.
  `static class`
  `TdApi.PageBlockTitle`
  The title of a page.
  `static class`
  `TdApi.PageBlockVerticalAlignment`
  This class is an abstract base class.
  `static class`
  `TdApi.PageBlockVerticalAlignmentBottom`
  The content must be bottom-aligned.
  `static class`
  `TdApi.PageBlockVerticalAlignmentMiddle`
  The content must be middle-aligned.
  `static class`
  `TdApi.PageBlockVerticalAlignmentTop`
  The content must be top-aligned.
  `static class`
  `TdApi.PageBlockVideo`
  A video.
  `static class`
  `TdApi.PageBlockVoiceNote`
  A voice note.
  `static class`
  `TdApi.PaidMedia`
  This class is an abstract base class.
  `static class`
  `TdApi.PaidMediaPhoto`
  The media is a photo.
  `static class`
  `TdApi.PaidMediaPreview`
  The media is hidden until the invoice is paid.
  `static class`
  `TdApi.PaidMediaUnsupported`
  The media is unsupported.
  `static class`
  `TdApi.PaidMediaVideo`
  The media is a video.
  `static class`
  `TdApi.PaidReactionType`
  This class is an abstract base class.
  `static class`
  `TdApi.PaidReactionTypeAnonymous`
  An anonymous paid reaction.
  `static class`
  `TdApi.PaidReactionTypeChat`
  A paid reaction on behalf of an owned chat.
  `static class`
  `TdApi.PaidReactionTypeRegular`
  A paid reaction on behalf of the current user.
  `static class`
  `TdApi.PaidReactor`
  Contains information about a user who added paid reactions.
  `static class`
  `TdApi.ParseMarkdown`
  Parses Markdown entities in a human-friendly format, ignoring markup errors.
  `static class`
  `TdApi.ParseTextEntities`
  Parses Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, BlockQuote, ExpandableBlockQuote, Code, Pre, PreCode, TextUrl, MentionName, and DateTime entities from a marked-up text.
  `static class`
  `TdApi.Passkey`
  Describes a passkey.
  `static class`
  `TdApi.Passkeys`
  Contains a list of passkeys.
  `static class`
  `TdApi.PassportAuthorizationForm`
  Contains information about a Telegram Passport authorization form that was requested.
  `static class`
  `TdApi.PassportElement`
  This class is an abstract base class.
  `static class`
  `TdApi.PassportElementAddress`
  A Telegram Passport element containing the user's address.
  `static class`
  `TdApi.PassportElementBankStatement`
  A Telegram Passport element containing the user's bank statement.
  `static class`
  `TdApi.PassportElementDriverLicense`
  A Telegram Passport element containing the user's driver license.
  `static class`
  `TdApi.PassportElementEmailAddress`
  A Telegram Passport element containing the user's email address.
  `static class`
  `TdApi.PassportElementError`
  Contains the description of an error in a Telegram Passport element.
  `static class`
  `TdApi.PassportElementErrorSource`
  This class is an abstract base class.
  `static class`
  `TdApi.PassportElementErrorSourceDataField`
  One of the data fields contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceFile`
  The file contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceFiles`
  The list of attached files contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceFrontSide`
  The front side of the document contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceReverseSide`
  The reverse side of the document contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceSelfie`
  The selfie with the document contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceTranslationFile`
  One of files with the translation of the document contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceTranslationFiles`
  The translation of the document contains an error.
  `static class`
  `TdApi.PassportElementErrorSourceUnspecified`
  The element contains an error in an unspecified place.
  `static class`
  `TdApi.PassportElementIdentityCard`
  A Telegram Passport element containing the user's identity card.
  `static class`
  `TdApi.PassportElementInternalPassport`
  A Telegram Passport element containing the user's internal passport.
  `static class`
  `TdApi.PassportElementPassport`
  A Telegram Passport element containing the user's passport.
  `static class`
  `TdApi.PassportElementPassportRegistration`
  A Telegram Passport element containing the user's passport registration pages.
  `static class`
  `TdApi.PassportElementPersonalDetails`
  A Telegram Passport element containing the user's personal details.
  `static class`
  `TdApi.PassportElementPhoneNumber`
  A Telegram Passport element containing the user's phone number.
  `static class`
  `TdApi.PassportElementRentalAgreement`
  A Telegram Passport element containing the user's rental agreement.
  `static class`
  `TdApi.PassportElements`
  Contains information about saved Telegram Passport elements.
  `static class`
  `TdApi.PassportElementsWithErrors`
  Contains information about a Telegram Passport elements and corresponding errors.
  `static class`
  `TdApi.PassportElementTemporaryRegistration`
  A Telegram Passport element containing the user's temporary registration.
  `static class`
  `TdApi.PassportElementType`
  This class is an abstract base class.
  `static class`
  `TdApi.PassportElementTypeAddress`
  A Telegram Passport element containing the user's address.
  `static class`
  `TdApi.PassportElementTypeBankStatement`
  A Telegram Passport element containing the user's bank statement.
  `static class`
  `TdApi.PassportElementTypeDriverLicense`
  A Telegram Passport element containing the user's driver license.
  `static class`
  `TdApi.PassportElementTypeEmailAddress`
  A Telegram Passport element containing the user's email address.
  `static class`
  `TdApi.PassportElementTypeIdentityCard`
  A Telegram Passport element containing the user's identity card.
  `static class`
  `TdApi.PassportElementTypeInternalPassport`
  A Telegram Passport element containing the user's internal passport.
  `static class`
  `TdApi.PassportElementTypePassport`
  A Telegram Passport element containing the user's passport.
  `static class`
  `TdApi.PassportElementTypePassportRegistration`
  A Telegram Passport element containing the registration page of the user's passport.
  `static class`
  `TdApi.PassportElementTypePersonalDetails`
  A Telegram Passport element containing the user's personal details.
  `static class`
  `TdApi.PassportElementTypePhoneNumber`
  A Telegram Passport element containing the user's phone number.
  `static class`
  `TdApi.PassportElementTypeRentalAgreement`
  A Telegram Passport element containing the user's rental agreement.
  `static class`
  `TdApi.PassportElementTypeTemporaryRegistration`
  A Telegram Passport element containing the user's temporary registration.
  `static class`
  `TdApi.PassportElementTypeUtilityBill`
  A Telegram Passport element containing the user's utility bill.
  `static class`
  `TdApi.PassportElementUtilityBill`
  A Telegram Passport element containing the user's utility bill.
  `static class`
  `TdApi.PassportRequiredElement`
  Contains a description of the required Telegram Passport element that was requested by a service.
  `static class`
  `TdApi.PassportSuitableElement`
  Contains information about a Telegram Passport element that was requested by a service.
  `static class`
  `TdApi.PasswordState`
  Represents the current state of 2-step verification.
  `static class`
  `TdApi.PaymentForm`
  Contains information about an invoice payment form.
  `static class`
  `TdApi.PaymentFormType`
  This class is an abstract base class.
  `static class`
  `TdApi.PaymentFormTypeRegular`
  The payment form is for a regular payment.
  `static class`
  `TdApi.PaymentFormTypeStars`
  The payment form is for a payment in Telegram Stars.
  `static class`
  `TdApi.PaymentFormTypeStarSubscription`
  The payment form is for a payment in Telegram Stars for subscription.
  `static class`
  `TdApi.PaymentOption`
  Describes an additional payment option.
  `static class`
  `TdApi.PaymentProvider`
  This class is an abstract base class.
  `static class`
  `TdApi.PaymentProviderOther`
  Some other payment provider, for which a web payment form must be shown.
  `static class`
  `TdApi.PaymentProviderSmartGlocal`
  Smart Glocal payment provider.
  `static class`
  `TdApi.PaymentProviderStripe`
  Stripe payment provider.
  `static class`
  `TdApi.PaymentReceipt`
  Contains information about a successful payment.
  `static class`
  `TdApi.PaymentReceiptType`
  This class is an abstract base class.
  `static class`
  `TdApi.PaymentReceiptTypeRegular`
  The payment was done using a third-party payment provider.
  `static class`
  `TdApi.PaymentReceiptTypeStars`
  The payment was done using Telegram Stars.
  `static class`
  `TdApi.PaymentResult`
  Contains the result of a payment request.
  `static class`
  `TdApi.PersonalDetails`
  Contains the user's personal details.
  `static class`
  `TdApi.PersonalDocument`
  A personal document, containing some information about a user.
  `static class`
  `TdApi.PhoneNumberAuthenticationSettings`
  Contains settings for the authentication of the user's phone number.
  `static class`
  `TdApi.PhoneNumberCodeType`
  This class is an abstract base class.
  `static class`
  `TdApi.PhoneNumberCodeTypeChange`
  Checks ownership of a new phone number to change the user's authentication phone number; for official Android and iOS applications only.
  `static class`
  `TdApi.PhoneNumberCodeTypeConfirmOwnership`
  Confirms ownership of a phone number to prevent account deletion while handling links of the type internalLinkTypePhoneNumberConfirmation.
  `static class`
  `TdApi.PhoneNumberCodeTypeVerify`
  Verifies ownership of a phone number to be added to the user's Telegram Passport.
  `static class`
  `TdApi.PhoneNumberInfo`
  Contains information about a phone number.
  `static class`
  `TdApi.Photo`
  Describes a photo.
  `static class`
  `TdApi.PhotoSize`
  Describes an image in JPEG format.
  `static class`
  `TdApi.PinChatMessage`
  Pins a message in a chat.
  `static class`
  `TdApi.PingProxy`
  Computes time needed to receive a response from a Telegram server through a proxy.
  `static class`
  `TdApi.PlaceGiftAuctionBid`
  Places a bid on an auction gift.
  `static class`
  `TdApi.Point`
  A point on a Cartesian plane.
  `static class`
  `TdApi.Poll`
  Describes a poll.
  `static class`
  `TdApi.PollOption`
  Describes one answer option of a poll.
  `static class`
  `TdApi.PollOptionProperties`
  Contains properties of a poll option and describes actions that can be done with the option right now.
  `static class`
  `TdApi.PollType`
  This class is an abstract base class.
  `static class`
  `TdApi.PollTypeQuiz`
  A poll in quiz mode, which has predefined correct answers.
  `static class`
  `TdApi.PollTypeRegular`
  A regular poll.
  `static class`
  `TdApi.PollVoter`
  Represents a poll voter.
  `static class`
  `TdApi.PollVoteRestrictionReason`
  This class is an abstract base class.
  `static class`
  `TdApi.PollVoteRestrictionReasonClosed`
  The poll is closed.
  `static class`
  `TdApi.PollVoteRestrictionReasonCountryRestricted`
  The user is from a country, users from which aren't allowed to vote.
  `static class`
  `TdApi.PollVoteRestrictionReasonMembershipRequired`
  The user must be a member of the chat for at least a day to vote.
  `static class`
  `TdApi.PollVoteRestrictionReasonOther`
  The poll can't be voted by the user due to some other reason.
  `static class`
  `TdApi.PollVoteRestrictionReasonScheduled`
  The poll is from a scheduled message.
  `static class`
  `TdApi.PollVoteRestrictionReasonYetUnsent`
  The poll isn't sent yet.
  `static class`
  `TdApi.PollVoters`
  Represents a list of poll voters.
  `static class`
  `TdApi.PollVoteStatistics`
  A detailed statistics about poll votes.
  `static class`
  `TdApi.PostStory`
  Posts a new story on behalf of a chat; requires canPostStories administrator right for supergroup and channel chats.
  `static class`
  `TdApi.PreliminaryUploadFile`
  Preliminarily uploads a file to the cloud before sending it in a message, which can be useful for uploading of being recorded voice and video notes.
  `static class`
  `TdApi.PremiumFeature`
  This class is an abstract base class.
  `static class`
  `TdApi.PremiumFeatureAccentColor`
  The ability to choose accent color for replies and user profile.
  `static class`
  `TdApi.PremiumFeatureAdvancedChatManagement`
  Ability to change position of the main chat list, archive and mute all new chats from non-contacts, and completely disable notifications about the user's contacts joined Telegram.
  `static class`
  `TdApi.PremiumFeatureAnimatedProfilePhoto`
  Profile photo animation on message and chat screens.
  `static class`
  `TdApi.PremiumFeatureAppIcons`
  Allowed to set a premium application icons.
  `static class`
  `TdApi.PremiumFeatureBackgroundForBoth`
  The ability to set private chat background for both users.
  `static class`
  `TdApi.PremiumFeatureBusiness`
  The ability to use Business features.
  `static class`
  `TdApi.PremiumFeatureChatBoost`
  The ability to boost chats.
  `static class`
  `TdApi.PremiumFeatureChecklists`
  The ability to create and use checklist messages.
  `static class`
  `TdApi.PremiumFeatureCustomEmoji`
  Allowed to use custom emoji stickers in message texts and captions.
  `static class`
  `TdApi.PremiumFeatureDisabledAds`
  Disabled ads.
  `static class`
  `TdApi.PremiumFeatureEmojiStatus`
  The ability to show an emoji status along with the user's name.
  `static class`
  `TdApi.PremiumFeatureForumTopicIcon`
  The ability to set a custom emoji as a forum topic icon.
  `static class`
  `TdApi.PremiumFeatureImprovedDownloadSpeed`
  Improved download speed.
  `static class`
  `TdApi.PremiumFeatureIncreasedLimits`
  Increased limits.
  `static class`
  `TdApi.PremiumFeatureIncreasedUploadFileSize`
  Increased maximum upload file size.
  `static class`
  `TdApi.PremiumFeatureLastSeenTimes`
  The ability to view last seen and read times of other users even if they can't view last seen or read time for the current user.
  `static class`
  `TdApi.PremiumFeatureMessageEffects`
  The ability to use all available message effects.
  `static class`
  `TdApi.PremiumFeatureMessagePrivacy`
  The ability to disallow incoming voice and video note messages in private chats using setUserPrivacySettingRules with userPrivacySettingAllowPrivateVoiceAndVideoNoteMessages and to restrict incoming messages from non-contacts using setNewChatPrivacySettings.
  `static class`
  `TdApi.PremiumFeaturePaidMessages`
  The ability to require a payment for incoming messages in new chats.
  `static class`
  `TdApi.PremiumFeatureProfileBadge`
  A badge in the user's profile.
  `static class`
  `TdApi.PremiumFeaturePromotionAnimation`
  Describes a promotion animation for a Premium feature.
  `static class`
  `TdApi.PremiumFeatureProtectPrivateChatContent`
  The ability to enable content protection in private chats.
  `static class`
  `TdApi.PremiumFeatureRealTimeChatTranslation`
  Allowed to translate chat messages real-time.
  `static class`
  `TdApi.PremiumFeatures`
  Contains information about features, available to Premium users.
  `static class`
  `TdApi.PremiumFeatureSavedMessagesTags`
  The ability to use tags in Saved Messages.
  `static class`
  `TdApi.PremiumFeatureTextComposition`
  The ability to compose text with AI.
  `static class`
  `TdApi.PremiumFeatureUniqueReactions`
  Allowed to use more reactions.
  `static class`
  `TdApi.PremiumFeatureUniqueStickers`
  Allowed to use premium stickers with unique effects.
  `static class`
  `TdApi.PremiumFeatureUpgradedStories`
  Allowed to use many additional features for stories.
  `static class`
  `TdApi.PremiumFeatureVoiceRecognition`
  The ability to convert voice notes to text.
  `static class`
  `TdApi.PremiumGiftCodeInfo`
  Contains information about a Telegram Premium gift code.
  `static class`
  `TdApi.PremiumGiftPaymentOption`
  Describes an option for gifting Telegram Premium to a user.
  `static class`
  `TdApi.PremiumGiftPaymentOptions`
  Contains a list of options for gifting Telegram Premium to a user.
  `static class`
  `TdApi.PremiumGiveawayPaymentOption`
  Describes an option for creating of Telegram Premium giveaway or manual distribution of Telegram Premium among chat members.
  `static class`
  `TdApi.PremiumGiveawayPaymentOptions`
  Contains a list of options for creating of Telegram Premium giveaway or manual distribution of Telegram Premium among chat members.
  `static class`
  `TdApi.PremiumLimit`
  Contains information about a limit, increased for Premium users.
  `static class`
  `TdApi.PremiumLimitType`
  This class is an abstract base class.
  `static class`
  `TdApi.PremiumLimitTypeActiveStoryCount`
  The maximum number of active stories.
  `static class`
  `TdApi.PremiumLimitTypeBioLength`
  The maximum length of the user's bio.
  `static class`
  `TdApi.PremiumLimitTypeCaptionLength`
  The maximum length of sent media caption.
  `static class`
  `TdApi.PremiumLimitTypeChatFolderChosenChatCount`
  The maximum number of pinned and always included, or always excluded chats in a chat folder.
  `static class`
  `TdApi.PremiumLimitTypeChatFolderCount`
  The maximum number of chat folders.
  `static class`
  `TdApi.PremiumLimitTypeChatFolderInviteLinkCount`
  The maximum number of invite links for a chat folder.
  `static class`
  `TdApi.PremiumLimitTypeCreatedPublicChatCount`
  The maximum number of created public chats.
  `static class`
  `TdApi.PremiumLimitTypeCustomTextCompositionStyleCount`
  The maximum number of added text composition styles.
  `static class`
  `TdApi.PremiumLimitTypeFavoriteStickerCount`
  The maximum number of favorite stickers.
  `static class`
  `TdApi.PremiumLimitTypeMonthlyPostedStoryCount`
  The maximum number of stories posted per month.
  `static class`
  `TdApi.PremiumLimitTypeOwnedBotCount`
  The maximum number of owned bots.
  `static class`
  `TdApi.PremiumLimitTypePinnedArchivedChatCount`
  The maximum number of pinned chats in the archive chat list.
  `static class`
  `TdApi.PremiumLimitTypePinnedChatCount`
  The maximum number of pinned chats in the main chat list.
  `static class`
  `TdApi.PremiumLimitTypePinnedSavedMessagesTopicCount`
  The maximum number of pinned Saved Messages topics.
  `static class`
  `TdApi.PremiumLimitTypeSavedAnimationCount`
  The maximum number of saved animations.
  `static class`
  `TdApi.PremiumLimitTypeShareableChatFolderCount`
  The maximum number of added shareable chat folders.
  `static class`
  `TdApi.PremiumLimitTypeSimilarChatCount`
  The maximum number of received similar chats.
  `static class`
  `TdApi.PremiumLimitTypeStoryCaptionLength`
  The maximum length of captions of posted stories.
  `static class`
  `TdApi.PremiumLimitTypeStorySuggestedReactionAreaCount`
  The maximum number of suggested reaction areas on a story.
  `static class`
  `TdApi.PremiumLimitTypeSupergroupCount`
  The maximum number of joined supergroups and channels.
  `static class`
  `TdApi.PremiumLimitTypeWeeklyPostedStoryCount`
  The maximum number of stories posted per week.
  `static class`
  `TdApi.PremiumPaymentOption`
  Describes an option for buying Telegram Premium to a user.
  `static class`
  `TdApi.PremiumSource`
  This class is an abstract base class.
  `static class`
  `TdApi.PremiumSourceBusinessFeature`
  A user tried to use a Business feature.
  `static class`
  `TdApi.PremiumSourceFeature`
  A user tried to use a Premium feature.
  `static class`
  `TdApi.PremiumSourceLimitExceeded`
  A limit was exceeded.
  `static class`
  `TdApi.PremiumSourceLink`
  A user opened an internal link of the type internalLinkTypePremiumFeaturesPage.
  `static class`
  `TdApi.PremiumSourceSettings`
  A user opened the Premium features screen from settings.
  `static class`
  `TdApi.PremiumSourceStoryFeature`
  A user tried to use a Premium story feature.
  `static class`
  `TdApi.PremiumState`
  Contains state of Telegram Premium subscription and promotion videos for Premium features.
  `static class`
  `TdApi.PremiumStatePaymentOption`
  Describes an option for buying or upgrading Telegram Premium for self.
  `static class`
  `TdApi.PremiumStoryFeature`
  This class is an abstract base class.
  `static class`
  `TdApi.PremiumStoryFeatureCustomExpirationDuration`
  The ability to set custom expiration duration for stories.
  `static class`
  `TdApi.PremiumStoryFeatureLinksAndFormatting`
  The ability to use links and formatting in story caption, and use inputStoryAreaTypeLink areas.
  `static class`
  `TdApi.PremiumStoryFeaturePermanentViewsHistory`
  The ability to check who opened the current user's stories after they expire.
  `static class`
  `TdApi.PremiumStoryFeaturePriorityOrder`
  Stories of the current user are displayed before stories of non-Premium contacts, supergroups, and channels.
  `static class`
  `TdApi.PremiumStoryFeatureSaveStories`
  The ability to save other's unprotected stories.
  `static class`
  `TdApi.PremiumStoryFeatureStealthMode`
  The ability to hide the fact that the user viewed other's stories.
  `static class`
  `TdApi.PremiumStoryFeatureVideoQuality`
  The ability to choose better quality for viewed stories.
  `static class`
  `TdApi.PrepaidGiveaway`
  Describes a prepaid giveaway.
  `static class`
  `TdApi.PreparedInlineMessage`
  Represents a ready to send inline message.
  `static class`
  `TdApi.PreparedInlineMessageId`
  Represents an inline message that can be sent via the bot.
  `static class`
  `TdApi.ProcessChatFolderNewChats`
  Process new chats added to a shareable chat folder by its owner.
  `static class`
  `TdApi.ProcessChatHasProtectedContentDisableRequest`
  Processes request to disable hasProtectedContent in a chat.
  `static class`
  `TdApi.ProcessChatJoinRequest`
  Handles a pending join request in a chat.
  `static class`
  `TdApi.ProcessChatJoinRequests`
  Handles all pending join requests for a given link in a chat.
  `static class`
  `TdApi.ProcessGiftPurchaseOffer`
  Handles a pending gift purchase offer.
  `static class`
  `TdApi.ProcessPushNotification`
  Handles a push notification.
  `static class`
  `TdApi.ProductInfo`
  Contains information about a product that can be paid with invoice.
  `static class`
  `TdApi.ProfileAccentColor`
  Contains information about supported accent color for user profile photo background.
  `static class`
  `TdApi.ProfileAccentColors`
  Contains information about supported accent colors for user profile photo background in RGB format.
  `static class`
  `TdApi.ProfilePhoto`
  Describes a user profile photo.
  `static class`
  `TdApi.ProfileTab`
  This class is an abstract base class.
  `static class`
  `TdApi.ProfileTabFiles`
  A tab with documents posted by the channel.
  `static class`
  `TdApi.ProfileTabGifs`
  A tab with animations posted by the channel.
  `static class`
  `TdApi.ProfileTabGifts`
  A tab with gifts received by the user or the channel chat.
  `static class`
  `TdApi.ProfileTabLinks`
  A tab with messages posted by the channel and containing links.
  `static class`
  `TdApi.ProfileTabMedia`
  A tab with photos and videos posted by the channel.
  `static class`
  `TdApi.ProfileTabMusic`
  A tab with audio messages posted by the channel.
  `static class`
  `TdApi.ProfileTabPosts`
  A tab with stories posted by the user or the channel chat and saved to profile.
  `static class`
  `TdApi.ProfileTabVoice`
  A tab with voice notes posted by the channel.
  `static class`
  `TdApi.Proxy`
  Describes a proxy server.
  `static class`
  `TdApi.ProxyType`
  This class is an abstract base class.
  `static class`
  `TdApi.ProxyTypeHttp`
  A HTTP transparent proxy server.
  `static class`
  `TdApi.ProxyTypeMtproto`
  An MTProto proxy server.
  `static class`
  `TdApi.ProxyTypeSocks5`
  A SOCKS5 proxy server.
  `static class`
  `TdApi.PublicChatType`
  This class is an abstract base class.
  `static class`
  `TdApi.PublicChatTypeHasUsername`
  The chat is public, because it has an active username.
  `static class`
  `TdApi.PublicChatTypeIsLocationBased`
  The chat is public, because it is a location-based supergroup.
  `static class`
  `TdApi.PublicForward`
  This class is an abstract base class.
  `static class`
  `TdApi.PublicForwardMessage`
  Contains a public forward as a message.
  `static class`
  `TdApi.PublicForwards`
  Represents a list of public forwards and reposts as a story of a message or a story.
  `static class`
  `TdApi.PublicForwardStory`
  Contains a public repost to a story.
  `static class`
  `TdApi.PublicPostSearchLimits`
  Contains information about public post search limits.
  `static class`
  `TdApi.PushMessageContent`
  This class is an abstract base class.
  `static class`
  `TdApi.PushMessageContentAnimation`
  An animation message (GIF-style).
  `static class`
  `TdApi.PushMessageContentAudio`
  An audio message.
  `static class`
  `TdApi.PushMessageContentBasicGroupChatCreate`
  A newly created basic group.
  `static class`
  `TdApi.PushMessageContentChatAddMembers`
  New chat members were invited to a group.
  `static class`
  `TdApi.PushMessageContentChatChangePhoto`
  A chat photo was edited.
  `static class`
  `TdApi.PushMessageContentChatChangeTitle`
  A chat title was edited.
  `static class`
  `TdApi.PushMessageContentChatDeleteMember`
  A chat member was deleted.
  `static class`
  `TdApi.PushMessageContentChatJoinByLink`
  A new member joined the chat via an invite link.
  `static class`
  `TdApi.PushMessageContentChatJoinByRequest`
  A new member was accepted to the chat by an administrator.
  `static class`
  `TdApi.PushMessageContentChatSetBackground`
  A chat background was edited.
  `static class`
  `TdApi.PushMessageContentChatSetTheme`
  A chat theme was edited.
  `static class`
  `TdApi.PushMessageContentChecklist`
  A message with a checklist.
  `static class`
  `TdApi.PushMessageContentChecklistTasksAdded`
  Some tasks were added to a checklist.
  `static class`
  `TdApi.PushMessageContentChecklistTasksDone`
  Some tasks from a checklist were marked as done or not done.
  `static class`
  `TdApi.PushMessageContentContact`
  A message with a user contact.
  `static class`
  `TdApi.PushMessageContentContactRegistered`
  A contact has registered with Telegram.
  `static class`
  `TdApi.PushMessageContentDocument`
  A document message (a general file).
  `static class`
  `TdApi.PushMessageContentGame`
  A message with a game.
  `static class`
  `TdApi.PushMessageContentGameScore`
  A new high score was achieved in a game.
  `static class`
  `TdApi.PushMessageContentGift`
  A message with a gift.
  `static class`
  `TdApi.PushMessageContentGiveaway`
  A message with a giveaway.
  `static class`
  `TdApi.PushMessageContentHidden`
  A general message with hidden content.
  `static class`
  `TdApi.PushMessageContentInviteVideoChatParticipants`
  An invitation of participants to a video chat or live stream.
  `static class`
  `TdApi.PushMessageContentInvoice`
  A message with an invoice from a bot.
  `static class`
  `TdApi.PushMessageContentLocation`
  A message with a location.
  `static class`
  `TdApi.PushMessageContentMediaAlbum`
  A media album.
  `static class`
  `TdApi.PushMessageContentMessageForwards`
  A forwarded messages.
  `static class`
  `TdApi.PushMessageContentPaidMedia`
  A message with paid media.
  `static class`
  `TdApi.PushMessageContentPhoto`
  A photo message.
  `static class`
  `TdApi.PushMessageContentPoll`
  A message with a poll.
  `static class`
  `TdApi.PushMessageContentPollOptionAdded`
  An option was added to a poll.
  `static class`
  `TdApi.PushMessageContentPremiumGiftCode`
  A message with a Telegram Premium gift code created for the user.
  `static class`
  `TdApi.PushMessageContentProximityAlertTriggered`
  A user in the chat came within proximity alert range from the current user.
  `static class`
  `TdApi.PushMessageContentRecurringPayment`
  A new recurring payment was made by the current user.
  `static class`
  `TdApi.PushMessageContentScreenshotTaken`
  A screenshot of a message in the chat has been taken.
  `static class`
  `TdApi.PushMessageContentSticker`
  A message with a sticker.
  `static class`
  `TdApi.PushMessageContentStory`
  A message with a story.
  `static class`
  `TdApi.PushMessageContentSuggestBirthdate`
  A birthdate was suggested to be set.
  `static class`
  `TdApi.PushMessageContentSuggestProfilePhoto`
  A profile photo was suggested to the user.
  `static class`
  `TdApi.PushMessageContentText`
  A text message.
  `static class`
  `TdApi.PushMessageContentUpgradedGift`
  A message with an upgraded gift.
  `static class`
  `TdApi.PushMessageContentVideo`
  A video message.
  `static class`
  `TdApi.PushMessageContentVideoChatEnded`
  A video chat or live stream has ended.
  `static class`
  `TdApi.PushMessageContentVideoChatStarted`
  A video chat or live stream was started.
  `static class`
  `TdApi.PushMessageContentVideoNote`
  A video note message.
  `static class`
  `TdApi.PushMessageContentVoiceNote`
  A voice note message.
  `static class`
  `TdApi.PushReceiverId`
  Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.
  `static class`
  `TdApi.QuickReplyMessage`
  Describes a message that can be used for quick reply.
  `static class`
  `TdApi.QuickReplyMessages`
  Contains a list of quick reply messages.
  `static class`
  `TdApi.QuickReplyShortcut`
  Describes a shortcut that can be used for a quick reply.
  `static class`
  `TdApi.RateSpeechRecognition`
  Rates recognized speech in a video note or a voice note message.
  `static class`
  `TdApi.ReactionNotificationSettings`
  Contains information about notification settings for reactions and poll votes.
  `static class`
  `TdApi.ReactionNotificationSource`
  This class is an abstract base class.
  `static class`
  `TdApi.ReactionNotificationSourceAll`
  Notifications for reactions are shown for all reactions.
  `static class`
  `TdApi.ReactionNotificationSourceContacts`
  Notifications for reactions are shown only for reactions from contacts.
  `static class`
  `TdApi.ReactionNotificationSourceNone`
  Notifications for reactions are disabled.
  `static class`
  `TdApi.ReactionType`
  This class is an abstract base class.
  `static class`
  `TdApi.ReactionTypeCustomEmoji`
  A reaction with a custom emoji.
  `static class`
  `TdApi.ReactionTypeEmoji`
  A reaction with an emoji.
  `static class`
  `TdApi.ReactionTypePaid`
  The paid reaction in a channel chat.
  `static class`
  `TdApi.ReactionUnavailabilityReason`
  This class is an abstract base class.
  `static class`
  `TdApi.ReactionUnavailabilityReasonAnonymousAdministrator`
  The user is an anonymous administrator in the supergroup, but isn't a creator of it, so they can't vote on behalf of the supergroup.
  `static class`
  `TdApi.ReactionUnavailabilityReasonGuest`
  The user isn't a member of the supergroup and can't send messages and reactions there without joining.
  `static class`
  `TdApi.ReactionUnavailabilityReasonRestricted`
  The user is restricted in the chat.
  `static class`
  `TdApi.ReadAllChatMentions`
  Marks all mentions in a chat as read.
  `static class`
  `TdApi.ReadAllChatPollVotes`
  Marks all poll votes in a chat as read.
  `static class`
  `TdApi.ReadAllChatReactions`
  Marks all reactions in a chat as read.
  `static class`
  `TdApi.ReadAllDirectMessagesChatTopicReactions`
  Removes all unread reactions in the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.ReadAllForumTopicMentions`
  Marks all mentions in a topic in a forum supergroup chat as read.
  `static class`
  `TdApi.ReadAllForumTopicPollVotes`
  Marks all poll votes in a topic in a forum supergroup chat as read.
  `static class`
  `TdApi.ReadAllForumTopicReactions`
  Marks all reactions in a topic in a forum supergroup chat or a chat with a bot with topics as read.
  `static class`
  `TdApi.ReadBusinessMessage`
  Reads a message on behalf of a business account; for bots only.
  `static class`
  `TdApi.ReadChatList`
  Traverses all chats in a chat list and marks all messages in the chats as read.
  `static class`
  `TdApi.ReadDatePrivacySettings`
  Contains privacy settings for message read date in private chats.
  `static class`
  `TdApi.ReaddQuickReplyShortcutMessages`
  Readds quick reply messages which failed to add.
  `static class`
  `TdApi.ReadFilePart`
  Reads a part of a file from the TDLib file cache and returns read bytes.
  `static class`
  `TdApi.ReceivedGift`
  Represents a gift received by a user or a chat.
  `static class`
  `TdApi.ReceivedGifts`
  Represents a list of gifts received by a user or a chat.
  `static class`
  `TdApi.RecognizeSpeech`
  Recognizes speech in a video note or a voice note message.
  `static class`
  `TdApi.RecommendedChatFolder`
  Describes a recommended chat folder.
  `static class`
  `TdApi.RecommendedChatFolders`
  Contains a list of recommended chat folders.
  `static class`
  `TdApi.RecoverAuthenticationPassword`
  Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up.
  `static class`
  `TdApi.RecoverPassword`
  Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.
  `static class`
  `TdApi.RecoveryEmailAddress`
  Contains information about the current recovery email address.
  `static class`
  `TdApi.RefundStarPayment`
  Refunds a previously done payment in Telegram Stars; for bots only.
  `static class`
  `TdApi.RegisterDevice`
  Registers the currently used device for receiving push notifications.
  `static class`
  `TdApi.RegisterUser`
  Finishes user registration.
  `static class`
  `TdApi.RemoteFile`
  Represents a remote file.
  `static class`
  `TdApi.RemoveAllFilesFromDownloads`
  Removes all files from the file download list.
  `static class`
  `TdApi.RemoveBusinessConnectedBotFromChat`
  Removes the connected business bot from a specific chat by adding the chat to businessRecipients.excludedChatIds.
  `static class`
  `TdApi.RemoveChatActionBar`
  Removes a chat action bar without any other action.
  `static class`
  `TdApi.RemoveContacts`
  Removes users from the contact list.
  `static class`
  `TdApi.RemoveFavoriteSticker`
  Removes a sticker from the list of favorite stickers.
  `static class`
  `TdApi.RemoveFileFromDownloads`
  Removes a file from the file download list.
  `static class`
  `TdApi.RemoveGiftCollectionGifts`
  Removes gifts from a collection.
  `static class`
  `TdApi.RemoveInstalledBackground`
  Removes background from the list of installed backgrounds.
  `static class`
  `TdApi.RemoveLoginPasskey`
  Removes a passkey from the list of passkeys allowed to be used for the login by the current user.
  `static class`
  `TdApi.RemoveMessageReaction`
  Removes a reaction from a message.
  `static class`
  `TdApi.RemoveMessageSenderBotVerification`
  Removes the verification status of a user or a chat by an owned bot.
  `static class`
  `TdApi.RemoveNotification`
  Removes an active notification from notification list.
  `static class`
  `TdApi.RemoveNotificationGroup`
  Removes a group of active notifications.
  `static class`
  `TdApi.RemovePendingLiveStoryReactions`
  Removes all pending paid reactions in a live story group call.
  `static class`
  `TdApi.RemovePendingPaidMessageReactions`
  Removes all pending paid reactions on a message.
  `static class`
  `TdApi.RemoveProfileAudio`
  Removes an audio file from the profile audio files of the current user.
  `static class`
  `TdApi.RemoveProxy`
  Removes a proxy server.
  `static class`
  `TdApi.RemoveRecentHashtag`
  Removes a hashtag from the list of recently used hashtags.
  `static class`
  `TdApi.RemoveRecentlyFoundChat`
  Removes a chat from the list of recently found chats.
  `static class`
  `TdApi.RemoveRecentSticker`
  Removes a sticker from the list of recently used stickers.
  `static class`
  `TdApi.RemoveSavedAnimation`
  Removes an animation from the list of saved animations.
  `static class`
  `TdApi.RemoveSavedNotificationSound`
  Removes a notification sound from the list of saved notification sounds.
  `static class`
  `TdApi.RemoveSearchedForTag`
  Removes a hashtag or a cashtag from the list of recently searched for hashtags or cashtags.
  `static class`
  `TdApi.RemoveStickerFromSet`
  Removes a sticker from the set to which it belongs.
  `static class`
  `TdApi.RemoveStoryAlbumStories`
  Removes stories from an album.
  `static class`
  `TdApi.RemoveTextCompositionStyle`
  Removes a custom text composition style from the list of used by the user styles.
  `static class`
  `TdApi.RemoveTopChat`
  Removes a chat from the list of frequently used chats.
  `static class`
  `TdApi.ReorderActiveUsernames`
  Changes order of active usernames of the current user.
  `static class`
  `TdApi.ReorderBotActiveUsernames`
  Changes order of active usernames of a bot.
  `static class`
  `TdApi.ReorderBotMediaPreviews`
  Changes order of media previews in the list of media previews of a bot.
  `static class`
  `TdApi.ReorderChatFolders`
  Changes the order of chat folders.
  `static class`
  `TdApi.ReorderGiftCollectionGifts`
  Changes order of gifts in a collection.
  `static class`
  `TdApi.ReorderGiftCollections`
  Changes order of gift collections.
  `static class`
  `TdApi.ReorderInstalledStickerSets`
  Changes the order of installed sticker sets.
  `static class`
  `TdApi.ReorderQuickReplyShortcuts`
  Changes the order of quick reply shortcuts.
  `static class`
  `TdApi.ReorderStoryAlbums`
  Changes order of story albums.
  `static class`
  `TdApi.ReorderStoryAlbumStories`
  Changes order of stories in an album.
  `static class`
  `TdApi.ReorderSupergroupActiveUsernames`
  Changes order of active usernames of a supergroup or channel, requires owner privileges in the supergroup or channel.
  `static class`
  `TdApi.ReplaceLiveStoryRtmpUrl`
  Replaces the current RTMP URL for streaming to a live story; requires owner privileges for channel chats.
  `static class`
  `TdApi.ReplacePrimaryChatInviteLink`
  Replaces current primary invite link for a chat with a new primary invite link.
  `static class`
  `TdApi.ReplaceStickerInSet`
  Replaces existing sticker in a set.
  `static class`
  `TdApi.ReplaceVideoChatRtmpUrl`
  Replaces the current RTMP URL for streaming to the video chat of a chat; requires owner privileges in the chat.
  `static class`
  `TdApi.ReplyMarkup`
  This class is an abstract base class.
  `static class`
  `TdApi.ReplyMarkupForceReply`
  Instructs application to force a reply to this message.
  `static class`
  `TdApi.ReplyMarkupInlineKeyboard`
  Contains an inline keyboard layout.
  `static class`
  `TdApi.ReplyMarkupRemoveKeyboard`
  Instructs application to remove the keyboard once this message has been received.
  `static class`
  `TdApi.ReplyMarkupShowKeyboard`
  Contains a custom keyboard layout to quickly reply to bots.
  `static class`
  `TdApi.ReportAuthenticationCodeMissing`
  Reports that authentication code wasn't delivered via SMS; for official mobile applications only.
  `static class`
  `TdApi.ReportChat`
  Reports a chat to the Telegram moderators.
  `static class`
  `TdApi.ReportChatPhoto`
  Reports a chat photo to the Telegram moderators.
  `static class`
  `TdApi.ReportChatResult`
  This class is an abstract base class.
  `static class`
  `TdApi.ReportChatResultMessagesRequired`
  The user must choose messages to report and repeat the reportChat request with the chosen messages.
  `static class`
  `TdApi.ReportChatResultOk`
  The chat was reported successfully.
  `static class`
  `TdApi.ReportChatResultOptionRequired`
  The user must choose an option to report the chat and repeat request with the chosen option.
  `static class`
  `TdApi.ReportChatResultTextRequired`
  The user must add additional text details to the report.
  `static class`
  `TdApi.ReportChatSponsoredMessage`
  Reports a sponsored message to Telegram moderators.
  `static class`
  `TdApi.ReportMessageReactions`
  Reports reactions set on a message to the Telegram moderators.
  `static class`
  `TdApi.ReportOption`
  Describes an option to report an entity to Telegram.
  `static class`
  `TdApi.ReportPhoneNumberCodeMissing`
  Reports that authentication code wasn't delivered via SMS to the specified phone number; for official mobile applications only.
  `static class`
  `TdApi.ReportReason`
  This class is an abstract base class.
  `static class`
  `TdApi.ReportReasonChildAbuse`
  The chat has child abuse related content.
  `static class`
  `TdApi.ReportReasonCopyright`
  The chat contains copyrighted content.
  `static class`
  `TdApi.ReportReasonCustom`
  A custom reason provided by the user.
  `static class`
  `TdApi.ReportReasonFake`
  The chat represents a fake account.
  `static class`
  `TdApi.ReportReasonIllegalDrugs`
  The chat has illegal drugs related content.
  `static class`
  `TdApi.ReportReasonPersonalDetails`
  The chat contains messages with personal details.
  `static class`
  `TdApi.ReportReasonPornography`
  The chat contains pornographic messages.
  `static class`
  `TdApi.ReportReasonSpam`
  The chat contains spam messages.
  `static class`
  `TdApi.ReportReasonUnrelatedLocation`
  The location-based chat is unrelated to its stated location.
  `static class`
  `TdApi.ReportReasonViolence`
  The chat promotes violence.
  `static class`
  `TdApi.ReportSponsoredChat`
  Reports a sponsored chat to Telegram moderators.
  `static class`
  `TdApi.ReportSponsoredResult`
  This class is an abstract base class.
  `static class`
  `TdApi.ReportSponsoredResultAdsHidden`
  Sponsored messages were hidden for the user in all chats.
  `static class`
  `TdApi.ReportSponsoredResultFailed`
  The sponsored message is too old or not found.
  `static class`
  `TdApi.ReportSponsoredResultOk`
  The message was reported successfully.
  `static class`
  `TdApi.ReportSponsoredResultOptionRequired`
  The user must choose an option to report the message and repeat request with the chosen option.
  `static class`
  `TdApi.ReportSponsoredResultPremiumRequired`
  The user asked to hide sponsored messages, but Telegram Premium is required for this.
  `static class`
  `TdApi.ReportStory`
  Reports a story to the Telegram moderators.
  `static class`
  `TdApi.ReportStoryResult`
  This class is an abstract base class.
  `static class`
  `TdApi.ReportStoryResultOk`
  The story was reported successfully.
  `static class`
  `TdApi.ReportStoryResultOptionRequired`
  The user must choose an option to report the story and repeat request with the chosen option.
  `static class`
  `TdApi.ReportStoryResultTextRequired`
  The user must add additional text details to the report.
  `static class`
  `TdApi.ReportSupergroupAntiSpamFalsePositive`
  Reports a false deletion of a message by aggressive anti-spam checks; requires administrator rights in the supergroup.
  `static class`
  `TdApi.ReportSupergroupSpam`
  Reports messages in a supergroup as spam; requires administrator rights in the supergroup.
  `static class`
  `TdApi.ReportVideoMessageAdvertisement`
  Reports a video message advertisement to Telegram moderators.
  `static class`
  `TdApi.RequestAuthenticationPasswordRecovery`
  Requests to send a 2-step verification password recovery code to an email address that was previously set up.
  `static class`
  `TdApi.RequestPasswordRecovery`
  Requests to send a 2-step verification password recovery code to an email address that was previously set up.
  `static class`
  `TdApi.RequestQrCodeAuthentication`
  Requests QR code authentication by scanning a QR code on another logged in device.
  `static class`
  `TdApi.ResendAuthenticationCode`
  Resends an authentication code to the user.
  `static class`
  `TdApi.ResendCodeReason`
  This class is an abstract base class.
  `static class`
  `TdApi.ResendCodeReasonUserRequest`
  The user requested to resend the code.
  `static class`
  `TdApi.ResendCodeReasonVerificationFailed`
  The code is re-sent, because device verification has failed.
  `static class`
  `TdApi.ResendEmailAddressVerificationCode`
  Resends the code to verify an email address to be added to a user's Telegram Passport.
  `static class`
  `TdApi.ResendLoginEmailAddressCode`
  Resends the login email address verification code.
  `static class`
  `TdApi.ResendMessages`
  Resends messages which failed to send.
  `static class`
  `TdApi.ResendPhoneNumberCode`
  Resends the authentication code sent to a phone number.
  `static class`
  `TdApi.ResendRecoveryEmailAddressCode`
  Resends the 2-step verification recovery email address verification code.
  `static class`
  `TdApi.ResetAllNotificationSettings`
  Resets all chat and scope notification settings to their default values.
  `static class`
  `TdApi.ResetAuthenticationEmailAddress`
  Resets the login email address.
  `static class`
  `TdApi.ResetInstalledBackgrounds`
  Resets list of installed backgrounds to its default value.
  `static class`
  `TdApi.ResetNetworkStatistics`
  Resets all network data usage statistics to zero.
  `static class`
  `TdApi.ResetPassword`
  Removes 2-step verification password without previous password and access to recovery email address.
  `static class`
  `TdApi.ResetPasswordResult`
  This class is an abstract base class.
  `static class`
  `TdApi.ResetPasswordResultDeclined`
  The password reset request was declined.
  `static class`
  `TdApi.ResetPasswordResultOk`
  The password was reset.
  `static class`
  `TdApi.ResetPasswordResultPending`
  The password reset request is pending.
  `static class`
  `TdApi.RestrictionInfo`
  Contains information about restrictions that must be applied to a chat or a message.
  `static class`
  `TdApi.ReuseStarSubscription`
  Reuses an active Telegram Star subscription to a channel chat and joins the chat again.
  `static class`
  `TdApi.RevenueWithdrawalState`
  This class is an abstract base class.
  `static class`
  `TdApi.RevenueWithdrawalStateFailed`
  Withdrawal failed.
  `static class`
  `TdApi.RevenueWithdrawalStatePending`
  Withdrawal is pending.
  `static class`
  `TdApi.RevenueWithdrawalStateSucceeded`
  Withdrawal succeeded.
  `static class`
  `TdApi.RevokeChatInviteLink`
  Revokes invite link for a chat.
  `static class`
  `TdApi.RevokeGroupCallInviteLink`
  Revokes invite link for a group call.
  `static class`
  `TdApi.RichText`
  This class is an abstract base class.
  `static class`
  `TdApi.RichTextAnchor`
  An anchor.
  `static class`
  `TdApi.RichTextAnchorLink`
  A link to an anchor on the same page.
  `static class`
  `TdApi.RichTextBold`
  A bold rich text.
  `static class`
  `TdApi.RichTextEmailAddress`
  A rich text email link.
  `static class`
  `TdApi.RichTextFixed`
  A fixed-width rich text.
  `static class`
  `TdApi.RichTextIcon`
  A small image inside the text.
  `static class`
  `TdApi.RichTextItalic`
  An italicized rich text.
  `static class`
  `TdApi.RichTextMarked`
  A marked rich text.
  `static class`
  `TdApi.RichTextPhoneNumber`
  A rich text phone number.
  `static class`
  `TdApi.RichTextPlain`
  A plain text.
  `static class`
  `TdApi.RichTextReference`
  A reference to a richTexts object on the same page.
  `static class`
  `TdApi.RichTexts`
  A concatenation of rich texts.
  `static class`
  `TdApi.RichTextStrikethrough`
  A strikethrough rich text.
  `static class`
  `TdApi.RichTextSubscript`
  A subscript rich text.
  `static class`
  `TdApi.RichTextSuperscript`
  A superscript rich text.
  `static class`
  `TdApi.RichTextUnderline`
  An underlined rich text.
  `static class`
  `TdApi.RichTextUrl`
  A rich text URL link.
  `static class`
  `TdApi.RtmpUrl`
  Represents an RTMP URL.
  `static class`
  `TdApi.SaveApplicationLogEvent`
  Saves application log event on the server.
  `static class`
  `TdApi.SavedCredentials`
  Contains information about saved payment credentials.
  `static class`
  `TdApi.SavedMessagesTag`
  Represents a tag used in Saved Messages or a Saved Messages topic.
  `static class`
  `TdApi.SavedMessagesTags`
  Contains a list of tags used in Saved Messages.
  `static class`
  `TdApi.SavedMessagesTopic`
  Contains information about a Saved Messages topic.
  `static class`
  `TdApi.SavedMessagesTopicType`
  This class is an abstract base class.
  `static class`
  `TdApi.SavedMessagesTopicTypeAuthorHidden`
  Topic containing messages forwarded from a user with hidden privacy.
  `static class`
  `TdApi.SavedMessagesTopicTypeMyNotes`
  Topic containing messages sent by the current user of forwarded from an unknown chat.
  `static class`
  `TdApi.SavedMessagesTopicTypeSavedFromChat`
  Topic containing messages forwarded from a specific chat.
  `static class`
  `TdApi.SavePreparedInlineMessage`
  Saves an inline message to be sent by the given user; for bots only.
  `static class`
  `TdApi.SavePreparedKeyboardButton`
  Saves a keyboard button to be shown to the given user; for bots only.
  `static class`
  `TdApi.ScopeAutosaveSettings`
  Contains autosave settings for an autosave settings scope.
  `static class`
  `TdApi.ScopeNotificationSettings`
  Contains information about notification settings for several chats.
  `static class`
  `TdApi.SearchAffiliatePrograms`
  Searches affiliate programs that can be connected to the given affiliate.
  `static class`
  `TdApi.SearchBackground`
  Searches for a background by its name.
  `static class`
  `TdApi.SearchCallMessages`
  Searches for call and group call messages.
  `static class`
  `TdApi.SearchChatAffiliateProgram`
  Searches a chat with an affiliate program.
  `static class`
  `TdApi.SearchChatMembers`
  Searches for a specified query in the first name, last name and usernames of the members of a specified chat.
  `static class`
  `TdApi.SearchChatMessages`
  Searches for messages with given words in the chat.
  `static class`
  `TdApi.SearchChatRecentLocationMessages`
  Returns information about the recent locations of chat members that were sent to the chat.
  `static class`
  `TdApi.SearchChats`
  Searches for the specified query in the title and username of already known chats.
  `static class`
  `TdApi.SearchChatsOnServer`
  Searches for the specified query in the title and username of already known chats via request to the server.
  `static class`
  `TdApi.SearchContacts`
  Searches for the specified query in the first names, last names and usernames of the known user contacts.
  `static class`
  `TdApi.SearchEmojis`
  Searches for emojis by keywords.
  `static class`
  `TdApi.SearchFileDownloads`
  Searches for files in the file download list or recently downloaded files from the list.
  `static class`
  `TdApi.SearchGiftsForResale`
  Returns upgraded gifts that can be bought from other owners using sendResoldGift.
  `static class`
  `TdApi.SearchHashtags`
  Searches for recently used hashtags by their prefix.
  `static class`
  `TdApi.SearchInstalledStickerSets`
  Searches for installed sticker sets by looking for specified query in their title and name.
  `static class`
  `TdApi.SearchMessages`
  Searches for messages in all chats except secret chats.
  `static class`
  `TdApi.SearchMessagesChatTypeFilter`
  This class is an abstract base class.
  `static class`
  `TdApi.SearchMessagesChatTypeFilterChannel`
  Returns only messages in channel chats.
  `static class`
  `TdApi.SearchMessagesChatTypeFilterGroup`
  Returns only messages in basic group and supergroup chats.
  `static class`
  `TdApi.SearchMessagesChatTypeFilterPrivate`
  Returns only messages in private chats.
  `static class`
  `TdApi.SearchMessagesFilter`
  This class is an abstract base class.
  `static class`
  `TdApi.SearchMessagesFilterAnimation`
  Returns only animation messages.
  `static class`
  `TdApi.SearchMessagesFilterAudio`
  Returns only audio messages.
  `static class`
  `TdApi.SearchMessagesFilterChatPhoto`
  Returns only messages containing chat photos.
  `static class`
  `TdApi.SearchMessagesFilterDocument`
  Returns only document messages.
  `static class`
  `TdApi.SearchMessagesFilterEmpty`
  Returns all found messages, no filter is applied.
  `static class`
  `TdApi.SearchMessagesFilterFailedToSend`
  Returns only failed to send messages.
  `static class`
  `TdApi.SearchMessagesFilterMention`
  Returns only messages with mentions of the current user, or messages that are replies to their messages.
  `static class`
  `TdApi.SearchMessagesFilterPhoto`
  Returns only photo messages.
  `static class`
  `TdApi.SearchMessagesFilterPhotoAndVideo`
  Returns only photo and video messages.
  `static class`
  `TdApi.SearchMessagesFilterPinned`
  Returns only pinned messages.
  `static class`
  `TdApi.SearchMessagesFilterPoll`
  Returns only poll messages.
  `static class`
  `TdApi.SearchMessagesFilterUnreadMention`
  Returns only messages with unread mentions of the current user, or messages that are replies to their messages.
  `static class`
  `TdApi.SearchMessagesFilterUnreadPollVote`
  Returns only messages with unread poll votes for the current user.
  `static class`
  `TdApi.SearchMessagesFilterUnreadReaction`
  Returns only messages with unread reactions for the current user.
  `static class`
  `TdApi.SearchMessagesFilterUrl`
  Returns only messages containing URLs.
  `static class`
  `TdApi.SearchMessagesFilterVideo`
  Returns only video messages.
  `static class`
  `TdApi.SearchMessagesFilterVideoNote`
  Returns only video note messages.
  `static class`
  `TdApi.SearchMessagesFilterVoiceAndVideoNote`
  Returns only voice and video note messages.
  `static class`
  `TdApi.SearchMessagesFilterVoiceNote`
  Returns only voice note messages.
  `static class`
  `TdApi.SearchOutgoingDocumentMessages`
  Searches for outgoing messages with content of the type messageDocument in all chats except secret chats.
  `static class`
  `TdApi.SearchPublicChat`
  Searches a public chat by its username.
  `static class`
  `TdApi.SearchPublicChats`
  Searches public chats by looking for specified query in their username and title.
  `static class`
  `TdApi.SearchPublicMessagesByTag`
  Searches for public channel posts containing the given hashtag or cashtag.
  `static class`
  `TdApi.SearchPublicPosts`
  Searches for public channel posts using the given query.
  `static class`
  `TdApi.SearchPublicStoriesByLocation`
  Searches for public stories by the given address location.
  `static class`
  `TdApi.SearchPublicStoriesByTag`
  Searches for public stories containing the given hashtag or cashtag.
  `static class`
  `TdApi.SearchPublicStoriesByVenue`
  Searches for public stories from the given venue.
  `static class`
  `TdApi.SearchQuote`
  Searches for a given quote in a text.
  `static class`
  `TdApi.SearchRecentlyFoundChats`
  Searches for the specified query in the title and username of up to 50 recently found chats.
  `static class`
  `TdApi.SearchSavedMessages`
  Searches for messages tagged by the given reaction and with the given words in the Saved Messages chat; for Telegram Premium users only.
  `static class`
  `TdApi.SearchSecretMessages`
  Searches for messages in secret chats.
  `static class`
  `TdApi.SearchStickers`
  Searches for stickers from public sticker sets that correspond to any of the given emoji.
  `static class`
  `TdApi.SearchStickerSet`
  Searches for a sticker set by its name.
  `static class`
  `TdApi.SearchStickerSets`
  Searches for sticker sets by looking for specified query in their title and name.
  `static class`
  `TdApi.SearchStringsByPrefix`
  Searches specified query by word prefixes in the provided strings.
  `static class`
  `TdApi.SearchTextCompositionStyle`
  Searches a custom text composition style by its name.
  `static class`
  `TdApi.SearchUserByPhoneNumber`
  Searches a user by their phone number.
  `static class`
  `TdApi.SearchUserByToken`
  Searches a user by a token from the user's link.
  `static class`
  `TdApi.SearchWebApp`
  Returns information about a Web App by its short name.
  `static class`
  `TdApi.Seconds`
  Contains a value representing a number of seconds.
  `static class`
  `TdApi.SecretChat`
  Represents a secret chat.
  `static class`
  `TdApi.SecretChatState`
  This class is an abstract base class.
  `static class`
  `TdApi.SecretChatStateClosed`
  The secret chat is closed.
  `static class`
  `TdApi.SecretChatStatePending`
  The secret chat is not yet created; waiting for the other user to get online.
  `static class`
  `TdApi.SecretChatStateReady`
  The secret chat is ready to use.
  `static class`
  `TdApi.SellGift`
  Sells a gift for Telegram Stars; requires owner privileges for gifts owned by a chat.
  `static class`
  `TdApi.SendAuthenticationFirebaseSms`
  Sends Firebase Authentication SMS to the phone number of the user.
  `static class`
  `TdApi.SendBotStartMessage`
  Invites a bot to a chat (if it is not yet a member) and sends it the /start command; requires canInviteUsers member right.
  `static class`
  `TdApi.SendBusinessMessage`
  Sends a message on behalf of a business account; for bots only.
  `static class`
  `TdApi.SendBusinessMessageAlbum`
  Sends 2-10 messages grouped together into an album on behalf of a business account; for bots only.
  `static class`
  `TdApi.SendCallDebugInformation`
  Sends debug information for a call to Telegram servers.
  `static class`
  `TdApi.SendCallLog`
  Sends log file for a call to Telegram servers.
  `static class`
  `TdApi.SendCallRating`
  Sends a call rating.
  `static class`
  `TdApi.SendCallSignalingData`
  Sends call signaling data.
  `static class`
  `TdApi.SendChatAction`
  Sends a notification about user activity in a chat.
  `static class`
  `TdApi.SendCustomRequest`
  Sends a custom request; for bots only.
  `static class`
  `TdApi.SendEmailAddressVerificationCode`
  Sends a code to verify an email address to be added to a user's Telegram Passport.
  `static class`
  `TdApi.SendGift`
  Sends a gift to another user or channel chat.
  `static class`
  `TdApi.SendGiftPurchaseOffer`
  Sends an offer to purchase an upgraded gift.
  `static class`
  `TdApi.SendGroupCallMessage`
  Sends a message to other participants of a group call.
  `static class`
  `TdApi.SendInlineQueryResultMessage`
  Sends the result of an inline query as a message.
  `static class`
  `TdApi.SendMessage`
  Sends a message.
  `static class`
  `TdApi.SendMessageAlbum`
  Sends 2-10 messages grouped together into an album.
  `static class`
  `TdApi.SendMessageViewMetrics`
  Informs TDLib about details of a message view by the user from a chat, a message thread or a forum topic history.
  `static class`
  `TdApi.SendPassportAuthorizationForm`
  Sends a Telegram Passport authorization form, effectively sharing data with the service.
  `static class`
  `TdApi.SendPaymentForm`
  Sends a filled-out payment form to the bot for final verification.
  `static class`
  `TdApi.SendPhoneNumberCode`
  Sends a code to the specified phone number.
  `static class`
  `TdApi.SendPhoneNumberFirebaseSms`
  Sends Firebase Authentication SMS to the specified phone number.
  `static class`
  `TdApi.SendQuickReplyShortcutMessages`
  Sends messages from a quick reply shortcut.
  `static class`
  `TdApi.SendResoldGift`
  Sends an upgraded gift that is available for resale to another user or channel chat; gifts already owned by the current user must be transferred using transferGift and can't be passed to the method.
  `static class`
  `TdApi.SendTextMessageDraft`
  Sends a draft for a being generated text message; for bots only.
  `static class`
  `TdApi.SendWebAppCustomRequest`
  Sends a custom request from a Web App.
  `static class`
  `TdApi.SendWebAppData`
  Sends data received from a keyboardButtonTypeWebApp Web App to a bot.
  `static class`
  `TdApi.SentGift`
  This class is an abstract base class.
  `static class`
  `TdApi.SentGiftRegular`
  Regular gift.
  `static class`
  `TdApi.SentGiftUpgraded`
  Upgraded gift.
  `static class`
  `TdApi.Session`
  Contains information about one session in a Telegram application used by the current user.
  `static class`
  `TdApi.Sessions`
  Contains a list of sessions.
  `static class`
  `TdApi.SessionType`
  This class is an abstract base class.
  `static class`
  `TdApi.SessionTypeAndroid`
  The session is running on an Android device.
  `static class`
  `TdApi.SessionTypeApple`
  The session is running on a generic Apple device.
  `static class`
  `TdApi.SessionTypeBrave`
  The session is running on the Brave browser.
  `static class`
  `TdApi.SessionTypeChrome`
  The session is running on the Chrome browser.
  `static class`
  `TdApi.SessionTypeEdge`
  The session is running on the Edge browser.
  `static class`
  `TdApi.SessionTypeFirefox`
  The session is running on the Firefox browser.
  `static class`
  `TdApi.SessionTypeIpad`
  The session is running on an iPad device.
  `static class`
  `TdApi.SessionTypeIphone`
  The session is running on an iPhone device.
  `static class`
  `TdApi.SessionTypeLinux`
  The session is running on a Linux device.
  `static class`
  `TdApi.SessionTypeMac`
  The session is running on a Mac device.
  `static class`
  `TdApi.SessionTypeOpera`
  The session is running on the Opera browser.
  `static class`
  `TdApi.SessionTypeSafari`
  The session is running on the Safari browser.
  `static class`
  `TdApi.SessionTypeUbuntu`
  The session is running on an Ubuntu device.
  `static class`
  `TdApi.SessionTypeUnknown`
  The session is running on an unknown type of device.
  `static class`
  `TdApi.SessionTypeVivaldi`
  The session is running on the Vivaldi browser.
  `static class`
  `TdApi.SessionTypeWindows`
  The session is running on a Windows device.
  `static class`
  `TdApi.SessionTypeXbox`
  The session is running on an Xbox console.
  `static class`
  `TdApi.SetAccentColor`
  Changes accent color and background custom emoji for the current user; for Telegram Premium users only.
  `static class`
  `TdApi.SetAccountTtl`
  Changes the period of inactivity after which the account of the current user will automatically be deleted.
  `static class`
  `TdApi.SetAlarm`
  Succeeds after a specified amount of time has passed.
  `static class`
  `TdApi.SetApplicationVerificationToken`
  Informs TDLib that application or reCAPTCHA verification has been completed.
  `static class`
  `TdApi.SetArchiveChatListSettings`
  Changes settings for automatic moving of chats to and from the Archive chat lists.
  `static class`
  `TdApi.SetAuthenticationEmailAddress`
  Sets the email address of the user and sends an authentication code to the email address.
  `static class`
  `TdApi.SetAuthenticationPhoneNumber`
  Sets the phone number of the user and sends an authentication code to the user.
  `static class`
  `TdApi.SetAuthenticationPremiumPurchaseTransaction`
  Informs server about an in-store purchase of Telegram Premium before authorization.
  `static class`
  `TdApi.SetAutoDownloadSettings`
  Sets auto-download settings.
  `static class`
  `TdApi.SetAutosaveSettings`
  Sets autosave settings for the given scope.
  `static class`
  `TdApi.SetBio`
  Changes the bio of the current user.
  `static class`
  `TdApi.SetBirthdate`
  Changes the birthdate of the current user.
  `static class`
  `TdApi.SetBotInfoDescription`
  Sets the text shown in the chat with a bot if the chat is empty.
  `static class`
  `TdApi.SetBotInfoShortDescription`
  Sets the text shown on a bot's profile page and sent together with the link when users share the bot.
  `static class`
  `TdApi.SetBotName`
  Sets the name of a bot.
  `static class`
  `TdApi.SetBotProfilePhoto`
  Changes a profile photo for a bot.
  `static class`
  `TdApi.SetBotUpdatesStatus`
  Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.
  `static class`
  `TdApi.SetBusinessAccountBio`
  Changes the bio of a business account; for bots only.
  `static class`
  `TdApi.SetBusinessAccountGiftSettings`
  Changes settings for gift receiving of a business account; for bots only.
  `static class`
  `TdApi.SetBusinessAccountName`
  Changes the first and last name of a business account; for bots only.
  `static class`
  `TdApi.SetBusinessAccountProfilePhoto`
  Changes a profile photo of a business account; for bots only.
  `static class`
  `TdApi.SetBusinessAccountUsername`
  Changes the editable username of a business account; for bots only.
  `static class`
  `TdApi.SetBusinessAwayMessageSettings`
  Changes the business away message settings of the current user.
  `static class`
  `TdApi.SetBusinessConnectedBot`
  Adds or changes business bot that is connected to the current user account.
  `static class`
  `TdApi.SetBusinessGreetingMessageSettings`
  Changes the business greeting message settings of the current user.
  `static class`
  `TdApi.SetBusinessLocation`
  Changes the business location of the current user.
  `static class`
  `TdApi.SetBusinessMessageIsPinned`
  Pins or unpins a message sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.SetBusinessOpeningHours`
  Changes the business opening hours of the current user.
  `static class`
  `TdApi.SetBusinessStartPage`
  Changes the business start page of the current user.
  `static class`
  `TdApi.SetChatAccentColor`
  Changes accent color and background custom emoji of a channel chat.
  `static class`
  `TdApi.SetChatActiveStoriesList`
  Changes story list in which stories from the chat are shown.
  `static class`
  `TdApi.SetChatAffiliateProgram`
  Changes affiliate program for a bot.
  `static class`
  `TdApi.SetChatAvailableReactions`
  Changes reactions, available in a chat.
  `static class`
  `TdApi.SetChatBackground`
  Sets the background in a specific chat.
  `static class`
  `TdApi.SetChatClientData`
  Changes application-specific data associated with a chat.
  `static class`
  `TdApi.SetChatDescription`
  Changes information about a chat.
  `static class`
  `TdApi.SetChatDirectMessagesGroup`
  Changes direct messages group settings for a channel chat; requires owner privileges in the chat.
  `static class`
  `TdApi.SetChatDiscussionGroup`
  Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.
  `static class`
  `TdApi.SetChatDraftMessage`
  Changes the draft message in a chat or a topic.
  `static class`
  `TdApi.SetChatEmojiStatus`
  Changes the emoji status of a chat.
  `static class`
  `TdApi.SetChatLocation`
  Changes the location of a chat.
  `static class`
  `TdApi.SetChatMemberStatus`
  Changes the status of a chat member; requires canInviteUsers member right to add a chat member, canPromoteMembers administrator right to change administrator rights of the member, and canRestrictMembers administrator right to change restrictions of a user.
  `static class`
  `TdApi.SetChatMemberTag`
  Changes the tag or custom title of a chat member; requires canManageTags administrator right to change tag of other users; for basic groups and supergroups only.
  `static class`
  `TdApi.SetChatMessageAutoDeleteTime`
  Changes the message auto-delete or self-destruct (for secret chats) time in a chat.
  `static class`
  `TdApi.SetChatMessageSender`
  Selects a message sender to send messages in a chat.
  `static class`
  `TdApi.SetChatNotificationSettings`
  Changes the notification settings of a chat.
  `static class`
  `TdApi.SetChatPaidMessageStarCount`
  Changes the Telegram Star amount that must be paid to send a message to a supergroup chat; requires canRestrictMembers administrator right and supergroupFullInfo.canEnablePaidMessages.
  `static class`
  `TdApi.SetChatPermissions`
  Changes the chat members permissions.
  `static class`
  `TdApi.SetChatPhoto`
  Changes the photo of a chat.
  `static class`
  `TdApi.SetChatPinnedStories`
  Changes the list of pinned stories on a chat page; requires canEditStories administrator right in the chat.
  `static class`
  `TdApi.SetChatProfileAccentColor`
  Changes accent color and background custom emoji for profile of a supergroup or channel chat.
  `static class`
  `TdApi.SetChatSlowModeDelay`
  Changes the slow mode delay of a chat.
  `static class`
  `TdApi.SetChatTheme`
  Changes the chat theme.
  `static class`
  `TdApi.SetChatTitle`
  Changes the chat title.
  `static class`
  `TdApi.SetCloseFriends`
  Changes the list of close friends of the current user.
  `static class`
  `TdApi.SetCommands`
  Sets the list of commands supported by the bot for the given user scope and language; for bots only.
  `static class`
  `TdApi.SetCustomEmojiStickerSetThumbnail`
  Sets a custom emoji sticker set thumbnail.
  `static class`
  `TdApi.SetCustomLanguagePack`
  Adds or changes a custom local language pack to the current localization target.
  `static class`
  `TdApi.SetCustomLanguagePackString`
  Adds, edits or deletes a string in a custom local language pack.
  `static class`
  `TdApi.SetDatabaseEncryptionKey`
  Changes the database encryption key.
  `static class`
  `TdApi.SetDefaultBackground`
  Sets default background for chats; adds the background to the list of installed backgrounds.
  `static class`
  `TdApi.SetDefaultChannelAdministratorRights`
  Sets default administrator rights for adding the bot to channel chats; for bots only.
  `static class`
  `TdApi.SetDefaultGroupAdministratorRights`
  Sets default administrator rights for adding the bot to basic group and supergroup chats; for bots only.
  `static class`
  `TdApi.SetDefaultMessageAutoDeleteTime`
  Changes the default message auto-delete time for new chats.
  `static class`
  `TdApi.SetDefaultReactionType`
  Changes type of default reaction for the current user.
  `static class`
  `TdApi.SetDirectMessagesChatTopicIsMarkedAsUnread`
  Changes the marked as unread state of the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.SetEmojiStatus`
  Changes the emoji status of the current user; for Telegram Premium users only.
  `static class`
  `TdApi.SetFileGenerationProgress`
  Informs TDLib on a file generation progress.
  `static class`
  `TdApi.SetForumTopicNotificationSettings`
  Changes the notification settings of a forum topic in a forum supergroup chat or a chat with a bot with topics.
  `static class`
  `TdApi.SetGameScore`
  Updates the game score of the specified user in the game; for bots only.
  `static class`
  `TdApi.SetGiftCollectionName`
  Changes name of a gift collection.
  `static class`
  `TdApi.SetGiftResalePrice`
  Changes resale price of a unique gift owned by the current user.
  `static class`
  `TdApi.SetGiftSettings`
  Changes settings for gift receiving for the current user.
  `static class`
  `TdApi.SetGroupCallPaidMessageStarCount`
  Changes the minimum number of Telegram Stars that must be paid by general participant for each sent message to a live story call.
  `static class`
  `TdApi.SetGroupCallParticipantIsSpeaking`
  Informs TDLib that speaking state of a participant of an active group call has changed.
  `static class`
  `TdApi.SetGroupCallParticipantVolumeLevel`
  Changes volume level of a participant of an active group call; not supported for live stories.
  `static class`
  `TdApi.SetInactiveSessionTtl`
  Changes the period of inactivity after which sessions will automatically be terminated.
  `static class`
  `TdApi.SetInlineGameScore`
  Updates the game score of the specified user in a game; for bots only.
  `static class`
  `TdApi.SetLiveStoryMessageSender`
  Selects a message sender to send messages in a live story call.
  `static class`
  `TdApi.SetLoginEmailAddress`
  Changes the login email address of the user.
  `static class`
  `TdApi.SetLogStream`
  Sets new log stream for internal logging of TDLib.
  `static class`
  `TdApi.SetLogTagVerbosityLevel`
  Sets the verbosity level for a specified TDLib internal log tag.
  `static class`
  `TdApi.SetLogVerbosityLevel`
  Sets the verbosity level of the internal logging of TDLib.
  `static class`
  `TdApi.SetMainProfileTab`
  Changes the main profile tab of the current user.
  `static class`
  `TdApi.SetManagedBotAccessSettings`
  Sets access settings of a managed bot; for bots only.
  `static class`
  `TdApi.SetMenuButton`
  Sets menu button for the given user or for all users; for bots only.
  `static class`
  `TdApi.SetMessageFactCheck`
  Changes the fact-check of a message.
  `static class`
  `TdApi.SetMessageReactions`
  Sets reactions on a message; for bots only.
  `static class`
  `TdApi.SetMessageSenderBlockList`
  Changes the block list of a message sender.
  `static class`
  `TdApi.SetMessageSenderBotVerification`
  Changes the verification status of a user or a chat by an owned bot.
  `static class`
  `TdApi.SetName`
  Changes the first and last name of the current user.
  `static class`
  `TdApi.SetNetworkType`
  Sets the current network type.
  `static class`
  `TdApi.SetNewChatPrivacySettings`
  Changes privacy settings for new chat creation; can be used only if getOption("can_set_new_chat_privacy_settings").
  `static class`
  `TdApi.SetOption`
  Sets the value of an option.
  `static class`
  `TdApi.SetPaidMessageReactionType`
  Changes type of paid message reaction of the current user on a message.
  `static class`
  `TdApi.SetPassportElement`
  Adds an element to the user's Telegram Passport.
  `static class`
  `TdApi.SetPassportElementErrors`
  Informs the user who some of the elements in their Telegram Passport contain errors; for bots only.
  `static class`
  `TdApi.SetPassword`
  Changes the 2-step verification password for the current user.
  `static class`
  `TdApi.SetPersonalChat`
  Changes the personal chat of the current user.
  `static class`
  `TdApi.SetPinnedChats`
  Changes the order of pinned chats.
  `static class`
  `TdApi.SetPinnedForumTopics`
  Changes the order of pinned topics in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator right in the supergroup.
  `static class`
  `TdApi.SetPinnedGifts`
  Changes the list of pinned gifts on the current user's or the channel's profile page; requires canPostMessages administrator right in the channel chat.
  `static class`
  `TdApi.SetPinnedSavedMessagesTopics`
  Changes the order of pinned Saved Messages topics.
  `static class`
  `TdApi.SetPollAnswer`
  Changes the user answer to a poll.
  `static class`
  `TdApi.SetProfileAccentColor`
  Changes accent color and background custom emoji for profile of the current user; for Telegram Premium users only.
  `static class`
  `TdApi.SetProfileAudioPosition`
  Changes position of an audio file in the profile audio files of the current user.
  `static class`
  `TdApi.SetProfilePhoto`
  Changes a profile photo for the current user.
  `static class`
  `TdApi.SetQuickReplyShortcutName`
  Changes name of a quick reply shortcut.
  `static class`
  `TdApi.SetReactionNotificationSettings`
  Changes notification settings for reactions.
  `static class`
  `TdApi.SetReadDatePrivacySettings`
  Changes privacy settings for message read date.
  `static class`
  `TdApi.SetRecoveryEmailAddress`
  Changes the 2-step verification recovery email address of the user.
  `static class`
  `TdApi.SetSavedMessagesTagLabel`
  Changes label of a Saved Messages tag; for Telegram Premium users only.
  `static class`
  `TdApi.SetScopeNotificationSettings`
  Changes notification settings for chats of a given type.
  `static class`
  `TdApi.SetStickerEmojis`
  Changes the list of emojis corresponding to a sticker.
  `static class`
  `TdApi.SetStickerKeywords`
  Changes the list of keywords of a sticker.
  `static class`
  `TdApi.SetStickerMaskPosition`
  Changes the mask position of a mask sticker.
  `static class`
  `TdApi.SetStickerPositionInSet`
  Changes the position of a sticker in the set to which it belongs.
  `static class`
  `TdApi.SetStickerSetThumbnail`
  Sets a sticker set thumbnail.
  `static class`
  `TdApi.SetStickerSetTitle`
  Sets a sticker set title.
  `static class`
  `TdApi.SetStoryAlbumName`
  Changes name of an album of stories.
  `static class`
  `TdApi.SetStoryPrivacySettings`
  Changes privacy settings of a story.
  `static class`
  `TdApi.SetStoryReaction`
  Changes chosen reaction on a story that has already been sent; not supported for live stories.
  `static class`
  `TdApi.SetSupergroupCustomEmojiStickerSet`
  Changes the custom emoji sticker set of a supergroup; requires canChangeInfo administrator right.
  `static class`
  `TdApi.SetSupergroupMainProfileTab`
  Changes the main profile tab of the channel; requires canChangeInfo administrator right.
  `static class`
  `TdApi.SetSupergroupStickerSet`
  Changes the sticker set of a supergroup; requires canChangeInfo administrator right.
  `static class`
  `TdApi.SetSupergroupUnrestrictBoostCount`
  Changes the number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; requires canRestrictMembers administrator right.
  `static class`
  `TdApi.SetSupergroupUsername`
  Changes the editable username of a supergroup or channel, requires owner privileges in the supergroup or channel.
  `static class`
  `TdApi.SetTdlibParameters`
  Sets the parameters for TDLib initialization.
  `static class`
  `TdApi.SettingsSection`
  This class is an abstract base class.
  `static class`
  `TdApi.SettingsSectionAppearance`
  The appearance section.
  `static class`
  `TdApi.SettingsSectionAskQuestion`
  The "Ask a question" section.
  `static class`
  `TdApi.SettingsSectionBusiness`
  The "Telegram Business" section.
  `static class`
  `TdApi.SettingsSectionChatFolders`
  The chat folder settings section.
  `static class`
  `TdApi.SettingsSectionDataAndStorage`
  The data and storage settings section.
  `static class`
  `TdApi.SettingsSectionDevices`
  The Devices section.
  `static class`
  `TdApi.SettingsSectionEditProfile`
  The profile edit section.
  `static class`
  `TdApi.SettingsSectionFaq`
  The FAQ section.
  `static class`
  `TdApi.SettingsSectionFeatures`
  The "Telegram Features" section.
  `static class`
  `TdApi.SettingsSectionInAppBrowser`
  The in-app browser settings section.
  `static class`
  `TdApi.SettingsSectionLanguage`
  The application language section.
  `static class`
  `TdApi.SettingsSectionMyStars`
  The Telegram Star balance and transaction section.
  `static class`
  `TdApi.SettingsSectionMyToncoins`
  The Toncoin balance and transaction section.
  `static class`
  `TdApi.SettingsSectionNotifications`
  The notification settings section.
  `static class`
  `TdApi.SettingsSectionPowerSaving`
  The power saving settings section.
  `static class`
  `TdApi.SettingsSectionPremium`
  The "Telegram Premium" section.
  `static class`
  `TdApi.SettingsSectionPrivacyAndSecurity`
  The privacy and security section.
  `static class`
  `TdApi.SettingsSectionPrivacyPolicy`
  The "Privacy Policy" section.
  `static class`
  `TdApi.SettingsSectionQrCode`
  The current user's QR code section.
  `static class`
  `TdApi.SettingsSectionSearch`
  Search in Settings.
  `static class`
  `TdApi.SettingsSectionSendGift`
  The "Send a gift" section.
  `static class`
  `TdApi.SetUpgradedGiftColors`
  Changes color scheme for the current user based on an owned or a hosted upgraded gift; for Telegram Premium users only.
  `static class`
  `TdApi.SetUserEmojiStatus`
  Changes the emoji status of a user; for bots only.
  `static class`
  `TdApi.SetUsername`
  Changes the editable username of the current user.
  `static class`
  `TdApi.SetUserNote`
  Changes a note of a contact user.
  `static class`
  `TdApi.SetUserPersonalProfilePhoto`
  Changes a personal profile photo of a contact user.
  `static class`
  `TdApi.SetUserPrivacySettingRules`
  Changes user privacy settings.
  `static class`
  `TdApi.SetUserSupportInfo`
  Sets support information for the given user; for Telegram support only.
  `static class`
  `TdApi.SetVideoChatDefaultParticipant`
  Changes default participant identifier, on whose behalf a video chat in the chat will be joined.
  `static class`
  `TdApi.SetVideoChatTitle`
  Sets title of a video chat; requires groupCall.canBeManaged right.
  `static class`
  `TdApi.ShareChatWithBot`
  Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.
  `static class`
  `TdApi.SharedChat`
  Contains information about a chat shared with a bot.
  `static class`
  `TdApi.SharedUser`
  Contains information about a user shared with a bot.
  `static class`
  `TdApi.SharePhoneNumber`
  Shares the phone number of the current user with a mutual contact.
  `static class`
  `TdApi.ShareUsersWithBot`
  Shares users after pressing a keyboardButtonTypeRequestUsers button with the bot.
  `static class`
  `TdApi.ShippingOption`
  One shipping option.
  `static class`
  `TdApi.SpeechRecognitionResult`
  This class is an abstract base class.
  `static class`
  `TdApi.SpeechRecognitionResultError`
  The speech recognition failed.
  `static class`
  `TdApi.SpeechRecognitionResultPending`
  The speech recognition is ongoing.
  `static class`
  `TdApi.SpeechRecognitionResultText`
  The speech recognition successfully finished.
  `static class`
  `TdApi.SponsoredChat`
  Describes a sponsored chat.
  `static class`
  `TdApi.SponsoredChats`
  Contains a list of sponsored chats.
  `static class`
  `TdApi.SponsoredMessage`
  Describes a sponsored message.
  `static class`
  `TdApi.SponsoredMessages`
  Contains a list of sponsored messages.
  `static class`
  `TdApi.StakeDiceState`
  Describes state of the stake dice.
  `static class`
  `TdApi.StarAmount`
  Describes a possibly non-integer Telegram Star amount.
  `static class`
  `TdApi.StarCount`
  Contains a number of Telegram Stars.
  `static class`
  `TdApi.StarGiveawayPaymentOption`
  Describes an option for creating of Telegram Star giveaway.
  `static class`
  `TdApi.StarGiveawayPaymentOptions`
  Contains a list of options for creating of Telegram Star giveaway.
  `static class`
  `TdApi.StarGiveawayWinnerOption`
  Describes an option for the number of winners of a Telegram Star giveaway.
  `static class`
  `TdApi.StarPaymentOption`
  Describes an option for buying Telegram Stars.
  `static class`
  `TdApi.StarPaymentOptions`
  Contains a list of options for buying Telegram Stars.
  `static class`
  `TdApi.StarRevenueStatistics`
  A detailed statistics about Telegram Stars earned by a user or a chat.
  `static class`
  `TdApi.StarRevenueStatus`
  Contains information about Telegram Stars earned by a user or a chat.
  `static class`
  `TdApi.StarSubscription`
  Contains information about subscription to a channel chat, a bot, or a business account that was paid in Telegram Stars.
  `static class`
  `TdApi.StarSubscriptionPricing`
  Describes subscription plan paid in Telegram Stars.
  `static class`
  `TdApi.StarSubscriptions`
  Represents a list of Telegram Star subscriptions.
  `static class`
  `TdApi.StarSubscriptionType`
  This class is an abstract base class.
  `static class`
  `TdApi.StarSubscriptionTypeBot`
  Describes a subscription in a bot or a business account.
  `static class`
  `TdApi.StarSubscriptionTypeChannel`
  Describes a subscription to a channel chat.
  `static class`
  `TdApi.StartGroupCallRecording`
  Starts recording of an active group call; for video chats only.
  `static class`
  `TdApi.StartGroupCallScreenSharing`
  Starts screen sharing in a joined group call; not supported in live stories.
  `static class`
  `TdApi.StartLiveStory`
  Starts a new live story on behalf of a chat; requires canPostStories administrator right for channel chats.
  `static class`
  `TdApi.StartLiveStoryResult`
  This class is an abstract base class.
  `static class`
  `TdApi.StartLiveStoryResultFail`
  The live story failed to post with an error to be handled.
  `static class`
  `TdApi.StartLiveStoryResultOk`
  The live story was successfully posted.
  `static class`
  `TdApi.StarTransaction`
  Represents a transaction changing the amount of owned Telegram Stars.
  `static class`
  `TdApi.StarTransactions`
  Represents a list of Telegram Star transactions.
  `static class`
  `TdApi.StarTransactionType`
  This class is an abstract base class.
  `static class`
  `TdApi.StarTransactionTypeAffiliateProgramCommission`
  The transaction is a receiving of a commission from an affiliate program; relevant for regular users, bots and channel chats only.
  `static class`
  `TdApi.StarTransactionTypeAppStoreDeposit`
  The transaction is a deposit of Telegram Stars from App Store; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeBotInvoicePurchase`
  The transaction is a purchase of a product from a bot or a business account by the current user; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeBotInvoiceSale`
  The transaction is a sale of a product by the bot; relevant for bots only.
  `static class`
  `TdApi.StarTransactionTypeBotPaidMediaPurchase`
  The transaction is a purchase of paid media from a bot or a business account by the current user; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeBotPaidMediaSale`
  The transaction is a sale of paid media by the bot or a business account managed by the bot; relevant for bots only.
  `static class`
  `TdApi.StarTransactionTypeBotSubscriptionPurchase`
  The transaction is a purchase of a subscription from a bot or a business account by the current user; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeBotSubscriptionSale`
  The transaction is a sale of a subscription by the bot; relevant for bots only.
  `static class`
  `TdApi.StarTransactionTypeBusinessBotTransferReceive`
  The transaction is a transfer of Telegram Stars from a business account; relevant for bots only.
  `static class`
  `TdApi.StarTransactionTypeBusinessBotTransferSend`
  The transaction is a transfer of Telegram Stars to a business bot; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeChannelPaidMediaPurchase`
  The transaction is a purchase of paid media from a channel by the current user; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeChannelPaidMediaSale`
  The transaction is a sale of paid media by the channel chat; relevant for channel chats only.
  `static class`
  `TdApi.StarTransactionTypeChannelPaidReactionReceive`
  The transaction is a receiving of a paid reaction to a message by the channel chat; relevant for channel chats only.
  `static class`
  `TdApi.StarTransactionTypeChannelPaidReactionSend`
  The transaction is a sending of a paid reaction to a message in a channel chat by the current user; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeChannelSubscriptionPurchase`
  The transaction is a purchase of a subscription to a channel chat by the current user; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeChannelSubscriptionSale`
  The transaction is a sale of a subscription by the channel chat; relevant for channel chats only.
  `static class`
  `TdApi.StarTransactionTypeFragmentDeposit`
  The transaction is a deposit of Telegram Stars from Fragment; relevant for regular users and bots only.
  `static class`
  `TdApi.StarTransactionTypeFragmentWithdrawal`
  The transaction is a withdrawal of earned Telegram Stars to Fragment; relevant for regular users, bots, supergroup and channel chats only.
  `static class`
  `TdApi.StarTransactionTypeGiftAuctionBid`
  The transaction is a bid on a gift auction; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGiftOriginalDetailsDrop`
  The transaction is a drop of original details of an upgraded gift; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGiftPurchase`
  The transaction is a purchase of a regular gift; relevant for regular users and bots only.
  `static class`
  `TdApi.StarTransactionTypeGiftPurchaseOffer`
  The transaction is an offer of gift purchase; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGiftSale`
  The transaction is a sale of a received gift; relevant for regular users and channel chats only.
  `static class`
  `TdApi.StarTransactionTypeGiftTransfer`
  The transaction is a transfer of an upgraded gift; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGiftUpgrade`
  The transaction is an upgrade of a gift; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGiftUpgradePurchase`
  The transaction is a purchase of an upgrade of a gift owned by another user or channel; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGiveawayDeposit`
  The transaction is a deposit of Telegram Stars from a giveaway; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeGooglePlayDeposit`
  The transaction is a deposit of Telegram Stars from Google Play; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypePaidGroupCallMessageReceive`
  The transaction is a receiving of a paid group call message; relevant for regular users and channel chats only.
  `static class`
  `TdApi.StarTransactionTypePaidGroupCallMessageSend`
  The transaction is a sending of a paid group call message; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypePaidGroupCallReactionReceive`
  The transaction is a receiving of a paid group call reaction; relevant for regular users and channel chats only.
  `static class`
  `TdApi.StarTransactionTypePaidGroupCallReactionSend`
  The transaction is a sending of a paid group reaction; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypePaidMessageReceive`
  The transaction is a receiving of a paid message; relevant for regular users, supergroup and channel chats only.
  `static class`
  `TdApi.StarTransactionTypePaidMessageSend`
  The transaction is a sending of a paid message; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypePremiumBotDeposit`
  The transaction is a deposit of Telegram Stars from the Premium bot; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypePremiumPurchase`
  The transaction is a purchase of Telegram Premium subscription; relevant for regular users and bots only.
  `static class`
  `TdApi.StarTransactionTypePublicPostSearch`
  The transaction is a payment for search of posts in public Telegram channels; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeSuggestedPostPaymentReceive`
  The transaction is a receiving of a payment for a suggested post by the channel chat; relevant for channel chats only.
  `static class`
  `TdApi.StarTransactionTypeSuggestedPostPaymentSend`
  The transaction is a payment for a suggested post; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeTelegramAdsWithdrawal`
  The transaction is a withdrawal of earned Telegram Stars to Telegram Ad platform; relevant for bots and channel chats only.
  `static class`
  `TdApi.StarTransactionTypeTelegramApiUsage`
  The transaction is a payment for Telegram API usage; relevant for bots only.
  `static class`
  `TdApi.StarTransactionTypeUnsupported`
  The transaction is a transaction of an unsupported type.
  `static class`
  `TdApi.StarTransactionTypeUpgradedGiftPurchase`
  The transaction is a purchase of an upgraded gift for some user or channel; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeUpgradedGiftSale`
  The transaction is a sale of an upgraded gift; relevant for regular users only.
  `static class`
  `TdApi.StarTransactionTypeUserDeposit`
  The transaction is a deposit of Telegram Stars by another user; relevant for regular users only.
  `static class`
  `TdApi.StartScheduledVideoChat`
  Starts a scheduled video chat.
  `static class`
  `TdApi.StatisticalGraph`
  This class is an abstract base class.
  `static class`
  `TdApi.StatisticalGraphAsync`
  The graph data to be asynchronously loaded through getStatisticalGraph.
  `static class`
  `TdApi.StatisticalGraphData`
  A graph data.
  `static class`
  `TdApi.StatisticalGraphError`
  An error message to be shown to the user instead of the graph.
  `static class`
  `TdApi.StatisticalValue`
  A value with information about its recent changes.
  `static class`
  `TdApi.Sticker`
  Describes a sticker.
  `static class`
  `TdApi.StickerFormat`
  This class is an abstract base class.
  `static class`
  `TdApi.StickerFormatTgs`
  The sticker is an animation in TGS format.
  `static class`
  `TdApi.StickerFormatWebm`
  The sticker is a video in WEBM format.
  `static class`
  `TdApi.StickerFormatWebp`
  The sticker is an image in WEBP format.
  `static class`
  `TdApi.StickerFullType`
  This class is an abstract base class.
  `static class`
  `TdApi.StickerFullTypeCustomEmoji`
  The sticker is a custom emoji to be used inside message text and caption.
  `static class`
  `TdApi.StickerFullTypeMask`
  The sticker is a mask in WEBP format to be placed on photos or videos.
  `static class`
  `TdApi.StickerFullTypeRegular`
  The sticker is a regular sticker.
  `static class`
  `TdApi.Stickers`
  Represents a list of stickers.
  `static class`
  `TdApi.StickerSet`
  Represents a sticker set.
  `static class`
  `TdApi.StickerSetInfo`
  Represents short information about a sticker set.
  `static class`
  `TdApi.StickerSets`
  Represents a list of sticker sets.
  `static class`
  `TdApi.StickerType`
  This class is an abstract base class.
  `static class`
  `TdApi.StickerTypeCustomEmoji`
  The sticker is a custom emoji to be used inside message text and caption.
  `static class`
  `TdApi.StickerTypeMask`
  The sticker is a mask in WEBP format to be placed on photos or videos.
  `static class`
  `TdApi.StickerTypeRegular`
  The sticker is a regular sticker.
  `static class`
  `TdApi.StopBusinessPoll`
  Stops a poll sent on behalf of a business account; for bots only.
  `static class`
  `TdApi.StopPoll`
  Stops a poll.
  `static class`
  `TdApi.StorageStatistics`
  Contains the exact storage usage statistics split by chats and file type.
  `static class`
  `TdApi.StorageStatisticsByChat`
  Contains the storage usage statistics for a specific chat.
  `static class`
  `TdApi.StorageStatisticsByFileType`
  Contains the storage usage statistics for a specific file type.
  `static class`
  `TdApi.StorageStatisticsFast`
  Contains approximate storage usage statistics, excluding files of unknown file type.
  `static class`
  `TdApi.StorePaymentPurpose`
  This class is an abstract base class.
  `static class`
  `TdApi.StorePaymentPurposeGiftedStars`
  The user buying Telegram Stars for other users.
  `static class`
  `TdApi.StorePaymentPurposePremiumGift`
  The user gifting Telegram Premium to another user.
  `static class`
  `TdApi.StorePaymentPurposePremiumGiftCodes`
  The user boosting a chat by creating Telegram Premium gift codes for other users.
  `static class`
  `TdApi.StorePaymentPurposePremiumGiveaway`
  The user creating a Telegram Premium giveaway.
  `static class`
  `TdApi.StorePaymentPurposePremiumSubscription`
  The user subscribing to Telegram Premium.
  `static class`
  `TdApi.StorePaymentPurposeStarGiveaway`
  The user creating a Telegram Star giveaway.
  `static class`
  `TdApi.StorePaymentPurposeStars`
  The user buying Telegram Stars.
  `static class`
  `TdApi.StoreTransaction`
  This class is an abstract base class.
  `static class`
  `TdApi.StoreTransactionAppStore`
  A purchase through App Store.
  `static class`
  `TdApi.StoreTransactionGooglePlay`
  A purchase through Google Play.
  `static class`
  `TdApi.Stories`
  Represents a list of stories.
  `static class`
  `TdApi.Story`
  Represents a story.
  `static class`
  `TdApi.StoryAlbum`
  Describes album of stories.
  `static class`
  `TdApi.StoryAlbums`
  Represents a list of story albums.
  `static class`
  `TdApi.StoryArea`
  Describes a clickable rectangle area on a story media.
  `static class`
  `TdApi.StoryAreaPosition`
  Describes position of a clickable rectangle area on a story media.
  `static class`
  `TdApi.StoryAreaType`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryAreaTypeLink`
  An area pointing to a HTTP or tg:// link.
  `static class`
  `TdApi.StoryAreaTypeLocation`
  An area pointing to a location.
  `static class`
  `TdApi.StoryAreaTypeMessage`
  An area pointing to a message.
  `static class`
  `TdApi.StoryAreaTypeSuggestedReaction`
  An area pointing to a suggested reaction.
  `static class`
  `TdApi.StoryAreaTypeUpgradedGift`
  An area with an upgraded gift.
  `static class`
  `TdApi.StoryAreaTypeVenue`
  An area pointing to a venue.
  `static class`
  `TdApi.StoryAreaTypeWeather`
  An area with information about weather.
  `static class`
  `TdApi.StoryContent`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryContentLive`
  A live story.
  `static class`
  `TdApi.StoryContentPhoto`
  A photo story.
  `static class`
  `TdApi.StoryContentType`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryContentTypeLive`
  A live story.
  `static class`
  `TdApi.StoryContentTypePhoto`
  A photo story.
  `static class`
  `TdApi.StoryContentTypeUnsupported`
  A story of unknown content type.
  `static class`
  `TdApi.StoryContentTypeVideo`
  A video story.
  `static class`
  `TdApi.StoryContentUnsupported`
  A story content that is not supported in the current TDLib version.
  `static class`
  `TdApi.StoryContentVideo`
  A video story.
  `static class`
  `TdApi.StoryFullId`
  Contains identifier of a story along with identifier of the chat that posted it.
  `static class`
  `TdApi.StoryInfo`
  Contains basic information about a story.
  `static class`
  `TdApi.StoryInteraction`
  Represents interaction with a story.
  `static class`
  `TdApi.StoryInteractionInfo`
  Contains information about interactions with a story.
  `static class`
  `TdApi.StoryInteractions`
  Represents a list of interactions with a story.
  `static class`
  `TdApi.StoryInteractionType`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryInteractionTypeForward`
  A forward of the story as a message.
  `static class`
  `TdApi.StoryInteractionTypeRepost`
  A repost of the story as a story.
  `static class`
  `TdApi.StoryInteractionTypeView`
  A view of the story.
  `static class`
  `TdApi.StoryList`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryListArchive`
  The list of stories, shown in the Arvhive chat list.
  `static class`
  `TdApi.StoryListMain`
  The list of stories, shown in the main chat list and folder chat lists.
  `static class`
  `TdApi.StoryOrigin`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryOriginHiddenUser`
  The original story was posted by an unknown user.
  `static class`
  `TdApi.StoryOriginPublicStory`
  The original story was a public story that was posted by a known chat.
  `static class`
  `TdApi.StoryPrivacySettings`
  This class is an abstract base class.
  `static class`
  `TdApi.StoryPrivacySettingsCloseFriends`
  The story can be viewed by all close friends.
  `static class`
  `TdApi.StoryPrivacySettingsContacts`
  The story can be viewed by all contacts except chosen users.
  `static class`
  `TdApi.StoryPrivacySettingsEveryone`
  The story can be viewed by everyone.
  `static class`
  `TdApi.StoryPrivacySettingsSelectedUsers`
  The story can be viewed by certain specified users.
  `static class`
  `TdApi.StoryRepostInfo`
  Contains information about original story that was reposted.
  `static class`
  `TdApi.StoryStatistics`
  A detailed statistics about a story.
  `static class`
  `TdApi.StoryVideo`
  Describes a video file posted as a story.
  `static class`
  `TdApi.SuggestedAction`
  This class is an abstract base class.
  `static class`
  `TdApi.SuggestedActionAddLoginPasskey`
  Suggests the user to add a passkey for login using addLoginPasskey.
  `static class`
  `TdApi.SuggestedActionCheckPassword`
  Suggests the user to check whether they still remember their 2-step verification password.
  `static class`
  `TdApi.SuggestedActionCheckPhoneNumber`
  Suggests the user to check whether authorization phone number is correct and change the phone number if it is inaccessible.
  `static class`
  `TdApi.SuggestedActionConvertToBroadcastGroup`
  Suggests the user to convert specified supergroup to a broadcast group.
  `static class`
  `TdApi.SuggestedActionCustom`
  A custom suggestion to be shown at the top of the chat list.
  `static class`
  `TdApi.SuggestedActionEnableArchiveAndMuteNewChats`
  Suggests the user to enable archiveAndMuteNewChatsFromUnknownUsers setting in archiveChatListSettings.
  `static class`
  `TdApi.SuggestedActionExtendPremium`
  Suggests the user to extend their expiring Telegram Premium subscription.
  `static class`
  `TdApi.SuggestedActionExtendStarSubscriptions`
  Suggests the user to extend their expiring Telegram Star subscriptions.
  `static class`
  `TdApi.SuggestedActionGiftPremiumForChristmas`
  Suggests the user to gift Telegram Premium to friends for Christmas.
  `static class`
  `TdApi.SuggestedActionRestorePremium`
  Suggests the user to restore a recently expired Premium subscription.
  `static class`
  `TdApi.SuggestedActionSetBirthdate`
  Suggests the user to set birthdate.
  `static class`
  `TdApi.SuggestedActionSetLoginEmailAddress`
  Suggests the user to add login email address.
  `static class`
  `TdApi.SuggestedActionSetPassword`
  Suggests the user to set a 2-step verification password to be able to log in again.
  `static class`
  `TdApi.SuggestedActionSetProfilePhoto`
  Suggests the user to set profile photo.
  `static class`
  `TdApi.SuggestedActionSubscribeToAnnualPremium`
  Suggests the user to subscribe to the Premium subscription with annual payments.
  `static class`
  `TdApi.SuggestedActionUpgradePremium`
  Suggests the user to upgrade the Premium subscription from monthly payments to annual payments.
  `static class`
  `TdApi.SuggestedActionViewChecksHint`
  Suggests the user to view a hint about the meaning of one and two check marks on sent messages.
  `static class`
  `TdApi.SuggestedPostInfo`
  Contains information about a suggested post.
  `static class`
  `TdApi.SuggestedPostPrice`
  This class is an abstract base class.
  `static class`
  `TdApi.SuggestedPostPriceStar`
  Describes price of a suggested post in Telegram Stars.
  `static class`
  `TdApi.SuggestedPostPriceTon`
  Describes price of a suggested post in Toncoins.
  `static class`
  `TdApi.SuggestedPostRefundReason`
  This class is an abstract base class.
  `static class`
  `TdApi.SuggestedPostRefundReasonPaymentRefunded`
  The post was refunded, because the payment for the post was refunded.
  `static class`
  `TdApi.SuggestedPostRefundReasonPostDeleted`
  The post was refunded, because it was deleted by channel administrators in less than getOption("suggested_post_lifetime_min") seconds.
  `static class`
  `TdApi.SuggestedPostState`
  This class is an abstract base class.
  `static class`
  `TdApi.SuggestedPostStateApproved`
  The post was approved.
  `static class`
  `TdApi.SuggestedPostStateDeclined`
  The post was declined.
  `static class`
  `TdApi.SuggestedPostStatePending`
  The post must be approved or declined.
  `static class`
  `TdApi.SuggestUserBirthdate`
  Suggests a birthdate to another regular user with common messages and allowing non-paid messages.
  `static class`
  `TdApi.SuggestUserProfilePhoto`
  Suggests a profile photo to another regular user with common messages and allowing non-paid messages.
  `static class`
  `TdApi.SummarizeMessage`
  Summarizes content of the message with non-empty summaryLanguageCode.
  `static class`
  `TdApi.Supergroup`
  Represents a supergroup or channel with zero or more members (subscribers in the case of channels).
  `static class`
  `TdApi.SupergroupFullInfo`
  Contains full information about a supergroup or channel.
  `static class`
  `TdApi.SupergroupMembersFilter`
  This class is an abstract base class.
  `static class`
  `TdApi.SupergroupMembersFilterAdministrators`
  Returns the owner and administrators.
  `static class`
  `TdApi.SupergroupMembersFilterBanned`
  Returns users banned from the supergroup or channel; can be used only by administrators.
  `static class`
  `TdApi.SupergroupMembersFilterBots`
  Returns bot members of the supergroup or channel.
  `static class`
  `TdApi.SupergroupMembersFilterContacts`
  Returns contacts of the user, which are members of the supergroup or channel.
  `static class`
  `TdApi.SupergroupMembersFilterMention`
  Returns users which can be mentioned in the supergroup.
  `static class`
  `TdApi.SupergroupMembersFilterRecent`
  Returns recently active users in reverse chronological order.
  `static class`
  `TdApi.SupergroupMembersFilterRestricted`
  Returns restricted supergroup members; can be used only by administrators.
  `static class`
  `TdApi.SupergroupMembersFilterSearch`
  Used to search for supergroup or channel members via a (string) query.
  `static class`
  `TdApi.SynchronizeLanguagePack`
  Fetches the latest versions of all strings from a language pack in the current localization target from the server.
  `static class`
  `TdApi.TargetChat`
  This class is an abstract base class.
  `static class`
  `TdApi.TargetChatChosen`
  The chat needs to be chosen by the user among chats of the specified types.
  `static class`
  `TdApi.TargetChatCurrent`
  The currently opened chat and forum topic must be kept.
  `static class`
  `TdApi.TargetChatInternalLink`
  The chat needs to be open with the provided internal link.
  `static class`
  `TdApi.TargetChatTypes`
  Describes allowed types for the target chat.
  `static class`
  `TdApi.TelegramPaymentPurpose`
  This class is an abstract base class.
  `static class`
  `TdApi.TelegramPaymentPurposeGiftedStars`
  The user buying Telegram Stars for other users.
  `static class`
  `TdApi.TelegramPaymentPurposeJoinChat`
  The user joins a chat and subscribes to regular payments in Telegram Stars.
  `static class`
  `TdApi.TelegramPaymentPurposePremiumGift`
  The user gifting Telegram Premium to another user.
  `static class`
  `TdApi.TelegramPaymentPurposePremiumGiftCodes`
  The user boosting a chat by creating Telegram Premium gift codes for other users.
  `static class`
  `TdApi.TelegramPaymentPurposePremiumGiveaway`
  The user creating a Telegram Premium giveaway.
  `static class`
  `TdApi.TelegramPaymentPurposeStarGiveaway`
  The user creating a Telegram Star giveaway.
  `static class`
  `TdApi.TelegramPaymentPurposeStars`
  The user buying Telegram Stars.
  `static class`
  `TdApi.TemporaryPasswordState`
  Returns information about the availability of a temporary password, which can be used for payments.
  `static class`
  `TdApi.TerminateAllOtherSessions`
  Terminates all other sessions of the current user.
  `static class`
  `TdApi.TerminateSession`
  Terminates a session of the current user.
  `static class`
  `TdApi.TermsOfService`
  Contains Telegram terms of service.
  `static class`
  `TdApi.TestBytes`
  A simple object containing a sequence of bytes; for testing only.
  `static class`
  `TdApi.TestCallBytes`
  Returns the received bytes; for testing only.
  `static class`
  `TdApi.TestCallEmpty`
  Does nothing; for testing only.
  `static class`
  `TdApi.TestCallString`
  Returns the received string; for testing only.
  `static class`
  `TdApi.TestCallVectorInt`
  Returns the received vector of numbers; for testing only.
  `static class`
  `TdApi.TestCallVectorIntObject`
  Returns the received vector of objects containing a number; for testing only.
  `static class`
  `TdApi.TestCallVectorString`
  Returns the received vector of strings; for testing only.
  `static class`
  `TdApi.TestCallVectorStringObject`
  Returns the received vector of objects containing a string; for testing only.
  `static class`
  `TdApi.TestGetDifference`
  Forces an updates.getDifference call to the Telegram servers; for testing only.
  `static class`
  `TdApi.TestInt`
  A simple object containing a number; for testing only.
  `static class`
  `TdApi.TestNetwork`
  Sends a simple network request to the Telegram servers; for testing only.
  `static class`
  `TdApi.TestProxy`
  Sends a simple network request to the Telegram servers via proxy; for testing only.
  `static class`
  `TdApi.TestReturnError`
  Returns the specified error and ensures that the Error object is used; for testing only.
  `static class`
  `TdApi.TestSquareInt`
  Returns the squared received number; for testing only.
  `static class`
  `TdApi.TestString`
  A simple object containing a string; for testing only.
  `static class`
  `TdApi.TestUseUpdate`
  Does nothing and ensures that the Update object is used; for testing only.
  `static class`
  `TdApi.TestVectorInt`
  A simple object containing a vector of numbers; for testing only.
  `static class`
  `TdApi.TestVectorIntObject`
  A simple object containing a vector of objects that hold a number; for testing only.
  `static class`
  `TdApi.TestVectorString`
  A simple object containing a vector of strings; for testing only.
  `static class`
  `TdApi.TestVectorStringObject`
  A simple object containing a vector of objects that hold a string; for testing only.
  `static class`
  `TdApi.Text`
  Contains some text.
  `static class`
  `TdApi.TextCompositionStyle`
  Describes a style that can be used to compose a text.
  `static class`
  `TdApi.TextCompositionStyleExample`
  Contains an example of text composition style usage.
  `static class`
  `TdApi.TextEntities`
  Contains a list of text entities.
  `static class`
  `TdApi.TextEntity`
  Represents a part of the text that needs to be formatted in some unusual way.
  `static class`
  `TdApi.TextEntityType`
  This class is an abstract base class.
  `static class`
  `TdApi.TextEntityTypeBankCardNumber`
  A bank card number.
  `static class`
  `TdApi.TextEntityTypeBlockQuote`
  Text that must be formatted as if inside a blockquote HTML tag; not supported in secret chats.
  `static class`
  `TdApi.TextEntityTypeBold`
  A bold text.
  `static class`
  `TdApi.TextEntityTypeBotCommand`
  A bot command, beginning with "/".
  `static class`
  `TdApi.TextEntityTypeCashtag`
  A cashtag text, beginning with "$", consisting of capital English letters (e.g., "$USD"), and optionally containing a chat username at the end.
  `static class`
  `TdApi.TextEntityTypeCode`
  Text that must be formatted as if inside a code HTML tag.
  `static class`
  `TdApi.TextEntityTypeCustomEmoji`
  A custom emoji.
  `static class`
  `TdApi.TextEntityTypeDateTime`
  A date and time.
  `static class`
  `TdApi.TextEntityTypeEmailAddress`
  An email address.
  `static class`
  `TdApi.TextEntityTypeExpandableBlockQuote`
  Text that must be formatted as if inside a blockquote HTML tag and collapsed by default to 3 lines with the ability to show full text; not supported in secret chats.
  `static class`
  `TdApi.TextEntityTypeHashtag`
  A hashtag text, beginning with "#" and optionally containing a chat username at the end.
  `static class`
  `TdApi.TextEntityTypeItalic`
  An italic text.
  `static class`
  `TdApi.TextEntityTypeMediaTimestamp`
  A media timestamp.
  `static class`
  `TdApi.TextEntityTypeMention`
  A mention of a user, a supergroup, or a channel by their username.
  `static class`
  `TdApi.TextEntityTypeMentionName`
  A text shows instead of a raw mention of the user (e.g., when the user has no username).
  `static class`
  `TdApi.TextEntityTypePhoneNumber`
  A phone number.
  `static class`
  `TdApi.TextEntityTypePre`
  Text that must be formatted as if inside a pre HTML tag.
  `static class`
  `TdApi.TextEntityTypePreCode`
  Text that must be formatted as if inside pre, and code HTML tags.
  `static class`
  `TdApi.TextEntityTypeSpoiler`
  A spoiler text.
  `static class`
  `TdApi.TextEntityTypeStrikethrough`
  A strikethrough text.
  `static class`
  `TdApi.TextEntityTypeTextUrl`
  A text description shown instead of a raw URL.
  `static class`
  `TdApi.TextEntityTypeUnderline`
  An underlined text.
  `static class`
  `TdApi.TextEntityTypeUrl`
  An HTTP URL.
  `static class`
  `TdApi.TextParseMode`
  This class is an abstract base class.
  `static class`
  `TdApi.TextParseModeHTML`
  The text uses HTML-style formatting.
  `static class`
  `TdApi.TextParseModeMarkdown`
  The text uses Markdown-style formatting.
  `static class`
  `TdApi.TextQuote`
  Describes manually or automatically chosen quote from another message.
  `static class`
  `TdApi.ThemeParameters`
  Contains parameters of the application theme.
  `static class`
  `TdApi.ThemeSettings`
  Describes theme settings.
  `static class`
  `TdApi.Thumbnail`
  Represents a thumbnail.
  `static class`
  `TdApi.ThumbnailFormat`
  This class is an abstract base class.
  `static class`
  `TdApi.ThumbnailFormatGif`
  The thumbnail is in static GIF format.
  `static class`
  `TdApi.ThumbnailFormatJpeg`
  The thumbnail is in JPEG format.
  `static class`
  `TdApi.ThumbnailFormatMpeg4`
  The thumbnail is in MPEG4 format.
  `static class`
  `TdApi.ThumbnailFormatPng`
  The thumbnail is in PNG format.
  `static class`
  `TdApi.ThumbnailFormatTgs`
  The thumbnail is in TGS format.
  `static class`
  `TdApi.ThumbnailFormatWebm`
  The thumbnail is in WEBM format.
  `static class`
  `TdApi.ThumbnailFormatWebp`
  The thumbnail is in WEBP format.
  `static class`
  `TdApi.TimeZone`
  Describes a time zone.
  `static class`
  `TdApi.TimeZones`
  Contains a list of time zones.
  `static class`
  `TdApi.TMeUrl`
  Represents a URL linking to an internal Telegram entity.
  `static class`
  `TdApi.TMeUrls`
  Contains a list of t.me URLs.
  `static class`
  `TdApi.TMeUrlType`
  This class is an abstract base class.
  `static class`
  `TdApi.TMeUrlTypeChatInvite`
  A chat invite link.
  `static class`
  `TdApi.TMeUrlTypeStickerSet`
  A URL linking to a sticker set.
  `static class`
  `TdApi.TMeUrlTypeSupergroup`
  A URL linking to a public supergroup or channel.
  `static class`
  `TdApi.TMeUrlTypeUser`
  A URL linking to a user.
  `static class`
  `TdApi.ToggleAllDownloadsArePaused`
  Changes pause state of all files in the file download list.
  `static class`
  `TdApi.ToggleBotCanManageEmojiStatus`
  Toggles whether the bot can manage emoji status of the current user.
  `static class`
  `TdApi.ToggleBotIsAddedToAttachmentMenu`
  Adds or removes a bot to attachment and side menu.
  `static class`
  `TdApi.ToggleBotUsernameIsActive`
  Changes active state for a username of a bot.
  `static class`
  `TdApi.ToggleBusinessConnectedBotChatIsPaused`
  Pauses or resumes the connected business bot in a specific chat.
  `static class`
  `TdApi.ToggleChatDefaultDisableNotification`
  Changes the value of the default disableNotification parameter, used when a message is sent to a chat.
  `static class`
  `TdApi.ToggleChatFolderTags`
  Toggles whether chat folder tags are enabled.
  `static class`
  `TdApi.ToggleChatGiftNotifications`
  Toggles whether notifications for new gifts received by a channel chat are sent to the current user; requires canPostMessages administrator right in the chat.
  `static class`
  `TdApi.ToggleChatHasProtectedContent`
  Changes the ability of users to save, forward, or copy chat content.
  `static class`
  `TdApi.ToggleChatIsMarkedAsUnread`
  Changes the marked as unread state of a chat.
  `static class`
  `TdApi.ToggleChatIsPinned`
  Changes the pinned state of a chat.
  `static class`
  `TdApi.ToggleChatIsTranslatable`
  Changes the translatable state of a chat.
  `static class`
  `TdApi.ToggleChatViewAsTopics`
  Changes the viewAsTopics setting of a forum chat or Saved Messages.
  `static class`
  `TdApi.ToggleDirectMessagesChatTopicCanSendUnpaidMessages`
  Allows to send unpaid messages to the given topic of the channel direct messages chat administered by the current user.
  `static class`
  `TdApi.ToggleDownloadIsPaused`
  Changes pause state of a file in the file download list.
  `static class`
  `TdApi.ToggleForumTopicIsClosed`
  Toggles whether a topic is closed in a forum supergroup chat; requires canManageTopics administrator right in the supergroup unless the user is creator of the topic.
  `static class`
  `TdApi.ToggleForumTopicIsPinned`
  Changes the pinned state of a topic in a forum supergroup chat or a chat with a bot with topics; requires canManageTopics administrator right in the supergroup.
  `static class`
  `TdApi.ToggleGeneralForumTopicIsHidden`
  Toggles whether a General topic is hidden in a forum supergroup chat; requires canManageTopics administrator right in the supergroup.
  `static class`
  `TdApi.ToggleGiftIsSaved`
  Toggles whether a gift is shown on the current user's or the channel's profile page; requires canPostMessages administrator right in the channel chat.
  `static class`
  `TdApi.ToggleGroupCallAreMessagesAllowed`
  Toggles whether participants of a group call can send messages there.
  `static class`
  `TdApi.ToggleGroupCallIsMyVideoEnabled`
  Toggles whether current user's video is enabled.
  `static class`
  `TdApi.ToggleGroupCallIsMyVideoPaused`
  Toggles whether current user's video is paused.
  `static class`
  `TdApi.ToggleGroupCallParticipantIsHandRaised`
  Toggles whether a group call participant hand is rased; for video chats only.
  `static class`
  `TdApi.ToggleGroupCallParticipantIsMuted`
  Toggles whether a participant of an active group call is muted, unmuted, or allowed to unmute themselves; not supported for live stories.
  `static class`
  `TdApi.ToggleGroupCallScreenSharingIsPaused`
  Pauses or unpauses screen sharing in a joined group call; not supported in live stories.
  `static class`
  `TdApi.ToggleHasSponsoredMessagesEnabled`
  Toggles whether the current user has sponsored messages enabled.
  `static class`
  `TdApi.ToggleSavedMessagesTopicIsPinned`
  Changes the pinned state of a Saved Messages topic.
  `static class`
  `TdApi.ToggleSessionCanAcceptCalls`
  Toggles whether a session can accept incoming calls.
  `static class`
  `TdApi.ToggleSessionCanAcceptSecretChats`
  Toggles whether a session can accept incoming secret chats.
  `static class`
  `TdApi.ToggleStoryIsPostedToChatPage`
  Toggles whether a story is accessible after expiration.
  `static class`
  `TdApi.ToggleSupergroupCanHaveSponsoredMessages`
  Toggles whether sponsored messages are shown in the channel chat; requires owner privileges in the channel.
  `static class`
  `TdApi.ToggleSupergroupHasAggressiveAntiSpamEnabled`
  Toggles whether aggressive anti-spam checks are enabled in the supergroup.
  `static class`
  `TdApi.ToggleSupergroupHasAutomaticTranslation`
  Toggles whether messages are automatically translated in the channel chat; requires canChangeInfo administrator right in the channel.
  `static class`
  `TdApi.ToggleSupergroupHasHiddenMembers`
  Toggles whether non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.
  `static class`
  `TdApi.ToggleSupergroupIsAllHistoryAvailable`
  Toggles whether the message history of a supergroup is available to new members; requires canChangeInfo member right.
  `static class`
  `TdApi.ToggleSupergroupIsBroadcastGroup`
  Upgrades supergroup to a broadcast group; requires owner privileges in the supergroup.
  `static class`
  `TdApi.ToggleSupergroupIsForum`
  Toggles whether the supergroup is a forum; requires owner privileges in the supergroup.
  `static class`
  `TdApi.ToggleSupergroupJoinByRequest`
  Toggles whether all users directly joining the supergroup need to be approved by supergroup administrators; requires canRestrictMembers administrator right.
  `static class`
  `TdApi.ToggleSupergroupJoinToSendMessages`
  Toggles whether joining is mandatory to send messages to a discussion supergroup; requires canRestrictMembers administrator right.
  `static class`
  `TdApi.ToggleSupergroupSignMessages`
  Toggles whether sender signature or link to the account is added to sent messages in a channel; requires canChangeInfo member right.
  `static class`
  `TdApi.ToggleSupergroupUsernameIsActive`
  Changes active state for a username of a supergroup or channel, requires owner privileges in the supergroup or channel.
  `static class`
  `TdApi.ToggleUsernameIsActive`
  Changes active state for a username of the current user.
  `static class`
  `TdApi.ToggleVideoChatEnabledStartNotification`
  Toggles whether the current user will receive a notification when the video chat starts; for scheduled video chats only.
  `static class`
  `TdApi.ToggleVideoChatMuteNewParticipants`
  Toggles whether new participants of a video chat can be unmuted only by administrators of the video chat.
  `static class`
  `TdApi.TonRevenueStatistics`
  A detailed statistics about Toncoins earned by the current user.
  `static class`
  `TdApi.TonRevenueStatus`
  Contains information about Toncoins earned by the current user.
  `static class`
  `TdApi.TonTransaction`
  Represents a transaction changing the amount of owned Toncoins.
  `static class`
  `TdApi.TonTransactions`
  Represents a list of Toncoin transactions.
  `static class`
  `TdApi.TonTransactionType`
  This class is an abstract base class.
  `static class`
  `TdApi.TonTransactionTypeFragmentDeposit`
  The transaction is a deposit of Toncoins from Fragment.
  `static class`
  `TdApi.TonTransactionTypeFragmentWithdrawal`
  The transaction is a withdrawal of earned Toncoins to Fragment.
  `static class`
  `TdApi.TonTransactionTypeGiftPurchaseOffer`
  The transaction is an offer of gift purchase.
  `static class`
  `TdApi.TonTransactionTypeStakeDicePayout`
  The transaction is a payment for successful stake dice throw.
  `static class`
  `TdApi.TonTransactionTypeStakeDiceStake`
  The transaction is a payment for stake dice throw.
  `static class`
  `TdApi.TonTransactionTypeSuggestedPostPayment`
  The transaction is a payment for a suggested post.
  `static class`
  `TdApi.TonTransactionTypeUnsupported`
  The transaction is a transaction of an unsupported type.
  `static class`
  `TdApi.TonTransactionTypeUpgradedGiftPurchase`
  The transaction is a purchase of an upgraded gift for some user or channel.
  `static class`
  `TdApi.TonTransactionTypeUpgradedGiftSale`
  The transaction is a sale of an upgraded gift.
  `static class`
  `TdApi.TopChatCategory`
  This class is an abstract base class.
  `static class`
  `TdApi.TopChatCategoryBots`
  A category containing frequently used private chats with bot users.
  `static class`
  `TdApi.TopChatCategoryCalls`
  A category containing frequently used chats used for calls.
  `static class`
  `TdApi.TopChatCategoryChannels`
  A category containing frequently used channels.
  `static class`
  `TdApi.TopChatCategoryForwardChats`
  A category containing frequently used chats used to forward messages.
  `static class`
  `TdApi.TopChatCategoryGroups`
  A category containing frequently used basic groups and supergroups.
  `static class`
  `TdApi.TopChatCategoryGuestBots`
  A category containing frequently used chats with bots, which were used as guest bots.
  `static class`
  `TdApi.TopChatCategoryInlineBots`
  A category containing frequently used chats with inline bots sorted by their usage in inline mode.
  `static class`
  `TdApi.TopChatCategoryUsers`
  A category containing frequently used private chats with non-bot users.
  `static class`
  `TdApi.TopChatCategoryWebAppBots`
  A category containing frequently used chats with bots, which Web Apps were opened.
  `static class`
  `TdApi.TransactionDirection`
  This class is an abstract base class.
  `static class`
  `TdApi.TransactionDirectionIncoming`
  The transaction is incoming and increases the amount of owned currency.
  `static class`
  `TdApi.TransactionDirectionOutgoing`
  The transaction is outgoing and decreases the amount of owned currency.
  `static class`
  `TdApi.TransferBusinessAccountStars`
  Transfers Telegram Stars from the business account to the business bot; for bots only.
  `static class`
  `TdApi.TransferChatOwnership`
  Changes the owner of a chat; for basic groups, supergroups and channel chats only; requires owner privileges in the chat.
  `static class`
  `TdApi.TransferGift`
  Sends an upgraded gift to another user or channel chat.
  `static class`
  `TdApi.TranslateMessageText`
  Extracts text or caption of the given message and translates it to the given language; must not be used in secret chats.
  `static class`
  `TdApi.TranslateText`
  Translates a text to the given language; must not be used in secret chats.
  `static class`
  `TdApi.TrendingStickerSets`
  Represents a list of trending sticker sets.
  `static class`
  `TdApi.UnconfirmedSession`
  Contains information about an unconfirmed session.
  `static class`
  `TdApi.UnpinAllChatMessages`
  Removes all pinned messages from a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.
  `static class`
  `TdApi.UnpinAllDirectMessagesChatTopicMessages`
  Removes all pinned messages from the topic in a channel direct messages chat administered by the current user.
  `static class`
  `TdApi.UnpinAllForumTopicMessages`
  Removes all pinned messages from a topic in a forum supergroup chat or a chat with a bot with topics; requires canPinMessages member right in the supergroup.
  `static class`
  `TdApi.UnpinChatMessage`
  Removes a pinned message from a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.
  `static class`
  `TdApi.UnreadReaction`
  Contains information about an unread reaction to a message.
  `static class`
  `TdApi.Update`
  This class is an abstract base class.
  `static class`
  `TdApi.UpdateAccentColors`
  The list of supported accent colors has changed.
  `static class`
  `TdApi.UpdateActiveEmojiReactions`
  The list of active emoji reactions has changed.
  `static class`
  `TdApi.UpdateActiveGiftAuctions`
  The list of auctions in which participate the current user has changed.
  `static class`
  `TdApi.UpdateActiveLiveLocationMessages`
  The list of messages with active live location that need to be updated by the application has changed.
  `static class`
  `TdApi.UpdateActiveNotifications`
  Contains active notifications that were shown on previous application launches.
  `static class`
  `TdApi.UpdateAgeVerificationParameters`
  The parameters for age verification of the current user's account has changed.
  `static class`
  `TdApi.UpdateAnimatedEmojiMessageClicked`
  Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.
  `static class`
  `TdApi.UpdateAnimationSearchParameters`
  The parameters of animation search through getOption("animation_search_bot_username") bot has changed.
  `static class`
  `TdApi.UpdateApplicationRecaptchaVerificationRequired`
  A request can't be completed unless reCAPTCHA verification is performed; for official mobile applications only.
  `static class`
  `TdApi.UpdateApplicationVerificationRequired`
  A request can't be completed unless application verification is performed; for official mobile applications only.
  `static class`
  `TdApi.UpdateAttachmentMenuBots`
  The list of bots added to attachment or side menu has changed.
  `static class`
  `TdApi.UpdateAuthorizationState`
  The user authorization state has changed.
  `static class`
  `TdApi.UpdateAutosaveSettings`
  Autosave settings for some type of chats were updated.
  `static class`
  `TdApi.UpdateAvailableMessageEffects`
  The list of available message effects has changed.
  `static class`
  `TdApi.UpdateBasicGroup`
  Some data of a basic group has changed.
  `static class`
  `TdApi.UpdateBasicGroupFullInfo`
  Some data in basicGroupFullInfo has been changed.
  `static class`
  `TdApi.UpdateBusinessConnection`
  A business connection has changed; for bots only.
  `static class`
  `TdApi.UpdateBusinessMessageEdited`
  A message in a business account was edited; for bots only.
  `static class`
  `TdApi.UpdateBusinessMessagesDeleted`
  Messages in a business account were deleted; for bots only.
  `static class`
  `TdApi.UpdateCall`
  New call was created or information about a call was updated.
  `static class`
  `TdApi.UpdateChatAccentColors`
  Chat accent colors have changed.
  `static class`
  `TdApi.UpdateChatAction`
  A message sender activity in the chat has changed.
  `static class`
  `TdApi.UpdateChatActionBar`
  The chat action bar was changed.
  `static class`
  `TdApi.UpdateChatActiveStories`
  The list of active stories posted by a specific chat has changed.
  `static class`
  `TdApi.UpdateChatAddedToList`
  A chat was added to a chat list.
  `static class`
  `TdApi.UpdateChatAvailableReactions`
  The chat available reactions were changed.
  `static class`
  `TdApi.UpdateChatBackground`
  The chat background was changed.
  `static class`
  `TdApi.UpdateChatBlockList`
  A chat was blocked or unblocked.
  `static class`
  `TdApi.UpdateChatBoost`
  A chat boost has changed; for bots only.
  `static class`
  `TdApi.UpdateChatBusinessBotManageBar`
  The bar for managing business bot was changed in a chat.
  `static class`
  `TdApi.UpdateChatDefaultDisableNotification`
  The value of the default disableNotification parameter, used when a message is sent to the chat, was changed.
  `static class`
  `TdApi.UpdateChatDraftMessage`
  A chat draft has changed.
  `static class`
  `TdApi.UpdateChatEmojiStatus`
  Chat emoji status has changed.
  `static class`
  `TdApi.UpdateChatFolders`
  The list of chat folders or a chat folder has changed.
  `static class`
  `TdApi.UpdateChatHasProtectedContent`
  A chat content was allowed or restricted for saving.
  `static class`
  `TdApi.UpdateChatHasScheduledMessages`
  A chat's hasScheduledMessages field has changed.
  `static class`
  `TdApi.UpdateChatIsMarkedAsUnread`
  A chat was marked as unread or was read.
  `static class`
  `TdApi.UpdateChatIsTranslatable`
  Translation of chat messages was enabled or disabled.
  `static class`
  `TdApi.UpdateChatLastMessage`
  The last message of a chat was changed.
  `static class`
  `TdApi.UpdateChatMember`
  User rights changed in a chat; for bots only.
  `static class`
  `TdApi.UpdateChatMessageAutoDeleteTime`
  The message auto-delete or self-destruct timer setting for a chat was changed.
  `static class`
  `TdApi.UpdateChatMessageSender`
  The message sender that is selected to send messages in a chat has changed.
  `static class`
  `TdApi.UpdateChatNotificationSettings`
  Notification settings for a chat were changed.
  `static class`
  `TdApi.UpdateChatOnlineMemberCount`
  The number of online group members has changed.
  `static class`
  `TdApi.UpdateChatPendingJoinRequests`
  The chat pending join requests were changed.
  `static class`
  `TdApi.UpdateChatPermissions`
  Chat permissions were changed.
  `static class`
  `TdApi.UpdateChatPhoto`
  A chat photo was changed.
  `static class`
  `TdApi.UpdateChatPosition`
  The position of a chat in a chat list has changed.
  `static class`
  `TdApi.UpdateChatReadInbox`
  Incoming messages were read or the number of unread messages has been changed.
  `static class`
  `TdApi.UpdateChatReadOutbox`
  Outgoing messages were read.
  `static class`
  `TdApi.UpdateChatRemovedFromList`
  A chat was removed from a chat list.
  `static class`
  `TdApi.UpdateChatReplyMarkup`
  The chat reply markup was changed.
  `static class`
  `TdApi.UpdateChatRevenueAmount`
  The revenue earned from sponsored messages in a chat has changed.
  `static class`
  `TdApi.UpdateChatTheme`
  The chat theme was changed.
  `static class`
  `TdApi.UpdateChatTitle`
  The title of a chat was changed.
  `static class`
  `TdApi.UpdateChatUnreadMentionCount`
  The chat unreadMentionCount has changed.
  `static class`
  `TdApi.UpdateChatUnreadPollVoteCount`
  The chat unreadPollVoteCount has changed.
  `static class`
  `TdApi.UpdateChatUnreadReactionCount`
  The chat unreadReactionCount has changed.
  `static class`
  `TdApi.UpdateChatVideoChat`
  A chat video chat state has changed.
  `static class`
  `TdApi.UpdateChatViewAsTopics`
  A chat default appearance has changed.
  `static class`
  `TdApi.UpdateConnectionState`
  The connection state has changed.
  `static class`
  `TdApi.UpdateContactCloseBirthdays`
  The list of contacts that had birthdays recently or will have birthday soon has changed.
  `static class`
  `TdApi.UpdateDefaultBackground`
  The default background has changed.
  `static class`
  `TdApi.UpdateDefaultPaidReactionType`
  The type of default paid reaction has changed.
  `static class`
  `TdApi.UpdateDefaultReactionType`
  The type of default reaction has changed.
  `static class`
  `TdApi.UpdateDeleteMessages`
  Some messages were deleted.
  `static class`
  `TdApi.UpdateDiceEmojis`
  The list of supported dice emojis has changed.
  `static class`
  `TdApi.UpdateDirectMessagesChatTopic`
  Basic information about a topic in a channel direct messages chat administered by the current user has changed.
  `static class`
  `TdApi.UpdateEmojiChatThemes`
  The list of available emoji chat themes has changed.
  `static class`
  `TdApi.UpdateFavoriteStickers`
  The list of favorite stickers was updated.
  `static class`
  `TdApi.UpdateFile`
  Information about a file was updated.
  `static class`
  `TdApi.UpdateFileAddedToDownloads`
  A file was added to the file download list.
  `static class`
  `TdApi.UpdateFileDownload`
  A file download was changed.
  `static class`
  `TdApi.UpdateFileDownloads`
  The state of the file download list has changed.
  `static class`
  `TdApi.UpdateFileGenerationStart`
  The file generation process needs to be started by the application.
  `static class`
  `TdApi.UpdateFileGenerationStop`
  File generation is no longer needed.
  `static class`
  `TdApi.UpdateFileRemovedFromDownloads`
  A file was removed from the file download list.
  `static class`
  `TdApi.UpdateForumTopic`
  Information about a topic in a forum chat was changed.
  `static class`
  `TdApi.UpdateForumTopicInfo`
  Basic information about a topic in a forum chat was changed.
  `static class`
  `TdApi.UpdateFreezeState`
  The freeze state of the current user's account has changed.
  `static class`
  `TdApi.UpdateGiftAuctionState`
  State of a gift auction was updated.
  `static class`
  `TdApi.UpdateGroupCall`
  Information about a group call was updated.
  `static class`
  `TdApi.UpdateGroupCallMessageLevels`
  The levels of live story group call messages have changed.
  `static class`
  `TdApi.UpdateGroupCallMessagesDeleted`
  Some group call messages were deleted.
  `static class`
  `TdApi.UpdateGroupCallMessageSendFailed`
  A group call message failed to send.
  `static class`
  `TdApi.UpdateGroupCallParticipant`
  Information about a group call participant was changed.
  `static class`
  `TdApi.UpdateGroupCallParticipants`
  The list of group call participants that can send and receive encrypted call data has changed; for group calls not bound to a chat only.
  `static class`
  `TdApi.UpdateGroupCallVerificationState`
  The verification state of an encrypted group call has changed; for group calls not bound to a chat only.
  `static class`
  `TdApi.UpdateHavePendingNotifications`
  Describes whether there are some pending notification updates.
  `static class`
  `TdApi.UpdateInstalledStickerSets`
  The list of installed sticker sets was updated.
  `static class`
  `TdApi.UpdateLanguagePackStrings`
  Some language pack strings have been updated.
  `static class`
  `TdApi.UpdateLiveStoryTopDonors`
  The list of top donors in live story group call has changed.
  `static class`
  `TdApi.UpdateManagedBot`
  A bot that can be managed by the current bot was created or updated; for bots only.
  `static class`
  `TdApi.UpdateMessageContainsUnreadPollVotes`
  Unread votes were added or removed from a poll message.
  `static class`
  `TdApi.UpdateMessageContent`
  The message content has changed.
  `static class`
  `TdApi.UpdateMessageContentOpened`
  The message content was opened.
  `static class`
  `TdApi.UpdateMessageEdited`
  A message was edited.
  `static class`
  `TdApi.UpdateMessageFactCheck`
  A fact-check added to a message was changed.
  `static class`
  `TdApi.UpdateMessageInteractionInfo`
  The information about interactions with a message has changed.
  `static class`
  `TdApi.UpdateMessageIsPinned`
  The message pinned state was changed.
  `static class`
  `TdApi.UpdateMessageLiveLocationViewed`
  A message with a live location was viewed.
  `static class`
  `TdApi.UpdateMessageMentionRead`
  A message with an unread mention was read.
  `static class`
  `TdApi.UpdateMessageReaction`
  User changed its reactions on a message with public reactions; for bots only.
  `static class`
  `TdApi.UpdateMessageReactions`
  Reactions added to a message with anonymous reactions have changed; for bots only.
  `static class`
  `TdApi.UpdateMessageSendAcknowledged`
  A request to send a message has reached the Telegram server.
  `static class`
  `TdApi.UpdateMessageSendFailed`
  A message failed to send.
  `static class`
  `TdApi.UpdateMessageSendSucceeded`
  A message has been successfully sent.
  `static class`
  `TdApi.UpdateMessageSuggestedPostInfo`
  Information about suggested post of a message was changed.
  `static class`
  `TdApi.UpdateMessageUnreadReactions`
  The list of unread reactions added to a message was changed.
  `static class`
  `TdApi.UpdateNewBusinessCallbackQuery`
  A new incoming callback query from a business message; for bots only.
  `static class`
  `TdApi.UpdateNewBusinessMessage`
  A new message was added to a business account; for bots only.
  `static class`
  `TdApi.UpdateNewCallbackQuery`
  A new incoming callback query; for bots only.
  `static class`
  `TdApi.UpdateNewCallSignalingData`
  New call signaling data arrived.
  `static class`
  `TdApi.UpdateNewChat`
  A new chat has been loaded/created.
  `static class`
  `TdApi.UpdateNewChatJoinRequest`
  A user sent a join request to a chat; for bots only.
  `static class`
  `TdApi.UpdateNewChosenInlineResult`
  The user has chosen a result of an inline query; for bots only.
  `static class`
  `TdApi.UpdateNewCustomEvent`
  A new incoming event; for bots only.
  `static class`
  `TdApi.UpdateNewCustomQuery`
  A new incoming query; for bots only.
  `static class`
  `TdApi.UpdateNewGroupCallMessage`
  A new message was received in a group call.
  `static class`
  `TdApi.UpdateNewGroupCallPaidReaction`
  A new paid reaction was received in a live story group call.
  `static class`
  `TdApi.UpdateNewGuestQuery`
  A new incoming guest query; for bots only.
  `static class`
  `TdApi.UpdateNewInlineCallbackQuery`
  A new incoming callback query from a message sent via a bot; for bots only.
  `static class`
  `TdApi.UpdateNewInlineQuery`
  A new incoming inline query; for bots only.
  `static class`
  `TdApi.UpdateNewMessage`
  A new message was received; can also be an outgoing message.
  `static class`
  `TdApi.UpdateNewOauthRequest`
  An OAuth authorization request was received.
  `static class`
  `TdApi.UpdateNewPreCheckoutQuery`
  A new incoming pre-checkout query; for bots only.
  `static class`
  `TdApi.UpdateNewShippingQuery`
  A new incoming shipping query; for bots only.
  `static class`
  `TdApi.UpdateNotification`
  A notification was changed.
  `static class`
  `TdApi.UpdateNotificationGroup`
  A list of active notifications in a notification group has changed.
  `static class`
  `TdApi.UpdateOption`
  An option changed its value.
  `static class`
  `TdApi.UpdateOwnedStarCount`
  The number of Telegram Stars owned by the current user has changed.
  `static class`
  `TdApi.UpdateOwnedTonCount`
  The number of Toncoins owned by the current user has changed.
  `static class`
  `TdApi.UpdatePaidMediaPurchased`
  Paid media were purchased by a user; for bots only.
  `static class`
  `TdApi.UpdatePendingTextMessage`
  A new pending text message was received in a chat with a bot.
  `static class`
  `TdApi.UpdatePoll`
  A poll was updated; for bots only.
  `static class`
  `TdApi.UpdatePollAnswer`
  A user changed the answer to a poll; for bots only.
  `static class`
  `TdApi.UpdateProfileAccentColors`
  The list of supported accent colors for user profiles has changed.
  `static class`
  `TdApi.UpdateQuickReplyShortcut`
  Basic information about a quick reply shortcut has changed.
  `static class`
  `TdApi.UpdateQuickReplyShortcutDeleted`
  A quick reply shortcut and all its messages were deleted.
  `static class`
  `TdApi.UpdateQuickReplyShortcutMessages`
  The list of quick reply shortcut messages has changed.
  `static class`
  `TdApi.UpdateQuickReplyShortcuts`
  The list of quick reply shortcuts has changed.
  `static class`
  `TdApi.UpdateReactionNotificationSettings`
  Notification settings for reactions were updated.
  `static class`
  `TdApi.UpdateRecentStickers`
  The list of recently used stickers was updated.
  `static class`
  `TdApi.Updates`
  Contains a list of updates.
  `static class`
  `TdApi.UpdateSavedAnimations`
  The list of saved animations was updated.
  `static class`
  `TdApi.UpdateSavedMessagesTags`
  Tags used in Saved Messages or a Saved Messages topic have changed.
  `static class`
  `TdApi.UpdateSavedMessagesTopic`
  Basic information about a Saved Messages topic has changed.
  `static class`
  `TdApi.UpdateSavedMessagesTopicCount`
  Number of Saved Messages topics has changed.
  `static class`
  `TdApi.UpdateSavedNotificationSounds`
  The list of saved notification sounds was updated.
  `static class`
  `TdApi.UpdateScopeNotificationSettings`
  Notification settings for some type of chats were updated.
  `static class`
  `TdApi.UpdateSecretChat`
  Some data of a secret chat has changed.
  `static class`
  `TdApi.UpdateServiceNotification`
  A service notification from the server was received.
  `static class`
  `TdApi.UpdateSpeechRecognitionTrial`
  The parameters of speech recognition without Telegram Premium subscription has changed.
  `static class`
  `TdApi.UpdateSpeedLimitNotification`
  Download or upload file speed for the user was limited, but it can be restored by subscription to Telegram Premium.
  `static class`
  `TdApi.UpdateStakeDiceState`
  The stake dice state has changed.
  `static class`
  `TdApi.UpdateStarRevenueStatus`
  The Telegram Star revenue earned by a user or a chat has changed.
  `static class`
  `TdApi.UpdateStickerSet`
  A sticker set has changed.
  `static class`
  `TdApi.UpdateStory`
  A story was changed.
  `static class`
  `TdApi.UpdateStoryDeleted`
  A story became inaccessible.
  `static class`
  `TdApi.UpdateStoryListChatCount`
  Number of chats in a story list has changed.
  `static class`
  `TdApi.UpdateStoryPostFailed`
  A story failed to post.
  `static class`
  `TdApi.UpdateStoryPostSucceeded`
  A story has been successfully posted.
  `static class`
  `TdApi.UpdateStoryStealthMode`
  Story stealth mode settings have changed.
  `static class`
  `TdApi.UpdateSuggestedActions`
  The list of suggested to the user actions has changed.
  `static class`
  `TdApi.UpdateSupergroup`
  Some data of a supergroup or a channel has changed.
  `static class`
  `TdApi.UpdateSupergroupFullInfo`
  Some data in supergroupFullInfo has been changed.
  `static class`
  `TdApi.UpdateTermsOfService`
  New terms of service must be accepted by the user.
  `static class`
  `TdApi.UpdateTextCompositionStyles`
  The styles supported for text composition have changed.
  `static class`
  `TdApi.UpdateTonRevenueStatus`
  The Toncoin revenue earned by the current user has changed.
  `static class`
  `TdApi.UpdateTopicMessageCount`
  Number of messages in a topic has changed; for Saved Messages and channel direct messages chat topics only.
  `static class`
  `TdApi.UpdateTrendingStickerSets`
  The list of trending sticker sets was updated or some of them were viewed.
  `static class`
  `TdApi.UpdateTrustedMiniAppBots`
  Lists of bots which Mini Apps must be allowed to read text from clipboard and must be opened without a warning.
  `static class`
  `TdApi.UpdateUnconfirmedSession`
  The first unconfirmed session has changed.
  `static class`
  `TdApi.UpdateUnreadChatCount`
  Number of unread chats, i.e.
  `static class`
  `TdApi.UpdateUnreadMessageCount`
  Number of unread messages in a chat list has changed.
  `static class`
  `TdApi.UpdateUser`
  Some data of a user has changed.
  `static class`
  `TdApi.UpdateUserFullInfo`
  Some data in userFullInfo has been changed.
  `static class`
  `TdApi.UpdateUserPrivacySettingRules`
  Some privacy setting rules have been changed.
  `static class`
  `TdApi.UpdateUserStatus`
  The user went online or offline.
  `static class`
  `TdApi.UpdateVideoPublished`
  An automatically scheduled message with video has been successfully sent after conversion.
  `static class`
  `TdApi.UpdateWebAppMessageSent`
  A message was sent by an opened Web App, so the Web App needs to be closed.
  `static class`
  `TdApi.UpgradeBasicGroupChatToSupergroupChat`
  Creates a new supergroup from an existing basic group and sends a corresponding messageChatUpgradeTo and messageChatUpgradeFrom; requires owner privileges.
  `static class`
  `TdApi.UpgradedGift`
  Describes an upgraded gift that can be transferred to another owner or transferred to the TON blockchain as an NFT.
  `static class`
  `TdApi.UpgradedGiftAttributeId`
  This class is an abstract base class.
  `static class`
  `TdApi.UpgradedGiftAttributeIdBackdrop`
  Identifier of a gift backdrop.
  `static class`
  `TdApi.UpgradedGiftAttributeIdModel`
  Identifier of a gift model.
  `static class`
  `TdApi.UpgradedGiftAttributeIdSymbol`
  Identifier of a gift symbol.
  `static class`
  `TdApi.UpgradedGiftAttributeRarity`
  This class is an abstract base class.
  `static class`
  `TdApi.UpgradedGiftAttributeRarityEpic`
  The attribute is epic.
  `static class`
  `TdApi.UpgradedGiftAttributeRarityLegendary`
  The attribute is legendary.
  `static class`
  `TdApi.UpgradedGiftAttributeRarityPerMille`
  The rarity is represented as the numeric frequency of the model.
  `static class`
  `TdApi.UpgradedGiftAttributeRarityRare`
  The attribute is rare.
  `static class`
  `TdApi.UpgradedGiftAttributeRarityUncommon`
  The attribute is uncommon.
  `static class`
  `TdApi.UpgradedGiftBackdrop`
  Describes a backdrop of an upgraded gift.
  `static class`
  `TdApi.UpgradedGiftBackdropColors`
  Describes colors of a backdrop of an upgraded gift.
  `static class`
  `TdApi.UpgradedGiftBackdropCount`
  Describes a backdrop of an upgraded gift.
  `static class`
  `TdApi.UpgradedGiftColors`
  Contains information about color scheme for user's name, background of empty chat photo, replies to messages and link previews.
  `static class`
  `TdApi.UpgradedGiftModel`
  Describes a model of an upgraded gift.
  `static class`
  `TdApi.UpgradedGiftModelCount`
  Describes a model of an upgraded gift with the number of gifts found.
  `static class`
  `TdApi.UpgradedGiftOrigin`
  This class is an abstract base class.
  `static class`
  `TdApi.UpgradedGiftOriginalDetails`
  Describes the original details about the gift.
  `static class`
  `TdApi.UpgradedGiftOriginBlockchain`
  The gift was assigned from blockchain and isn't owned by the current user.
  `static class`
  `TdApi.UpgradedGiftOriginCraft`
  The gift was crafted from other gifts.
  `static class`
  `TdApi.UpgradedGiftOriginOffer`
  The gift was bought through an offer.
  `static class`
  `TdApi.UpgradedGiftOriginPrepaidUpgrade`
  The sender or receiver of the message has paid for upgraid of the gift, which has been completed.
  `static class`
  `TdApi.UpgradedGiftOriginResale`
  The gift was bought from another user.
  `static class`
  `TdApi.UpgradedGiftOriginTransfer`
  The gift was transferred from another owner.
  `static class`
  `TdApi.UpgradedGiftOriginUpgrade`
  The gift was obtained by upgrading of a previously received gift.
  `static class`
  `TdApi.UpgradedGiftSymbol`
  Describes a symbol shown on the pattern of an upgraded gift.
  `static class`
  `TdApi.UpgradedGiftSymbolCount`
  Describes a symbol shown on the pattern of an upgraded gift.
  `static class`
  `TdApi.UpgradedGiftValueInfo`
  Contains information about value of an upgraded gift.
  `static class`
  `TdApi.UpgradeGift`
  Upgrades a regular gift.
  `static class`
  `TdApi.UpgradeGiftResult`
  Contains result of gift upgrading.
  `static class`
  `TdApi.UploadStickerFile`
  Uploads a file with a sticker; returns the uploaded file.
  `static class`
  `TdApi.User`
  Represents a user.
  `static class`
  `TdApi.UserAuctionBid`
  Describes a bid of the current user in an auction.
  `static class`
  `TdApi.UserFullInfo`
  Contains full information about a user.
  `static class`
  `TdApi.UserLink`
  Contains an HTTPS URL, which can be used to get information about a user.
  `static class`
  `TdApi.Usernames`
  Describes usernames assigned to a user, a supergroup, or a channel.
  `static class`
  `TdApi.UserPrivacySetting`
  This class is an abstract base class.
  `static class`
  `TdApi.UserPrivacySettingAllowCalls`
  A privacy setting for managing whether the user can be called.
  `static class`
  `TdApi.UserPrivacySettingAllowChatInvites`
  A privacy setting for managing whether the user can be invited to chats.
  `static class`
  `TdApi.UserPrivacySettingAllowFindingByPhoneNumber`
  A privacy setting for managing whether the user can be found by their phone number.
  `static class`
  `TdApi.UserPrivacySettingAllowPeerToPeerCalls`
  A privacy setting for managing whether peer-to-peer connections can be used for calls.
  `static class`
  `TdApi.UserPrivacySettingAllowPrivateVoiceAndVideoNoteMessages`
  A privacy setting for managing whether the user can receive voice and video messages in private chats; for Telegram Premium users only.
  `static class`
  `TdApi.UserPrivacySettingAllowUnpaidMessages`
  A privacy setting for managing whether the user can receive messages without additional payment.
  `static class`
  `TdApi.UserPrivacySettingAutosaveGifts`
  A privacy setting for managing whether received gifts are automatically shown on the user's profile page.
  `static class`
  `TdApi.UserPrivacySettingRule`
  This class is an abstract base class.
  `static class`
  `TdApi.UserPrivacySettingRuleAllowAll`
  A rule to allow all users to do something.
  `static class`
  `TdApi.UserPrivacySettingRuleAllowBots`
  A rule to allow all bots to do something.
  `static class`
  `TdApi.UserPrivacySettingRuleAllowChatMembers`
  A rule to allow all members of certain specified basic groups and supergroups to doing something.
  `static class`
  `TdApi.UserPrivacySettingRuleAllowContacts`
  A rule to allow all contacts of the user to do something.
  `static class`
  `TdApi.UserPrivacySettingRuleAllowPremiumUsers`
  A rule to allow all Premium Users to do something; currently, allowed only for userPrivacySettingAllowChatInvites.
  `static class`
  `TdApi.UserPrivacySettingRuleAllowUsers`
  A rule to allow certain specified users to do something.
  `static class`
  `TdApi.UserPrivacySettingRuleRestrictAll`
  A rule to restrict all users from doing something.
  `static class`
  `TdApi.UserPrivacySettingRuleRestrictBots`
  A rule to restrict all bots from doing something.
  `static class`
  `TdApi.UserPrivacySettingRuleRestrictChatMembers`
  A rule to restrict all members of specified basic groups and supergroups from doing something.
  `static class`
  `TdApi.UserPrivacySettingRuleRestrictContacts`
  A rule to restrict all contacts of the user from doing something.
  `static class`
  `TdApi.UserPrivacySettingRuleRestrictUsers`
  A rule to restrict all specified users from doing something.
  `static class`
  `TdApi.UserPrivacySettingRules`
  A list of privacy rules.
  `static class`
  `TdApi.UserPrivacySettingShowBio`
  A privacy setting for managing whether the user's bio is visible.
  `static class`
  `TdApi.UserPrivacySettingShowBirthdate`
  A privacy setting for managing whether the user's birthdate is visible.
  `static class`
  `TdApi.UserPrivacySettingShowLinkInForwardedMessages`
  A privacy setting for managing whether a link to the user's account is included in forwarded messages.
  `static class`
  `TdApi.UserPrivacySettingShowPhoneNumber`
  A privacy setting for managing whether the user's phone number is visible.
  `static class`
  `TdApi.UserPrivacySettingShowProfileAudio`
  A privacy setting for managing whether the user's profile audio files are visible.
  `static class`
  `TdApi.UserPrivacySettingShowProfilePhoto`
  A privacy setting for managing whether the user's profile photo is visible.
  `static class`
  `TdApi.UserPrivacySettingShowStatus`
  A privacy setting for managing whether the user's online status is visible.
  `static class`
  `TdApi.UserRating`
  Contains description of user rating.
  `static class`
  `TdApi.Users`
  Represents a list of users.
  `static class`
  `TdApi.UserStatus`
  This class is an abstract base class.
  `static class`
  `TdApi.UserStatusEmpty`
  The user's status has never been changed.
  `static class`
  `TdApi.UserStatusLastMonth`
  The user is offline, but was online last month.
  `static class`
  `TdApi.UserStatusLastWeek`
  The user is offline, but was online last week.
  `static class`
  `TdApi.UserStatusOffline`
  The user is offline.
  `static class`
  `TdApi.UserStatusOnline`
  The user is online.
  `static class`
  `TdApi.UserStatusRecently`
  The user was online recently.
  `static class`
  `TdApi.UserSupportInfo`
  Contains custom information about the user.
  `static class`
  `TdApi.UserType`
  This class is an abstract base class.
  `static class`
  `TdApi.UserTypeBot`
  A bot (see https://core.telegram.org/bots).
  `static class`
  `TdApi.UserTypeDeleted`
  A deleted user or deleted bot.
  `static class`
  `TdApi.UserTypeRegular`
  A regular user.
  `static class`
  `TdApi.UserTypeUnknown`
  No information on the user besides the user identifier is available, yet this user has not been deleted.
  `static class`
  `TdApi.ValidatedOrderInfo`
  Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.
  `static class`
  `TdApi.ValidateOrderInfo`
  Validates the order information provided by a user and returns the available shipping options for a flexible invoice.
  `static class`
  `TdApi.VectorPathCommand`
  This class is an abstract base class.
  `static class`
  `TdApi.VectorPathCommandCubicBezierCurve`
  A cubic Bézier curve to a given point.
  `static class`
  `TdApi.VectorPathCommandLine`
  A straight line to a given point.
  `static class`
  `TdApi.Venue`
  Describes a venue.
  `static class`
  `TdApi.VerificationStatus`
  Contains information about verification status of a chat or a user.
  `static class`
  `TdApi.Video`
  Describes a video file.
  `static class`
  `TdApi.VideoChat`
  Describes a video chat, i.e.
  `static class`
  `TdApi.VideoMessageAdvertisement`
  Describes an advertisement to be shown while a video from a message is watched.
  `static class`
  `TdApi.VideoMessageAdvertisements`
  Contains a list of advertisements to be shown while a video from a message is watched.
  `static class`
  `TdApi.VideoNote`
  Describes a video note.
  `static class`
  `TdApi.VideoStoryboard`
  Describes a storyboard for a video.
  `static class`
  `TdApi.ViewMessages`
  Informs TDLib that messages are being viewed by the user.
  `static class`
  `TdApi.ViewPremiumFeature`
  Informs TDLib that the user viewed detailed information about a Premium feature on the Premium features screen.
  `static class`
  `TdApi.ViewSponsoredChat`
  Informs TDLib that the user fully viewed a sponsored chat.
  `static class`
  `TdApi.ViewTrendingStickerSets`
  Informs the server that some trending sticker sets have been viewed by the user.
  `static class`
  `TdApi.ViewVideoMessageAdvertisement`
  Informs TDLib that the user viewed a video message advertisement.
  `static class`
  `TdApi.VoiceNote`
  Describes a voice note.
  `static class`
  `TdApi.WebApp`
  Describes a Web App.
  `static class`
  `TdApi.WebAppInfo`
  Contains information about a Web App.
  `static class`
  `TdApi.WebAppOpenMode`
  This class is an abstract base class.
  `static class`
  `TdApi.WebAppOpenModeCompact`
  The Web App is opened in the compact mode.
  `static class`
  `TdApi.WebAppOpenModeFullScreen`
  The Web App is opened in the full-screen mode.
  `static class`
  `TdApi.WebAppOpenModeFullSize`
  The Web App is opened in the full-size mode.
  `static class`
  `TdApi.WebAppOpenParameters`
  Options to be used when a Web App is opened.
  `static class`
  `TdApi.WebPageInstantView`
  Describes an instant view page for a web page.
  `static class`
  `TdApi.WriteGeneratedFilePart`
  Writes a part of a generated file.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`